--[[
###############
Inked: keivamp#
###############
]]--
local Inked = LibStub("AceAddon-3.0"):GetAddon("Inked")
local LSM = LibStub("LibSharedMedia-3.0")
local playerColor = RAID_CLASS_COLORS[select(2, UnitClass('player'))]
local InkedColors = {r = playerColor.r*0.75, g = playerColor.g*0.75,b = playerColor.b*0.75,a = 1}

local usableColour = {r = playerColor.r*1, g = playerColor.g*1,b = playerColor.b*1,a = 0}
local outOfRangeColour = {r = playerColor.r*0.8, g = playerColor.g*0.1,b = playerColor.b*0.1,a = 1}
local notEnoughManaColour = {r = playerColor.r*0.1, g = playerColor.g*0.3,b = playerColor.b*1,a = 1}
local fallbackColour = {r = playerColor.r*0.3, g = playerColor.g*0.3,b = playerColor.b*0.3,a = 0}

function Inked:RangeUpdate(hasrange, inrange)
	local Icon = self.icon
	local NormalTexture = self.NormalTexture
	local ID = self.action

	if not ID then
		return
	end
	
	local IsUsable, NotEnoughMana = IsUsableAction(ID)
	local HasRange = hasrange
	local InRange = inrange

	if (IsUsable) then
		if (HasRange and InRange == false) then
			Icon:SetVertexColor(outOfRangeColour.r, outOfRangeColour.g, outOfRangeColour.b);
		else
			Icon:SetVertexColor(1, 1, 1,1);
		end
	elseif (NotEnoughMana) then
		Icon:SetVertexColor(notEnoughManaColour.r, notEnoughManaColour.g, notEnoughManaColour.b);
	else
		Icon:SetVertexColor(fallbackColour.r, fallbackColour.g, fallbackColour.b);
	end
end

function Inked:OnEnable()
 
    hooksecurefunc("ActionButton_UpdateRangeIndicator", Inked.RangeUpdate)
end

local InkedLoginFrame=CreateFrame("Frame")
		InkedLoginFrame:RegisterEvent("PLAYER_LOGIN")
		InkedLoginFrame:SetScript("OnEvent", function(self, event) 
												
		end)