--[[
###############
Inked: keivamp#
###############
]]--
local Inked = LibStub("AceAddon-3.0"):GetAddon("Inked")
local LSM = LibStub("LibSharedMedia-3.0")

function Inked:GetOptions()
    --local db = Inked.db
    local options = {
        name = "Inked",
        handler = Inked,
        type = "group",
       -- childGroups = "tab",
        args = {
            lockframes = {
				order = 1,
				name = "lockframes",
				desc = "Turn off to move elements, turn on to lock elements in place - This wil Reload your UI to adjust the settings properly",
				type = "toggle",
				width = "single",
				get = function(info)
					local key = info[#info] 
					return Inked.db.profile[key]
				end,
				set = function(info, v)
					local key = info[#info] 
					Inked.db.profile[key] = v  
					ReloadUI() 
				end
				},
			Restoreframes = {
				order = 1,
				name = "Restore ALL Frames Positions",
				desc = "Restores frame positions  to the original Inked Settings",
				type = "toggle",
				width = "single",
				get = function(info)
					local key = info[#info] 
					return Inked.db.profile[key]
				end,
				set = function(info, v)
					local key = info[#info] 
					Inked.db.profile[key] = v  
					Inked.db.profile.MoverMiniMapX = -25
					Inked.db.profile.MoverMiniMapY = -40
					Inked.db.profile.MoverMiniMapPoint = TOPRIGHT
					Inked.db.profile.MoverObjectiveTrackerX = -150
					Inked.db.profile.MoverObjectiveTrackerY = -245
					Inked.db.profile.MoverAB8X = 50
					Inked.db.profile.MoverAB8Y = 235
					Inked.db.profile.AB8ButtonSize = 35
					Inked.db.profile.Bar8BarLayout = 1
					Inked.db.profile.MoverAB8Point = 'BOTTOM'
					Inked.db.profile.MoverAB7X = 50
					Inked.db.profile.MoverAB7Y = 195
					Inked.db.profile.AB7ButtonSize = 35
					Inked.db.profile.Bar7BarLayout = 1
					Inked.db.profile.MoverAB7Point = 'BOTTOM'
					Inked.db.profile.MoverAB6X = 50
					Inked.db.profile.MoverAB6Y = 155
					Inked.db.profile.AB6ButtonSize = 35
					Inked.db.profile.Bar6BarLayout = 1
					Inked.db.profile.MoverAB6Point = 'BOTTOM'
					Inked.db.profile.MoverAB5X = 210
					Inked.db.profile.MoverAB5Y = 32
					Inked.db.profile.AB5ButtonSize = 35
					Inked.db.profile.AB5Layout = 3
					Inked.db.profile.MoverAB5Point = 'BOTTOM'
					Inked.db.profile.MoverAB4X = -10
					Inked.db.profile.MoverAB4Y = 0
					Inked.db.profile.AB4ButtonSize = 35
					Inked.db.profile.AB4Layout = 4
					Inked.db.profile.MoverAB4Point = 'RIGHT'
					Inked.db.profile.MoverAB3X = -80
					Inked.db.profile.MoverAB3Y = 106
					Inked.db.profile.AB3ButtonSize = 35
					Inked.db.profile.AB3Layout = 1
					Inked.db.profile.MoverAB3Point = 'BOTTOM'
					Inked.db.profile.MoverAB2X = -80
					Inked.db.profile.MoverAB2Y = 68
					Inked.db.profile.AB2ButtonSize = 35
					Inked.db.profile.AB2Layout = 1
					Inked.db.profile.MoverAB2Point = 'BOTTOM'
					Inked.db.profile.MoverAB1X = -80
					Inked.db.profile.MoverAB1Y = 30
					Inked.db.profile.AB1ButtonSize = 35
					Inked.db.profile.AB1Layout = 1
					Inked.db.profile.MoverAB1Point = 'BOTTOM'
					Inked.db.profile.MoverAB9X = 50
					Inked.db.profile.MoverAB9Y = 275
					Inked.db.profile.AB9ButtonSize = 35
					Inked.db.profile.Bar9BarLayout = 1
					Inked.db.profile.MoverAB9Point = 'BOTTOM'
					Inked.db.profile.MoverAB10X = 50
					Inked.db.profile.MoverAB10Y = 315
					Inked.db.profile.AB10ButtonSize = 35
					Inked.db.profile.Bar10BarLayout = 1
					Inked.db.profile.MoverAB10Point = 'BOTTOM'
					Inked.db.profile.MoverStanceX = -122
					Inked.db.profile.MoverStanceY = 142
					Inked.db.profile.StanceButtonSize = 35
					Inked.db.profile.MoverStancePoint = BOTTOM
					Inked.db.profile.MoverPetX = -80
					Inked.db.profile.MoverPetY = 142
					Inked.db.profile.PetButtonSize = 35
					Inked.db.profile.MoverPetPoint = BOTTOM
					Inked.db.profile.MicroMenuX = 10
					Inked.db.profile.MicroMenuY = -10
					Inked.db.profile.MicroMenuPoint = TOPLEFT
					--Inked.db.profile.BagBarPoint = TOPLEFT
					Inked.db.profile.BagBarX = -10
					Inked.db.profile.BagBarY = 10
					Inked.db.profile.BagBarPoint = BOTTOM
					Inked.db.profile.XPX = -250
					Inked.db.profile.XPY = -10
					Inked.db.profile.XPPoint = TOP
					Inked.db.profile.RepX = 250
					Inked.db.profile.RepY = -10
					Inked.db.profile.RepPoint = TOP
					Inked.db.profile.DuraX = 525
					Inked.db.profile.DuraY = -10
					Inked.db.profile.DuraPoint = TOP
					Inked.db.profile.GoldX = -250
					Inked.db.profile.GoldY = 10
					Inked.db.profile.GoldPoint = BOTTOMRIGHT
					Inked.db.profile.PlayerX = -235
					Inked.db.profile.PlayerY = -250
					Inked.db.profile.PlayerPoint = CENTER
					Inked.db.profile.TargetX = 35
					Inked.db.profile.TargetY = -250
					Inked.db.profile.TargetPoint = CENTER
					Inked.db.profile.FocusX = -535
					Inked.db.profile.FocusY = 75
					Inked.db.profile.FocusPoint = CENTER
					Inked.db.profile.PetX = -390
					Inked.db.profile.PetY = -360
					Inked.db.profile.PetPoint = CENTER
					Inked.db.profile.ToTX = 235
					Inked.db.profile.ToTY = -335
					Inked.db.profile.ToTPoint = CENTER
					Inked.db.profile.FTX = -435
					Inked.db.profile.FTY = -35
					Inked.db.profile.FTPoint = CENTER
					Inked.db.profile.PartyX = 120
					Inked.db.profile.PartyY = -250
					Inked.db.profile.PartyPoint = TOPLEFT
					Inked.db.profile.MicroMenuX = 10
					Inked.db.profile.MicroMenuY = -10
					Inked.db.profile.MicroMenuPoint = TOPLEFT
					Inked.db.profile.VehicleX = 10
					Inked.db.profile.VehicleY = -50
					Inked.db.profile.Restoreframes = false
					ReloadUI() 
				end
				},							
			General = {
                order = 1,
                name = "General",
                type = "group",
                args = {
				UseMiniMap = {
						type = "toggle",	
						width = "double",
						order	= 1,
						name	= "Inked MiniMap",
						desc	= "Turn this off to use a different MiniMap mod or defualt",						
						get = function(info)
							local key = info[#info]						
							return Inked.db.profile[key]
						end,
						set = function(info, v)
							local key = info[#info] 
							Inked.db.profile[key] = v 
						end,
					},
				UseQuest = {
						type = "toggle",	
						width = "Single",
						order	= 2,
						name	= "Inked Quest",
						desc	= "Turn this off to use a different Quest frame mod or defualt",						
						get = function(info)
							local key = info[#info] --key will be 'someOption'.							
							return Inked.db.profile[key] --grab the option matching that key in the Inked.db.profile
						end,
						set = function(info, v)
							local key = info[#info]  --key will be 'someOption'.
							Inked.db.profile[key] = v --save it in the Inked.db.profile
						end,
					},
				UseBags = {
						type = "toggle",
						width = "double",						
						order	= 3,
						name	= "Inked Bags",
						desc	= "Turn this off to use a different Bag/Inventory mod or defualt",						
						get = function(info)
							local key = info[#info] --key will be 'someOption'.							
							return Inked.db.profile[key] --grab the option matching that key in the Inked.db.profile
						end,
						set = function(info, v)
							local key = info[#info]  --key will be 'someOption'.
							Inked.db.profile[key] = v --save it in the Inked.db.profile
						end,
					},
				UseAFK = {
						type = "toggle",
						width = "Single",
						order	= 4,
						name	= "Inked AFK",
						desc	= "Turn this off to diable the AFK screen",						
						get = function(info)
							local key = info[#info] --key will be 'someOption'.							
							return Inked.db.profile[key] --grab the option matching that key in the Inked.db.profile
						end,
						set = function(info, v)
							local key = info[#info]  --key will be 'someOption'.
							Inked.db.profile[key] = v --save it in the Inked.db.profile
						end,
					},
				UseIL = {
						type = "toggle",
						width = "double",
						order	= 5,
						name	= "Item Levels",
						desc	= "Turn this off to diable the Item Levels",						
						get = function(info)
							local key = info[#info] --key will be 'someOption'.							
							return Inked.db.profile[key] --grab the option matching that key in the Inked.db.profile
						end,
						set = function(info, v)
							local key = info[#info]  --key will be 'someOption'.
							Inked.db.profile[key] = v --save it in the Inked.db.profile
						end,
					},
				UseAutoRepair = {
						type = "toggle",
						width = "Single",
						order	= 6,
						name	= "Auto Repair",
						desc	= "Automatically repairs you - Player Only! No guild repair setting yet",						
						get = function(info)
							local key = info[#info] --key will be 'someOption'.							
							return Inked.db.profile[key] --grab the option matching that key in the Inked.db.profile
						end,
						set = function(info, v)
							local key = info[#info]  --key will be 'someOption'.
							Inked.db.profile[key] = v --save it in the Inked.db.profile
						end,
					},
				UseAutoVender = {
						type = "toggle",	
						width = "double",
						order	= 7,
						name	= "Auto Vender",
						desc	= "Sells your junk items automatically at a vender",						
						get = function(info)
							local key = info[#info] --key will be 'someOption'.							
							return Inked.db.profile[key] --grab the option matching that key in the Inked.db.profile
						end,
						set = function(info, v)
							local key = info[#info]  --key will be 'someOption'.
							Inked.db.profile[key] = v --save it in the Inked.db.profile
						end,
					},
				UseCAS = {
						type = "toggle",
						width = "Single",
						order	= 8,
						name	= "Combat Alert System",
						desc	= "Alerts you to combat",						
						get = function(info)
							local key = info[#info] --key will be 'someOption'.							
							return Inked.db.profile[key] --grab the option matching that key in the Inked.db.profile
						end,
						set = function(info, v)
							local key = info[#info]  --key will be 'someOption'.
							Inked.db.profile[key] = v --save it in the Inked.db.profile
						end,
					},
				UseNameplates = {
						type = "toggle",
						width = "double",
						order	= 9,
						name	= "Nameplates",
						desc	= "Inked Nameplates",						
						get = function(info)
							local key = info[#info] --key will be 'someOption'.							
							return Inked.db.profile[key] --grab the option matching that key in the Inked.db.profile
						end,
						set = function(info, v)
							local key = info[#info]  --key will be 'someOption'.
							Inked.db.profile[key] = v --save it in the Inked.db.profile
						end,
					},
				FasterLooting = {
						type = "toggle",
						width = "Single",
						order	= 10,
						name	= "Faster Looting",
						desc	= "speeds up looting which speeds up leveling time",						
						get = function(info)
							local key = info[#info] --key will be 'someOption'.							
							return Inked.db.profile[key] --grab the option matching that key in the Inked.db.profile
						end,
						set = function(info, v)
							local key = info[#info]  --key will be 'someOption'.
							Inked.db.profile[key] = v --save it in the Inked.db.profile
						end,
					},
				CVarWarning = {
					order = 11,
					name = "Cvar Settings That INKED turns on",
					fontSize  = "large",
					desc = "",
					descStyle = "inline",
					type = "description",
					width = "full",                      
					},
			CVarSpace1 = {
					order = 12,
					name = "",
					fontSize  = "large",
					desc = "",
					descStyle = "inline",
					type = "description",
					width = "full",                      
					},
			CVarSpace2 = {
					order = 13,
					name = "",
					fontSize  = "large",
					desc = "",
					descStyle = "inline",
					type = "description",
					width = "full",                      
					},
				CvarShowActionBars = {
					type = "toggle",
					width = "double",
					order	= 14,
					name	= "Always Show Action Bars",
					desc	= "",						
					get = function(info)
						local key = info[#info] --key will be 'someOption'.							
						return Inked.db.profile[key] --grab the option matching that key in the Inked.db.profile
					end,
					set = function(info, v)
						local key = info[#info]  --key will be 'someOption'.
						Inked.db.profile[key] = v --save it in the Inked.db.profile
					end,
				},
			CVarSpace3 = {
					order = 15,
					name = "",
					fontSize  = "large",
					desc = "",
					descStyle = "inline",
					type = "description",
					width = "full",                      
					},
			CvarAutoLoot = {
					type = "toggle",
					width = "double",
					order	= 16,
					name	= "Auto Loot On",
					desc	= "",						
					get = function(info)
						local key = info[#info] --key will be 'someOption'.							
						return Inked.db.profile[key] --grab the option matching that key in the Inked.db.profile
					end,
					set = function(info, v)
						local key = info[#info]  --key will be 'someOption'.
						Inked.db.profile[key] = v --save it in the Inked.db.profile
					end,
				},
			CVarSpace4 = {
					order = 17,
					name = "",
					fontSize  = "large",
					desc = "",
					descStyle = "inline",
					type = "description",
					width = "full",                      
					},
			CvarColorChatNamesByClass = {
					type = "toggle",
					width = "double",
					order	= 18,
					name	= "Color Chat Names by Class",
					desc	= "",						
					get = function(info)
						local key = info[#info] --key will be 'someOption'.							
						return Inked.db.profile[key] --grab the option matching that key in the Inked.db.profile
					end,
					set = function(info, v)
						local key = info[#info]  --key will be 'someOption'.
						Inked.db.profile[key] = v --save it in the Inked.db.profile
					end,
				},
			CVarSpace5 = {
					order = 19,
					name = "",
					fontSize  = "large",
					desc = "",
					descStyle = "inline",
					type = "description",
					width = "full",                      
					},
			CvarBuffDurations = {
					type = "toggle",
					width = "double",
					order	= 20,
					name	= "Always Show Buff Durations",
					desc	= "",						
					get = function(info)
						local key = info[#info] --key will be 'someOption'.							
						return Inked.db.profile[key] --grab the option matching that key in the Inked.db.profile
					end,
					set = function(info, v)
						local key = info[#info]  --key will be 'someOption'.
						Inked.db.profile[key] = v --save it in the Inked.db.profile
					end,
				},
			CVarSpace6 = {
					order = 21,
					name = "",
					fontSize  = "large",
					desc = "",
					descStyle = "inline",
					type = "description",
					width = "full",                      
					},
			CvarPredictedHealth = {
					type = "toggle",
					width = "double",
					order	= 22,
					name	= "Predicted Health",
					desc	= "",						
					get = function(info)
						local key = info[#info] --key will be 'someOption'.							
						return Inked.db.profile[key] --grab the option matching that key in the Inked.db.profile
					end,
					set = function(info, v)
						local key = info[#info]  --key will be 'someOption'.
						Inked.db.profile[key] = v --save it in the Inked.db.profile
					end,
				},
			CVarSpace6 = {
					order = 23,
					name = "",
					fontSize  = "large",
					desc = "",
					descStyle = "inline",
					type = "description",
					width = "full",                      
					},
			CvarCountdownForCooldowns = {
					type = "toggle",
					width = "double",
					order	= 24,
					name	= "Countdown For Cooldowns",
					desc	= "",						
					get = function(info)
						local key = info[#info] --key will be 'someOption'.							
						return Inked.db.profile[key] --grab the option matching that key in the Inked.db.profile
					end,
					set = function(info, v)
						local key = info[#info]  --key will be 'someOption'.
						Inked.db.profile[key] = v --save it in the Inked.db.profile
					end,
				},
			CVarSpace7 = {
					order = 25,
					name = "",
					fontSize  = "large",
					desc = "",
					descStyle = "inline",
					type = "description",
					width = "full",                      
					},
			CvarNameplatePersonalShowAlways = {
					type = "toggle",
					width = "double",
					order	= 26,
					name	= "Turn OFF the Personal Resouce Bars",
					desc	= "",						
					get = function(info)
						local key = info[#info] --key will be 'someOption'.							
						return Inked.db.profile[key] --grab the option matching that key in the Inked.db.profile
					end,
					set = function(info, v)
						local key = info[#info]  --key will be 'someOption'.
						Inked.db.profile[key] = v --save it in the Inked.db.profile
					end,
				},
			CVarSpace8 = {
					order = 27,
					name = "",
					fontSize  = "large",
					desc = "",
					descStyle = "inline",
					type = "description",
					width = "full",                      
					},
			CvarTutorials = {
					type = "toggle",
					width = "double",
					order	= 29,
					name	= "Shuts off the Tutorials",
					desc	= "",						
					get = function(info)
						local key = info[#info] --key will be 'someOption'.							
						return Inked.db.profile[key] --grab the option matching that key in the Inked.db.profile
					end,
					set = function(info, v)
						local key = info[#info]  --key will be 'someOption'.
						Inked.db.profile[key] = v --save it in the Inked.db.profile
					end,
				},
			AutoScreenShotOnLevel = {
					type = "toggle",
					width = "full",
					order	= 30,
					name	= "Screenshot on Level",
					desc	= "",						
					get = function(info)
						local key = info[#info] --key will be 'someOption'.							
						return Inked.db.profile[key] --grab the option matching that key in the Inked.db.profile
					end,
					set = function(info, v)
						local key = info[#info]  --key will be 'someOption'.
						Inked.db.profile[key] = v --save it in the Inked.db.profile
					end,
				},
			AutoScreenShotOnAchievement = {
					type = "toggle",
					width = "full",
					order	= 31,
					name	= "Screenshot on Achievement",
					desc	= "",						
					get = function(info)
						local key = info[#info] --key will be 'someOption'.							
						return Inked.db.profile[key] --grab the option matching that key in the Inked.db.profile
					end,
					set = function(info, v)
						local key = info[#info]  --key will be 'someOption'.
						Inked.db.profile[key] = v --save it in the Inked.db.profile
					end,
				},
              }	
            },
			MiniMap = {
                order = 2,
                name = "MiniMap Options",
                type = "group",
				childGroups = "tab",
                args = {
				General = {
					name = "General",
					order = 1,
					type = "group",
					childGroups = "tab",
					args = {
						ShowClock = {
							order = 1,
							name = "Show Clock",
							desc = "Show the Time",
							type = "toggle",
							width = "single",
							get = function(info)
								local key = info[#info]						
								return Inked.db.profile[key]
							end,
							set = function(info, v)
								local key = info[#info] 
								Inked.db.profile[key] = v 
							end,
							},
						Spacer = {
							order = 2,
							name = "",
							fontSize  = "large",
							desc = "",
							descStyle = "inline",
							type = "description",
							width = "full",                      
							},
						ShowZone = {
							order = 3,
							name = "Show Zone",
							desc = "Show the Zone Text",
							type = "toggle",
							width = "single",
							get = function(info)
								local key = info[#info]						
								return Inked.db.profile[key]
							end,
							set = function(info, v)
								local key = info[#info] 
								Inked.db.profile[key] = v 
							end,
							},
						Spacer2 = {
							order = 4,
							name = "",
							fontSize  = "large",
							desc = "",
							descStyle = "inline",
							type = "description",
							width = "full",                      
							},
						DisableCustomGraphics  = {
							order = 5,
							name = "Disable the Custom Graphics",
							desc = "Disables the outline around the Minimap and the tracking Circle, Disables the Mail icon,Disables the custom World Map",
							type = "toggle",
							width = "single",
							get = function(info)
								local key = info[#info]						
								return Inked.db.profile[key]
							end,
							set = function(info, v)
								local key = info[#info] 
								Inked.db.profile[key] = v 
							end,
							},
						Spacer2 = {
							order = 6,
							name = "",
							fontSize  = "large",
							desc = "",
							descStyle = "inline",
							type = "description",
							width = "full",                      
							},
						MiniMapSize = {
							order = 7,
							name = "MiniMapSize",
							desc = "Changes the MiniMap Size",
							type = "range",
							width = "double",
							min = 100,
							max = 400,
							step  = 1,
							isPercent = false,
							get = function(info)
							local key = info[#info]						
							return Inked.db.profile[key]
							end,
							set = function(info, v)
							local key = info[#info] 
							Inked.db.profile[key] = v 
							end,
							},	
						Spacer3 = {
							order = 8,
							name = "",
							fontSize  = "large",
							desc = "",
							descStyle = "inline",
							type = "description",
							width = "full",                      
							},
						GraphicsClassColors  = {
							order = 9,
							name = "Class Colors on Graphics",
							desc = "Use Class Colors on Graphics",
							type = "toggle",
							width = "single",
							get = function(info)
								local key = info[#info]						
								return Inked.db.profile[key]
							end,
							set = function(info, v)
								local key = info[#info] 
								Inked.db.profile[key] = v 
								Inked.db.profile.GraphicsCustomColors = false
							end,
							},
						Spacer4 = {
							order = 10,
							name = "",
							fontSize  = "large",
							desc = "",
							descStyle = "inline",
							type = "description",
							width = "full",                      
							},
						GraphicsCustomColors  = {
							order = 11,
							name = "Custom Colors on Graphics",
							desc = "Use Custom Colors on Graphics",
							type = "toggle",
							width = "single",
							get = function(info)
								local key = info[#info]						
								return Inked.db.profile[key]
							end,
							set = function(info, v)
								local key = info[#info] 
								Inked.db.profile[key] = v 
								Inked.db.profile.GraphicsClassColors = false
							end,
							},
						Spacer4 = {
							order = 12,
							name = "",
							fontSize  = "large",
							desc = "",
							descStyle = "inline",
							type = "description",
							width = "full",                      
							},
						GraphicsColorR = {
							order = 13,
							name = "Graphics Color Red",
							desc = "Changes the amount of RED applied",
							type = "range",
							width = "double",
							min = 0.01,
							max = 1,
							step  = 0.01,
							isPercent = false,
							get = function(info)
							local key = info[#info]						
							return Inked.db.profile[key]
							end,
							set = function(info, v)
							local key = info[#info] 
							Inked.db.profile[key] = v 
							end,
							},
						Spacer4 = {
							order = 14,
							name = "",
							fontSize  = "large",
							desc = "",
							descStyle = "inline",
							type = "description",
							width = "full",                      
							},
						GraphicsColorG = {
							order = 15,
							name = "Graphics Color Green",
							desc = "Changes the amount of Green applied",
							type = "range",
							width = "double",
							min = 0.01,
							max = 1,
							step  = 0.01,
							isPercent = false,
							get = function(info)
							local key = info[#info]						
							return Inked.db.profile[key]
							end,
							set = function(info, v)
							local key = info[#info] 
							Inked.db.profile[key] = v 
							end,
							},
						Spacer4 = {
							order = 16,
							name = "",
							fontSize  = "large",
							desc = "",
							descStyle = "inline",
							type = "description",
							width = "full",                      
							},
						GraphicsColorB = {
							order = 17,
							name = "Graphics Color Blue",
							desc = "Changes the amount of Blue applied",
							type = "range",
							width = "double",
							min = 0.01,
							max = 1,
							step  = 0.01,
							isPercent = false,
							get = function(info)
							local key = info[#info]						
							return Inked.db.profile[key]
							end,
							set = function(info, v)
							local key = info[#info] 
							Inked.db.profile[key] = v 
							end,
							},
						Spacer4 = {
							order = 18,
							name = "",
							fontSize  = "large",
							desc = "",
							descStyle = "inline",
							type = "description",
							width = "full",                      
							},
						GraphicsColorA = {
							order = 19,
							name = "Graphics Alpha",
							desc = "Changes the amount of Opacity applied",
							type = "range",
							width = "double",
							min = 0.01,
							max = 1,
							step  = 0.01,
							isPercent = false,
							get = function(info)
							local key = info[#info]						
							return Inked.db.profile[key]
							end,
							set = function(info, v)
							local key = info[#info] 
							Inked.db.profile[key] = v 
							end,
							},
						Spacer4 = {
							order = 20,
							name = "",
							fontSize  = "large",
							desc = "",
							descStyle = "inline",
							type = "description",
							width = "full",                      
							},
						GraphicsReset = {
							order = 21,
							name = "Graphics Reset",
							desc = "Resets Back to Inked Defaults",
							type = "toggle",
							width = "single",
							get = function(info)
								local key = info[#info]						
								return Inked.db.profile[key]
							end,
							set = function(info, v)
								local key = info[#info] 
								Inked.db.profile[key] = v 
								Inked.db.profile.ShowClock = true
								Inked.db.profile.ShowZone = true
								Inked.db.profile.DisableCustomGraphics = false
								Inked.db.profile.MiniMapSize = 175
								Inked.db.profile.GraphicsClassColors = true
								Inked.db.profile.GraphicsCustomColors = false
								Inked.db.profile.GraphicsColorR = 1
								Inked.db.profile.GraphicsColorG = 1
								Inked.db.profile.GraphicsColorB = 1
								Inked.db.profile.GraphicsColorA = 1
								Inked.db.profile.GraphicsReset = false
								ReloadUI()
							end,
							},
						}
					},						
				ZoneFonts = {
					name = "Zone Fonts",
					order = 3,
					type = "group",
					childGroups = "tab",
					args = {
						ClassZoneColor = {
							order = 1,
							name = "Class Colored",
							desc = "Use the Class Colors",
							type = "toggle",
							width = "single",
							get = function(info)
								local key = info[#info]						
								return Inked.db.profile[key]
							end,
							set = function(info, v)
								local key = info[#info] 
								Inked.db.profile[key] = v 
								Inked.db.profile.CustomZoneColor = false
							end,
							},	
						CustomZoneColor = {
							order = 2,
							name = "Custom Colored",
							desc = "Use Custom Colors",
							type = "toggle",
							width = "single",
							get = function(info)
								local key = info[#info]						
								return Inked.db.profile[key]
							end,
							set = function(info, v)
								local key = info[#info] 
								Inked.db.profile[key] = v 
								Inked.db.profile.ClassZoneColor = false
							end,
							},
						ZoneColorR = {
							order = 3,
							name = "Zone Text Color Red",
							desc = "Changes the amount of RED applied",
							type = "range",
							width = "double",
							min = 0.01,
							max = 1,
							step  = 0.01,
							isPercent = false,
							get = function(info)
							local key = info[#info]						
							return Inked.db.profile[key]
							end,
							set = function(info, v)
							local key = info[#info] 
							Inked.db.profile[key] = v 
							end,
							},
						ZoneColorG = {
							order = 4,
							name = "Zone Text Color Green",
							desc = "Changes the amount of Green applied",
							type = "range",
							width = "double",
							min = 0.01,
							max = 1,
							step  = 0.01,
							isPercent = false,
							get = function(info)
							local key = info[#info]						
							return Inked.db.profile[key]
							end,
							set = function(info, v)
							local key = info[#info] 
							Inked.db.profile[key] = v 
							end,
							},
						ZoneColorB = {
							order = 5,
							name = "Zone Text Color Blue",
							desc = "Changes the amount of Blue applied",
							type = "range",
							width = "double",
							min = 0.01,
							max = 1,
							step  = 0.01,
							isPercent = false,
							get = function(info)
							local key = info[#info]						
							return Inked.db.profile[key]
							end,
							set = function(info, v)
							local key = info[#info] 
							Inked.db.profile[key] = v 
							end,
							},
						ZoneColorA = {
							order = 6,
							name = "Zone Text Alpha",
							desc = "Changes the amount of Opacity applied",
							type = "range",
							width = "double",
							min = 0.01,
							max = 1,
							step  = 0.01,
							isPercent = false,
							get = function(info)
							local key = info[#info]						
							return Inked.db.profile[key]
							end,
							set = function(info, v)
							local key = info[#info] 
							Inked.db.profile[key] = v 
							end,
							},
						Zonefont = {
							order = 7,
							type = 'select',
							dialogControl = 'LSM30_Font', 
							name = 'Font Name',
							desc = 'The type of Font you want to use',
							width = "full",
							values = LSM:HashTable("font"),				
							get = function(info)
							local key = info[#info]						
							return Inked.db.profile[key]
							end,
							set = function(info, v)
							local key = info[#info] 
							Inked.db.profile[key] = v 
							end,
							},
						ZoneOutline = {
							order = 8,
							type = 'select',
							 dialogControl = 'LSM30_Font', 
							name = 'Font Outline',
							desc = 'Outlines for the fonts',
							width = "full",
							get = function(info)
							local key = info[#info]						
							return Inked.db.profile[key]
							end,
							set = function(info, v)
							local key = info[#info] 
							Inked.db.profile[key] = v 
							end,
							 values = {
								['NONE'] = NONE,
								['MONOCHROME'] = 'MonoChrome',
								['THINOUTLINE'] = 'Thin',
								['THICKOUTLINE'] = 'Thick',
								}
							},
						Spacer3 = {
							order = 9,
							name = "",
							fontSize  = "large",
							desc = "",
							descStyle = "inline",
							type = "description",
							width = "full",                      
							},
						ZoneFontSize = {
							order = 10,
							name = "Font Size",
							desc = "Size of the font",
							type = "range",
							width = "double",
							min = 6,
							max = 50,
							step  = 1,
							bigStep = 1,
							isPercent = false,
							get = function(info)
							local key = info[#info]						
							return Inked.db.profile[key]
							end,
							set = function(info, v)
							local key = info[#info] 
							Inked.db.profile[key] = v 
							end,
							},
						Spacer4 = {
							order = 11,
							name = "",
							fontSize  = "large",
							desc = "",
							descStyle = "inline",
							type = "description",
							width = "full",                      
							},
						ZoneReset = {
							order = 12,
							name = "Zone Text Reset",
							desc = "Resets Back to Inked Defaults",
							type = "toggle",
							width = "single",
							get = function(info)
								local key = info[#info]						
								return Inked.db.profile[key]
							end,
							set = function(info, v)
								local key = info[#info] 
								Inked.db.profile[key] = v 
								Inked.db.profile.ClassZoneColor = true
								Inked.db.profile.CustomZoneColor = false
								Inked.db.profile.ZoneColorR = 1
								Inked.db.profile.ZoneColorG = 1
								Inked.db.profile.ZoneColorB = 1
								Inked.db.profile.ZoneColorA = 1
								Inked.db.profile.Zonefont = "Roboto"
								Inked.db.profile.ZoneOutline = "THINOUTLINE"
								Inked.db.profile.ZoneFontSize = 18
								Inked.db.profile.ZoneReset = false
								ReloadUI()
							end,
							},									
						}
					},
				ClockFonts = {
					name = "Clock Fonts",
					order = 4,
					type = "group",
					childGroups = "tab",
					args = {
					ClassClockColor = {
						order = 1,
						name = "Class Colored",
						desc = "Use the Class Colors",
						type = "toggle",
						width = "single",
						get = function(info)
							local key = info[#info]						
							return Inked.db.profile[key]
						end,
						set = function(info, v)
							local key = info[#info] 
							Inked.db.profile[key] = v 
							Inked.db.profile.CustomClockColor = false
						end,
						},	
					CustomClockColor = {
						order = 2,
						name = "Custom Colored",
						desc = "Use Custom Colors",
						type = "toggle",
						width = "single",
						get = function(info)
							local key = info[#info]						
							return Inked.db.profile[key]
						end,
						set = function(info, v)
							local key = info[#info] 
							Inked.db.profile[key] = v 
							Inked.db.profile.ClassClockColor = false
						end,
						},
					ClockColorR = {
						order = 3,
						name = "Zone Text Color Red",
						desc = "Changes the amount of RED applied",
						type = "range",
						width = "double",
						min = 0.01,
						max = 1,
						step  = 0.01,
						isPercent = false,
						get = function(info)
						local key = info[#info]						
						return Inked.db.profile[key]
						end,
						set = function(info, v)
						local key = info[#info] 
						Inked.db.profile[key] = v 
						end,
						},
					ClockColorG = {
						order = 4,
						name = "Zone Text Color Green",
						desc = "Changes the amount of Green applied",
						type = "range",
						width = "double",
						min = 0.01,
						max = 1,
						step  = 0.01,
						isPercent = false,
						get = function(info)
						local key = info[#info]						
						return Inked.db.profile[key]
						end,
						set = function(info, v)
						local key = info[#info] 
						Inked.db.profile[key] = v 
						end,
						},
					ClockColorB = {
						order = 5,
						name = "Zone Text Color Blue",
						desc = "Changes the amount of Blue applied",
						type = "range",
						width = "double",
						min = 0.01,
						max = 1,
						step  = 0.01,
						isPercent = false,
						get = function(info)
						local key = info[#info]						
						return Inked.db.profile[key]
						end,
						set = function(info, v)
						local key = info[#info] 
						Inked.db.profile[key] = v 
						end,
						},
					ClockColorA = {
						order = 6,
						name = "Zone Text Alpha",
						desc = "Changes the amount of Opacity applied",
						type = "range",
						width = "double",
						min = 0.01,
						max = 1,
						step  = 0.01,
						isPercent = false,
						get = function(info)
						local key = info[#info]						
						return Inked.db.profile[key]
						end,
						set = function(info, v)
						local key = info[#info] 
						Inked.db.profile[key] = v 
						end,
						},
					Clockfont = {
						order = 7,
						type = 'select',
						dialogControl = 'LSM30_Font', 
						name = 'Font Name',
						desc = 'The type of Font you want to use',
						width = "full",
						values = LSM:HashTable("font"),				
						get = function(info)
						local key = info[#info]						
						return Inked.db.profile[key]
						end,
						set = function(info, v)
						local key = info[#info] 
						Inked.db.profile[key] = v 
						end,
						},
					ClockOutline = {
						order = 8,
						type = 'select',
						dialogControl = 'LSM30_Font', 
						name = 'Font Outline',
						desc = 'Outlines for the fonts',
						width = "full",
						get = function(info)
						local key = info[#info]						
						return Inked.db.profile[key]
						end,
						set = function(info, v)
						local key = info[#info] 
						Inked.db.profile[key] = v 
						end,
						values = {
							['NONE'] = NONE,
							['MONOCHROME'] = 'MonoChrome',
							['THINOUTLINE'] = 'Thin',
							['THICKOUTLINE'] = 'Thick',
							}
						},
						Spacer3 = {
							order = 9,
							name = "",
							fontSize  = "large",
							desc = "",
							descStyle = "inline",
							type = "description",
							width = "full",                      
							},
						ClockFontSize = {
							order = 10,
							name = "Font Size",
							desc = "Size of the font",
							type = "range",
							width = "double",
							min = 6,
							max = 50,
							step  = 1,
							bigStep = 1,
							isPercent = false,
							get = function(info)
							local key = info[#info]						
							return Inked.db.profile[key]
							end,
							set = function(info, v)
							local key = info[#info] 
							Inked.db.profile[key] = v 
							end,
							},
						Spacer4 = {
							order = 11,
							name = "",
							fontSize  = "large",
							desc = "",
							descStyle = "inline",
							type = "description",
							width = "full",                      
							},
						ClockReset = {
							order = 12,
							name = "Clock Text Reset",
							desc = "Resets Back to Inked Defaults",
							type = "toggle",
							width = "single",
							get = function(info)
								local key = info[#info]						
								return Inked.db.profile[key]
							end,
							set = function(info, v)
								local key = info[#info] 
								Inked.db.profile[key] = v 
								Inked.db.profile.ClassClockColor = true
								Inked.db.profile.CustomClockColor = false
								Inked.db.profile.ClockColorR = 1
								Inked.db.profile.ClockColorG = 1
								Inked.db.profile.ClockColorB = 1
								Inked.db.profile.ClockColorA = 1
								Inked.db.profile.Clockfont = "Roboto"
								Inked.db.profile.ClockOutline = "THINOUTLINE"
								Inked.db.profile.ClockFontSize = 18
								Inked.db.profile.ClockReset = false
								ReloadUI()
							end,
							},									
						}
					}

               }---MiniMap args
           },---MiniMap
			ObectiveTracker = {
                order = 3,
                name = "Objective Tracker",
                type = "group",
                args = {
				ObectiveTrackerScale = {
					order = 1,
					name = "Objective Tracker Scale",
					desc = "Sets the scale of the Objective Tracker",
					type = "range",
					width = "double",
					min = 0.25,
					max = 3,
					step  = 0.01,
					isPercent = false,
					get = function(info)
					local key = info[#info]						
					return Inked.db.profile[key]
					end,
					set = function(info, v)
					local key = info[#info] 
					Inked.db.profile[key] = v 
					end,
					},	
				ClassObectiveTrackerColor = {
					order = 2,
					name = "Class Colored",
					desc = "Use the Class Colors",
					type = "toggle",
					width = "single",
					get = function(info)
						local key = info[#info]						
						return Inked.db.profile[key]
					end,
					set = function(info, v)
						local key = info[#info] 
						Inked.db.profile[key] = v 
						Inked.db.profile.CustomObectiveTrackerColor = false
					end,
					},	
				CustomObectiveTrackerColor = {
					order = 3,
					name = "Custom Colored",
					desc = "Use Custom Colors",
					type = "toggle",
					width = "single",
					get = function(info)
						local key = info[#info]						
						return Inked.db.profile[key]
					end,
					set = function(info, v)
						local key = info[#info] 
						Inked.db.profile[key] = v 
						Inked.db.profile.ClassObectiveTrackerColor = false
					end,
					},
				ObectiveTrackerColorR = {
					order = 4,
					name = "Objective Tracker Text Color Red",
					desc = "Changes the amount of RED applied",
					type = "range",
					width = "double",
					min = 0.01,
					max = 1,
					step  = 0.01,
					isPercent = false,
					get = function(info)
					local key = info[#info]						
					return Inked.db.profile[key]
					end,
					set = function(info, v)
					local key = info[#info] 
					Inked.db.profile[key] = v 
					end,
					},
				ObectiveTrackerColorG = {
					order = 5,
					name = "Objective Tracker Text Color Green",
					desc = "Changes the amount of Green applied",
					type = "range",
					width = "double",
					min = 0.01,
					max = 1,
					step  = 0.01,
					isPercent = false,
					get = function(info)
					local key = info[#info]						
					return Inked.db.profile[key]
					end,
					set = function(info, v)
					local key = info[#info] 
					Inked.db.profile[key] = v 
					end,
					},
				ObectiveTrackerColorB = {
					order = 6,
					name = "Objective Tracker Text Color Blue",
					desc = "Changes the amount of Blue applied",
					type = "range",
					width = "double",
					min = 0.01,
					max = 1,
					step  = 0.01,
					isPercent = false,
					get = function(info)
					local key = info[#info]						
					return Inked.db.profile[key]
					end,
					set = function(info, v)
					local key = info[#info] 
					Inked.db.profile[key] = v 
					end,
					},
				ObectiveTrackerColorA = {
					order = 7,
					name = "Objective Tracker Text Alpha",
					desc = "Changes the amount of Opacity applied",
					type = "range",
					width = "double",
					min = 0.01,
					max = 1,
					step  = 0.01,
					isPercent = false,
					get = function(info)
					local key = info[#info]						
					return Inked.db.profile[key]
					end,
					set = function(info, v)
					local key = info[#info] 
					Inked.db.profile[key] = v 
					end,
					},
				ObectiveTrackerfont = {
					order = 8,
					type = 'select',
					dialogControl = 'LSM30_Font', 
					name = 'Font Name',
					desc = 'The type of Font you want to use',
					width = "full",
					values = LSM:HashTable("font"),				
					get = function(info)
					local key = info[#info]						
					return Inked.db.profile[key]
					end,
					set = function(info, v)
					local key = info[#info] 
					Inked.db.profile[key] = v 
					end,
					},
				ObectiveTrackerOutline = {
					order = 9,
					type = 'select',
					 dialogControl = 'LSM30_Font', 
					name = 'Font Outline',
					desc = 'Outlines for the fonts',
					width = "full",
					get = function(info)
					local key = info[#info]						
					return Inked.db.profile[key]
					end,
					set = function(info, v)
					local key = info[#info] 
					Inked.db.profile[key] = v 
					end,
					 values = {
						['NONE'] = NONE,
						['MONOCHROME'] = 'MonoChrome',
						['THINOUTLINE'] = 'Thin',
						['THICKOUTLINE'] = 'Thick',
						}
					},
				Spacer3 = {
					order = 10,
					name = "",
					fontSize  = "large",
					desc = "",
					descStyle = "inline",
					type = "description",
					width = "full",                      
					},
				ObectiveTrackerFontSize = {
					order = 11,
					name = "Font Size",
					desc = "Size of the font",
					type = "range",
					width = "double",
					min = 6,
					max = 50,
					step  = 1,
					bigStep = 1,
					isPercent = false,
					get = function(info)
					local key = info[#info]						
					return Inked.db.profile[key]
					end,
					set = function(info, v)
					local key = info[#info] 
					Inked.db.profile[key] = v 
					end,
					},
				Spacer4 = {
					order = 12,
					name = "",
					fontSize  = "large",
					desc = "",
					descStyle = "inline",
					type = "description",
					width = "full",                      
					},
				MoverObjectiveTrackerX = {
					order = 13,
					name = "Objective Tracker Side to Side",
					desc = "Moves the Objective Tracker Side to Side",
					type = "range",
					width = "double",
					min = -3000,
					max = 3000,
					step  = 1,
					isPercent = false,
					get = function(info)
					local key = info[#info]						
					return Inked.db.profile[key]
					end,
					set = function(info, v)
					local key = info[#info] 
					Inked.db.profile[key] = v 
					end,
					},
				Spacer5 = {
					order = 14,
					name = "",
					fontSize  = "large",
					desc = "",
					descStyle = "inline",
					type = "description",
					width = "full",                      
					},
				MoverObjectiveTrackerY = {
					order = 14,
					name = "Objective Tracker Up and Down",
					desc = "Moves the Objective Tracker Up and Down",
					type = "range",
					width = "double",
					min = -1000,
					max = 1000,
					step  = 1,
					isPercent = false,
					get = function(info)
					local key = info[#info]						
					return Inked.db.profile[key]
					end,
					set = function(info, v)
					local key = info[#info] 
					Inked.db.profile[key] = v 
					end,
					},
				Spacer6 = {
					order = 16,
					name = "",
					fontSize  = "large",
					desc = "",
					descStyle = "inline",
					type = "description",
					width = "full",                      
					},
				ObectiveTrackerReset = {
					order = 17,
					name = "Objective Tracker Reset",
					desc = "Resets Back to Inked Defaults",
					type = "toggle",
					width = "single",
					get = function(info)
						local key = info[#info]						
						return Inked.db.profile[key]
					end,
					set = function(info, v)
						local key = info[#info] 
						Inked.db.profile[key] = v 
						Inked.db.profile.ObectiveTrackerScale = 1
						Inked.db.profile.ClassObectiveTrackerColor = true
						Inked.db.profile.CustomObectiveTrackerColor = false
						Inked.db.profile.ObectiveTrackereColorR = 1
						Inked.db.profile.ObectiveTrackerColorG = 1
						Inked.db.profile.ObectiveTrackerColorB = 1
						Inked.db.profile.ObectiveTrackerColorA = 1
						Inked.db.profile.ObectiveTrackerfont = "Roboto"
						Inked.db.profile.ObectiveTrackerOutline = "THINOUTLINE"
						Inked.db.profile.ObectiveTrackerFontSize = 18
						Inked.db.profile.MoverObjectiveTrackerX = -150
						Inked.db.profile.MoverObjectiveTrackerY = -245
						Inked.db.profile.ObectiveTrackerReset = false
						ReloadUI()
					end,
					},					
                } --Quest Log Args
            }, -- end Quest Log
			ActionBars = {
                order = 4,
                name = "Action Bars",
                type = "group",
				childGroups = "tab",
                args = {
				General = {
							name = "General",
							order = 1,
							type = "group",
							childGroups = "tab",
							args = {
									UseActionBars = {
									order = 1,
									name = "Use Action Bars",
									desc = "Turns off the action bar mod",
									type = "toggle",
									width = "single",
									get = function(info)
										local key = info[#info]						
										return Inked.db.profile[key]
									end,
									set = function(info, v)
										local key = info[#info] 
										Inked.db.profile[key] = v 
										ReloadUI()
									end,
									},
								Spacer = {
									order = 2,
									name = "",
									fontSize  = "large",
									desc = "",
									descStyle = "inline",
									type = "description",
									width = "full",                      
									},
									InkBottleLeft = {
									order = 3,
									name = "Ink Bottle Left",
									desc = "Turns off the Ink Bottle Left",
									type = "toggle",
									width = "single",
									get = function(info)
										local key = info[#info]						
										return Inked.db.profile[key]
									end,
									set = function(info, v)
										local key = info[#info] 
										Inked.db.profile[key] = v 
									end,
									},
								Spacer2 = {
									order = 4,
									name = "",
									fontSize  = "large",
									desc = "",
									descStyle = "inline",
									type = "description",
									width = "full",                      
									},
								InkBottleRight = {
									order = 5,
									name = "Ink Bottle Right",
									desc = "Turns off the Ink Bottle Right",
									type = "toggle",
									width = "single",
									get = function(info)
										local key = info[#info]						
										return Inked.db.profile[key]
									end,
									set = function(info, v)
										local key = info[#info] 
										Inked.db.profile[key] = v 
									end,
									},
								ClassABColor = {
									order = 10,
									name = "Class Colored",
									desc = "Use the Class Colors",
									type = "toggle",
									width = "full",
									get = function(info)
										local key = info[#info]						
										return Inked.db.profile[key]
									end,
									set = function(info, v)
										local key = info[#info] 
										Inked.db.profile[key] = v 
										Inked.db.profile.CustomABColor = false
									end,
									},	
								CustomABColor = {
									order = 11,
									name = "Custom Colored",
									desc = "Use Custom Colors",
									type = "toggle",
									width = "full",
									get = function(info)
										local key = info[#info]						
										return Inked.db.profile[key]
									end,
									set = function(info, v)
										local key = info[#info] 
										Inked.db.profile[key] = v 
										Inked.db.profile.ClassABColor = false
									end,
									},
								ABColorR = {
									order = 12,
									name = "Action Bar Border Color Red",
									desc = "Changes the amount of RED applied",
									type = "range",
									width = "double",
									min = 0.01,
									max = 1,
									step  = 0.01,
									isPercent = false,
									get = function(info)
									local key = info[#info]						
									return Inked.db.profile[key]
									end,
									set = function(info, v)
									local key = info[#info] 
									Inked.db.profile[key] = v 
									end,
									},
								ABColorG = {
									order = 13,
									name = "Action Bar  Border Color Green",
									desc = "Changes the amount of Green applied",
									type = "range",
									width = "double",
									min = 0.01,
									max = 1,
									step  = 0.01,
									isPercent = false,
									get = function(info)
									local key = info[#info]						
									return Inked.db.profile[key]
									end,
									set = function(info, v)
									local key = info[#info] 
									Inked.db.profile[key] = v 
									end,
									},
								ABColorB = {
									order = 14,
									name = "Action Bar Border Color Blue",
									desc = "Changes the amount of Blue applied",
									type = "range",
									width = "double",
									min = 0.01,
									max = 1,
									step  = 0.01,
									isPercent = false,
									get = function(info)
									local key = info[#info]						
									return Inked.db.profile[key]
									end,
									set = function(info, v)
									local key = info[#info] 
									Inked.db.profile[key] = v 
									end,
									},
								ABColorA = {
									order = 15,
									name = "Action Bar  Border Alpha",
									desc = "Changes the amount of Opacity applied",
									type = "range",
									width = "double",
									min = 0.01,
									max = 1,
									step  = 0.01,
									isPercent = false,
									get = function(info)
									local key = info[#info]						
									return Inked.db.profile[key]
									end,
									set = function(info, v)
									local key = info[#info] 
									Inked.db.profile[key] = v 
									end,
									},
								-- colorjunk = {
									-- order = 2,
									-- name = "colorjunk",
									-- fontSize  = "large",
									-- desc = "",
									-- descStyle = "inline",
									-- type = "color",
									-- width = "full",                      
									-- },
								}
							},						
			ActionBar1 = {
					name = "Action Bar 1",
					type = "group",
					childGroups = "tab",
					order = 2,
					args = {
						MoverAB1X = {
						order = 1,
						name = "Move Side to Side",
						desc = "Move the Action Bar Left and Right",
						type = "range",
						width = "full",
						min = -2500,
						max = 2500,
						step  = 1,
						bigStep = 5,
						isPercent = false,
						get = function(info)
							local key = info[#info]						
							return Inked.db.profile[key]
						end,
						set = function(info, v)
							local key = info[#info] 
							Inked.db.profile[key] = v 
						end,
						},
						Spacer = {
						order = 2,
						name = "",
						fontSize  = "large",
						desc = "",
						descStyle = "inline",
						type = "description",
						width = "full",                      
						},
						MoverAB1Y = {
						order = 3,
						name = "Move Up and Down",
						desc = "Move the Action Bar up and down",
						type = "range",
						width = "full",
						min = -2500,
						max = 2500,
						step  = 1,
						bigStep = 5,
						isPercent = false,
						get = function(info)
							local key = info[#info]						
							return Inked.db.profile[key]
						end,
						set = function(info, v)
							local key = info[#info] 
							Inked.db.profile[key] = v 
						end,
						},
						Spacer2 = {
						order = 4,
						name = "",
						fontSize  = "large",
						desc = "",
						descStyle = "inline",
						type = "description",
						width = "full",                      
						},
						AB1ButtonSize = {
						order = 5,
						name = "Change the size of the Buttons",
						desc = "Change the size of the Buttons",
						type = "range",
						width = "full",
						min = 25,
						max = 50,
						step  = 1,
						bigStep = 1,
						isPercent = false,
						get = function(info)
							local key = info[#info]						
							return Inked.db.profile[key]
						end,
						set = function(info, v)
							local key = info[#info] 
							Inked.db.profile[key] = v 
						end,
						},
						Spacer3 = {
						order = 6,
						name = "",
						fontSize  = "large",
						desc = "",
						descStyle = "inline",
						type = "description",
						width = "full",                      
						},
						AB1Layout = {
						order = 7,
						type = 'select',
						width = "double",
						name = 'Layout for Action Bar 1',
						desc = 'Layout for Action Bar 1',
						values = {"1x12 (Horizontal): 1 Tall 12 Across","2x6 (Horizontal): 2 Tall 6 Across" ,"3x4 (Horizontal): 3 tall 4 Across","12x1 (Vertical): 12 Tall 1 Across","6x2 (Vertical): 6 Tall 2 Across","4x3 (Vertical): 4 Tall 3 Across"},				
						get = function(info)
							local key = info[#info]						
							return Inked.db.profile[key]
						end,
						set = function(info, v)
							local key = info[#info] 
							Inked.db.profile[key] = v 
						end,
						},
						Spacer4 = {
						order = 8,
						name = "",
						fontSize  = "large",
						desc = "",
						descStyle = "inline",
						type = "description",
						width = "full",                      
						},
						MoverAB1Point = {
						order = 9,
						type = 'select',
						-- dialogControl = 'LSM30_Font', 
						name = 'Action Bar 1 Point',
						desc = 'The Referece point for Action Bar 1',
						width = "full",
						get = function(info)
						local key = info[#info]						
						return Inked.db.profile[key]
						end,
						set = function(info, v)
						local key = info[#info] 
						Inked.db.profile[key] = v 
						end,
						 values = {
							['BOTTOM'] = 'BOTTOM',
							['TOP'] = 'TOP',
							['LEFT'] = 'LEFT',
							['RIGHT'] = 'RIGHT',
							['BOTTOMLEFT'] = 'BOTTOMLEFT',
							['TOPLEFT'] = 'TOPLEFT',
							['BOTTOMRIGHT'] = 'BOTTOMRIGHT',
							['TOPRIGHT'] = 'TOPRIGHT',
							}
						},
				
						AB1Reset = {
						order = 16,
						name = "Reset",
						desc = "Resets the action bar to Default size and location",
						type = "toggle",
						width = "full",
						get = function(info)
							local key = info[#info]						
							return Inked.db.profile[key]
						end,
						set = function(info, v)
							local key = info[#info] 
							Inked.db.profile[key] = v 
							Inked.db.profile.MoverAB1X = -80
							Inked.db.profile.MoverAB1Y = 30
							Inked.db.profile.AB1ButtonSize = 35
							Inked.db.profile.AB1Layout = 1
							Inked.db.profile.MoverAB1Point = 'BOTTOM'
							
							Inked.db.profile.AB1Reset = false									
							ReloadUI()
						end,
						},
															
					}
				},
			ActionBar2 = {
					name = "Action Bar 2",
					type = "group",
					childGroups = "tab",
					order = 3,
					args = {
					Spacer0 = {
						order = 0,
						name = "Turned On and OFF through Blizzard's Interface >>  Options >> Bottom Left Bar",
						fontSize  = "large",
						desc = "",
						descStyle = "inline",
						type = "description",
						width = "full",                      
						},
						MoverAB2X = {
						order = 1,
						name = "Move Side to Side",
						desc = "Move the Action Bar Left and Right",
						type = "range",
						width = "full",
						min = -2500,
						max = 2500,
						step  = 1,
						bigStep = 5,
						isPercent = false,
						get = function(info)
							local key = info[#info]						
							return Inked.db.profile[key]
						end,
						set = function(info, v)
							local key = info[#info] 
							Inked.db.profile[key] = v 
						end,
						},
						Spacer = {
						order = 2,
						name = "",
						fontSize  = "large",
						desc = "",
						descStyle = "inline",
						type = "description",
						width = "full",                      
						},
						MoverAB2Y = {
						order = 3,
						name = "Move Up and Down",
						desc = "Move the Action Bar up and down",
						type = "range",
						width = "full",
						min = -2500,
						max = 2500,
						step  = 1,
						bigStep = 5,
						isPercent = false,
						get = function(info)
							local key = info[#info]						
							return Inked.db.profile[key]
						end,
						set = function(info, v)
							local key = info[#info] 
							Inked.db.profile[key] = v 
						end,
						},
						Spacer2 = {
						order = 4,
						name = "",
						fontSize  = "large",
						desc = "",
						descStyle = "inline",
						type = "description",
						width = "full",                      
						},
						AB2ButtonSize = {
						order = 5,
						name = "Change the size of the Buttons",
						desc = "Change the size of the Buttons",
						type = "range",
						width = "full",
						min = 25,
						max = 50,
						step  = 1,
						bigStep = 1,
						isPercent = false,
						get = function(info)
							local key = info[#info]						
							return Inked.db.profile[key]
						end,
						set = function(info, v)
							local key = info[#info] 
							Inked.db.profile[key] = v 
						end,
						},
						Spacer3 = {
						order = 6,
						name = "",
						fontSize  = "large",
						desc = "",
						descStyle = "inline",
						type = "description",
						width = "full",                      
						},
						AB2Layout = {
						order = 7,
						type = 'select',
						width = "double",
						name = 'Layout for Action Bar 1',
						desc = 'Layout for Action Bar 1',
						values = {"1x12 (Horizontal): 1 Tall 12 Across","2x6 (Horizontal): 2 Tall 6 Across" ,"3x4 (Horizontal): 3 tall 4 Across","12x1 (Vertical): 12 Tall 1 Across","6x2 (Vertical): 6 Tall 2 Across","4x3 (Vertical): 4 Tall 3 Across"},				
						get = function(info)
							local key = info[#info]						
							return Inked.db.profile[key]
						end,
						set = function(info, v)
							local key = info[#info] 
							Inked.db.profile[key] = v 
						end,
						},
						Spacer4 = {
						order = 8,
						name = "",
						fontSize  = "large",
						desc = "",
						descStyle = "inline",
						type = "description",
						width = "full",                      
						},
						MoverAB2Point = {
						order = 9,
						type = 'select',
						-- dialogControl = 'LSM30_Font', 
						name = 'Action Bar 1 Point',
						desc = 'The Referece point for Action Bar 1',
						width = "full",
						get = function(info)
						local key = info[#info]						
						return Inked.db.profile[key]
						end,
						set = function(info, v)
						local key = info[#info] 
						Inked.db.profile[key] = v 
						end,
						 values = {
							['BOTTOM'] = 'BOTTOM',
							['TOP'] = 'TOP',
							['LEFT'] = 'LEFT',
							['RIGHT'] = 'RIGHT',
							['BOTTOMLEFT'] = 'BOTTOMLEFT',
							['TOPLEFT'] = 'TOPLEFT',
							['BOTTOMRIGHT'] = 'BOTTOMRIGHT',
							['TOPRIGHT'] = 'TOPRIGHT',
							}
						},
					
						AB2Reset = {
						order = 16,
						name = "Reset",
						desc = "Resets the action bar to Default size and location",
						type = "toggle",
						width = "full",
						get = function(info)
							local key = info[#info]						
							return Inked.db.profile[key]
						end,
						set = function(info, v)
							local key = info[#info] 
							Inked.db.profile[key] = v 
							Inked.db.profile.MoverAB2X = -80
							Inked.db.profile.MoverAB2Y = 68
							Inked.db.profile.AB2ButtonSize = 35
							Inked.db.profile.AB2Layout = 1
							Inked.db.profile.MoverAB2Point = 'BOTTOM'
							
							Inked.db.profile.AB2Reset = false									
							ReloadUI()
						end,
						},
															
					}
				},
			ActionBar3 = {
					name = "Action Bar 3",
					type = "group",
					childGroups = "tab",
					order = 4,
					args = {
					Spacer0 = {
						order = 0,
						name = "Turned On and OFF through Blizzard's Interface >>  Options >> Bottom Right Bar",
						fontSize  = "large",
						desc = "",
						descStyle = "inline",
						type = "description",
						width = "full",                      
						},
						MoverAB3X = {
						order = 1,
						name = "Move Side to Side",
						desc = "Move the Action Bar Left and Right",
						type = "range",
						width = "full",
						min = -2500,
						max = 2500,
						step  = 1,
						bigStep = 5,
						isPercent = false,
						get = function(info)
							local key = info[#info]						
							return Inked.db.profile[key]
						end,
						set = function(info, v)
							local key = info[#info] 
							Inked.db.profile[key] = v 
						end,
						},
						Spacer = {
						order = 2,
						name = "",
						fontSize  = "large",
						desc = "",
						descStyle = "inline",
						type = "description",
						width = "full",                      
						},
						MoverAB3Y = {
						order = 3,
						name = "Move Up and Down",
						desc = "Move the Action Bar up and down",
						type = "range",
						width = "full",
						min = -2500,
						max = 2500,
						step  = 1,
						bigStep = 5,
						isPercent = false,
						get = function(info)
							local key = info[#info]						
							return Inked.db.profile[key]
						end,
						set = function(info, v)
							local key = info[#info] 
							Inked.db.profile[key] = v 
						end,
						},
						Spacer2 = {
						order = 4,
						name = "",
						fontSize  = "large",
						desc = "",
						descStyle = "inline",
						type = "description",
						width = "full",                      
						},
						AB3ButtonSize = {
						order = 5,
						name = "Change the size of the Buttons",
						desc = "Change the size of the Buttons",
						type = "range",
						width = "full",
						min = 25,
						max = 50,
						step  = 1,
						bigStep = 1,
						isPercent = false,
						get = function(info)
							local key = info[#info]						
							return Inked.db.profile[key]
						end,
						set = function(info, v)
							local key = info[#info] 
							Inked.db.profile[key] = v 
						end,
						},
						Spacer3 = {
						order = 6,
						name = "",
						fontSize  = "large",
						desc = "",
						descStyle = "inline",
						type = "description",
						width = "full",                      
						},
						AB3Layout = {
						order = 7,
						type = 'select',
						width = "double",
						name = 'Layout for Action Bar 1',
						desc = 'Layout for Action Bar 1',
						values = {"1x12 (Horizontal): 1 Tall 12 Across","2x6 (Horizontal): 2 Tall 6 Across" ,"3x4 (Horizontal): 3 tall 4 Across","12x1 (Vertical): 12 Tall 1 Across","6x2 (Vertical): 6 Tall 2 Across","4x3 (Vertical): 4 Tall 3 Across"},				
						get = function(info)
							local key = info[#info]						
							return Inked.db.profile[key]
						end,
						set = function(info, v)
							local key = info[#info] 
							Inked.db.profile[key] = v 
						end,
						},
						Spacer4 = {
						order = 8,
						name = "",
						fontSize  = "large",
						desc = "",
						descStyle = "inline",
						type = "description",
						width = "full",                      
						},
						MoverAB3Point = {
						order = 9,
						type = 'select',
						-- dialogControl = 'LSM30_Font', 
						name = 'Action Bar 1 Point',
						desc = 'The Referece point for Action Bar 1',
						width = "full",
						get = function(info)
						local key = info[#info]						
						return Inked.db.profile[key]
						end,
						set = function(info, v)
						local key = info[#info] 
						Inked.db.profile[key] = v 
						end,
						 values = {
							['BOTTOM'] = 'BOTTOM',
							['TOP'] = 'TOP',
							['LEFT'] = 'LEFT',
							['RIGHT'] = 'RIGHT',
							['BOTTOMLEFT'] = 'BOTTOMLEFT',
							['TOPLEFT'] = 'TOPLEFT',
							['BOTTOMRIGHT'] = 'BOTTOMRIGHT',
							['TOPRIGHT'] = 'TOPRIGHT',
							}
						},
					
						AB3Reset = {
						order = 16,
						name = "Reset",
						desc = "Resets the action bar to Default size and location",
						type = "toggle",
						width = "full",
						get = function(info)
							local key = info[#info]						
							return Inked.db.profile[key]
						end,
						set = function(info, v)
							local key = info[#info] 
							Inked.db.profile[key] = v 
							Inked.db.profile.MoverAB3X = -80
							Inked.db.profile.MoverAB3Y = 106
							Inked.db.profile.AB3ButtonSize = 35
							Inked.db.profile.AB3Layout = 1
							Inked.db.profile.MoverAB3Point = 'BOTTOM'
							
							Inked.db.profile.AB3Reset = false									
							ReloadUI()
						end,
						},
															
					}
				},
			ActionBar4 = {
				name = "Action Bar 4",
				type = "group",
				childGroups = "tab",
				order = 5,
				args = {
					Spacer0 = {
						order = 0,
						name = "Turned On and OFF through Blizzard's Interface >>  Options >> Right Bar",
						fontSize  = "large",
						desc = "",
						descStyle = "inline",
						type = "description",
						width = "full",                      
						},
					MoverAB4X = {
						order = 1,
						name = "Move Side to Side",
						desc = "Move the Action Bar Left and Right",
						type = "range",
						width = "full",
						min = -2500,
						max = 2500,
						step  = 1,
						bigStep = 5,
						isPercent = false,
						get = function(info)
							local key = info[#info]						
							return Inked.db.profile[key]
						end,
						set = function(info, v)
							local key = info[#info] 
							Inked.db.profile[key] = v 
						end,
						},
						Spacer = {
						order = 2,
						name = "",
						fontSize  = "large",
						desc = "",
						descStyle = "inline",
						type = "description",
						width = "full",                      
						},
					MoverAB4Y = {
						order = 3,
						name = "Move Up and Down",
						desc = "Move the Action Bar up and down",
						type = "range",
						width = "full",
						min = -2500,
						max = 2500,
						step  = 1,
						bigStep = 5,
						isPercent = false,
						get = function(info)
							local key = info[#info]						
							return Inked.db.profile[key]
						end,
						set = function(info, v)
							local key = info[#info] 
							Inked.db.profile[key] = v 
						end,
						},
						Spacer2 = {
						order = 4,
						name = "",
						fontSize  = "large",
						desc = "",
						descStyle = "inline",
						type = "description",
						width = "full",                      
						},
					AB4ButtonSize = {
						order = 5,
						name = "Change the size of the Buttons",
						desc = "Change the size of the Buttons",
						type = "range",
						width = "full",
						min = 25,
						max = 50,
						step  = 1,
						bigStep = 1,
						isPercent = false,
						get = function(info)
							local key = info[#info]						
							return Inked.db.profile[key]
						end,
						set = function(info, v)
							local key = info[#info] 
							Inked.db.profile[key] = v 
						end,
						},
						Spacer3 = {
						order = 6,
						name = "",
						fontSize  = "large",
						desc = "",
						descStyle = "inline",
						type = "description",
						width = "full",                      
						},
					AB4Layout = {
						order = 7,
						type = 'select',
						width = "double",
						name = 'Layout for Action Bar 1',
						desc = 'Layout for Action Bar 1',
						values = {"1x12 (Horizontal): 1 Tall 12 Across","2x6 (Horizontal): 2 Tall 6 Across" ,"3x4 (Horizontal): 3 tall 4 Across","12x1 (Vertical): 12 Tall 1 Across","6x2 (Vertical): 6 Tall 2 Across","4x3 (Vertical): 4 Tall 3 Across"},				
						get = function(info)
							local key = info[#info]						
							return Inked.db.profile[key]
						end,
						set = function(info, v)
							local key = info[#info] 
							Inked.db.profile[key] = v 
						end,
						},
						Spacer4 = {
						order = 8,
						name = "",
						fontSize  = "large",
						desc = "",
						descStyle = "inline",
						type = "description",
						width = "full",                      
						},
					MoverAB4Point = {
						order = 9,
						type = 'select',
						-- dialogControl = 'LSM30_Font', 
						name = 'Action Bar 1 Point',
						desc = 'The Referece point for Action Bar 1',
						width = "full",
						get = function(info)
						local key = info[#info]						
						return Inked.db.profile[key]
						end,
						set = function(info, v)
						local key = info[#info] 
						Inked.db.profile[key] = v 
						end,
						 values = {
							['BOTTOM'] = 'BOTTOM',
							['TOP'] = 'TOP',
							['LEFT'] = 'LEFT',
							['RIGHT'] = 'RIGHT',
							['BOTTOMLEFT'] = 'BOTTOMLEFT',
							['TOPLEFT'] = 'TOPLEFT',
							['BOTTOMRIGHT'] = 'BOTTOMRIGHT',
							['TOPRIGHT'] = 'TOPRIGHT',
							}
						},
					
					AB4Reset = {
						order = 16,
						name = "Reset",
						desc = "Resets the action bar to Default size and location",
						type = "toggle",
						width = "full",
						get = function(info)
							local key = info[#info]						
							return Inked.db.profile[key]
						end,
						set = function(info, v)
							local key = info[#info] 
							Inked.db.profile[key] = v 
							Inked.db.profile.MoverAB4X = -10
							Inked.db.profile.MoverAB4Y = 0
							Inked.db.profile.AB4ButtonSize = 35
							Inked.db.profile.AB4Layout = 4
							Inked.db.profile.MoverAB4Point = 'RIGHT'
					
							Inked.db.profile.AB4Reset = false									
							ReloadUI()
						end,
						},
															
					}
				},
			ActionBar5 = {
				name = "Action Bar 5",
				type = "group",
				childGroups = "tab",
				order = 6,
				args = {
				Spacer0 = {
						order = 0,
						name = "Turned On and OFF through Blizzard's Interface >>  Options >> Right Bar 2",
						fontSize  = "large",
						desc = "",
						descStyle = "inline",
						type = "description",
						width = "full",                      
						},
					MoverAB5X = {
						order = 1,
						name = "Move Side to Side",
						desc = "Move the Action Bar Left and Right",
						type = "range",
						width = "full",
						min = -2500,
						max = 2500,
						step  = 1,
						bigStep = 5,
						isPercent = false,
						get = function(info)
							local key = info[#info]						
							return Inked.db.profile[key]
						end,
						set = function(info, v)
							local key = info[#info] 
							Inked.db.profile[key] = v 
						end,
						},
						Spacer = {
						order = 2,
						name = "",
						fontSize  = "large",
						desc = "",
						descStyle = "inline",
						type = "description",
						width = "full",                      
						},
					MoverAB5Y = {
						order = 3,
						name = "Move Up and Down",
						desc = "Move the Action Bar up and down",
						type = "range",
						width = "full",
						min = -2500,
						max = 2500,
						step  = 1,
						bigStep = 5,
						isPercent = false,
						get = function(info)
							local key = info[#info]						
							return Inked.db.profile[key]
						end,
						set = function(info, v)
							local key = info[#info] 
							Inked.db.profile[key] = v 
						end,
						},
						Spacer2 = {
						order = 4,
						name = "",
						fontSize  = "large",
						desc = "",
						descStyle = "inline",
						type = "description",
						width = "full",                      
						},
					AB5ButtonSize = {
						order = 5,
						name = "Change the size of the Buttons",
						desc = "Change the size of the Buttons",
						type = "range",
						width = "full",
						min = 25,
						max = 50,
						step  = 1,
						bigStep = 1,
						isPercent = false,
						get = function(info)
							local key = info[#info]						
							return Inked.db.profile[key]
						end,
						set = function(info, v)
							local key = info[#info] 
							Inked.db.profile[key] = v 
						end,
						},
						Spacer3 = {
						order = 6,
						name = "",
						fontSize  = "large",
						desc = "",
						descStyle = "inline",
						type = "description",
						width = "full",                      
						},
					AB5Layout = {
						order = 7,
						type = 'select',
						width = "double",
						name = 'Layout for Action Bar 1',
						desc = 'Layout for Action Bar 1',
						values = {"1x12 (Horizontal): 1 Tall 12 Across","2x6 (Horizontal): 2 Tall 6 Across" ,"3x4 (Horizontal): 3 tall 4 Across","12x1 (Vertical): 12 Tall 1 Across","6x2 (Vertical): 6 Tall 2 Across","4x3 (Vertical): 4 Tall 3 Across"},				
						get = function(info)
							local key = info[#info]						
							return Inked.db.profile[key]
						end,
						set = function(info, v)
							local key = info[#info] 
							Inked.db.profile[key] = v 
						end,
						},
						Spacer4 = {
						order = 8,
						name = "",
						fontSize  = "large",
						desc = "",
						descStyle = "inline",
						type = "description",
						width = "full",                      
						},
					MoverAB5Point = {
						order = 9,
						type = 'select',
						-- dialogControl = 'LSM30_Font', 
						name = 'Action Bar 1 Point',
						desc = 'The Referece point for Action Bar 1',
						width = "full",
						get = function(info)
						local key = info[#info]						
						return Inked.db.profile[key]
						end,
						set = function(info, v)
						local key = info[#info] 
						Inked.db.profile[key] = v 
						end,
						 values = {
							['BOTTOM'] = 'BOTTOM',
							['TOP'] = 'TOP',
							['LEFT'] = 'LEFT',
							['RIGHT'] = 'RIGHT',
							['BOTTOMLEFT'] = 'BOTTOMLEFT',
							['TOPLEFT'] = 'TOPLEFT',
							['BOTTOMRIGHT'] = 'BOTTOMRIGHT',
							['TOPRIGHT'] = 'TOPRIGHT',
							}
						},
					
					AB5Reset = {
						order = 16,
						name = "Reset",
						desc = "Resets the action bar to Default size and location",
						type = "toggle",
						width = "full",
						get = function(info)
							local key = info[#info]						
							return Inked.db.profile[key]
						end,
						set = function(info, v)
							local key = info[#info] 
							Inked.db.profile[key] = v 
							Inked.db.profile.MoverAB5X = 210
							Inked.db.profile.MoverAB5Y = 32
							Inked.db.profile.AB5ButtonSize = 35
							Inked.db.profile.AB5Layout = 3
							Inked.db.profile.MoverAB5Point = 'BOTTOM'
							
							Inked.db.profile.AB5Reset = false									
							ReloadUI()
						end,
						},
															
					}
				},
			ActionBar6 = {
				name = "Action Bar 6",
				type = "group",
				childGroups = "tab",
				order = 7,
				args = {
					AB6Enable = {
						order = 1,
						name = "Enable Bar",
						desc = "Use This Bar",
						type = "toggle",
						width = "full",
						get = function(info)
							local key = info[#info]						
							return Inked.db.profile[key]
						end,
						set = function(info, v)
							local key = info[#info] 
							Inked.db.profile[key] = v 
							ReloadUI()
						end,
						},
					MoverAB6X = {
						order = 2,
						name = "Move Side to Side",
						desc = "Move the Action Bar Left and Right",
						type = "range",
						width = "full",
						min = -2500,
						max = 2500,
						step  = 1,
						bigStep = 5,
						isPercent = false,
						get = function(info)
							local key = info[#info]						
							return Inked.db.profile[key]
						end,
						set = function(info, v)
							local key = info[#info] 
							Inked.db.profile[key] = v 
						end,
						},
						Spacer = {
						order = 3,
						name = "",
						fontSize  = "large",
						desc = "",
						descStyle = "inline",
						type = "description",
						width = "full",                      
						},
					MoverAB6Y = {
						order = 4,
						name = "Move Up and Down",
						desc = "Move the Action Bar up and down",
						type = "range",
						width = "full",
						min = -2500,
						max = 2500,
						step  = 1,
						bigStep = 5,
						isPercent = false,
						get = function(info)
							local key = info[#info]						
							return Inked.db.profile[key]
						end,
						set = function(info, v)
							local key = info[#info] 
							Inked.db.profile[key] = v 
						end,
						},
						Spacer2 = {
						order = 5,
						name = "",
						fontSize  = "large",
						desc = "",
						descStyle = "inline",
						type = "description",
						width = "full",                      
						},
					AB6ButtonSize = {
						order = 6,
						name = "Change the size of the Buttons",
						desc = "Change the size of the Buttons",
						type = "range",
						width = "full",
						min = 25,
						max = 50,
						step  = 1,
						bigStep = 1,
						isPercent = false,
						get = function(info)
							local key = info[#info]						
							return Inked.db.profile[key]
						end,
						set = function(info, v)
							local key = info[#info] 
							Inked.db.profile[key] = v 
						end,
						},
						Spacer3 = {
						order = 7,
						name = "",
						fontSize  = "large",
						desc = "",
						descStyle = "inline",
						type = "description",
						width = "full",                      
						},
					Bar6BarLayout = {
						order = 8,
						type = 'select',
						width = "double",
						name = 'Layout for Action Bar 1',
						desc = 'Layout for Action Bar 1',
						values = {"1x12 (Horizontal): 1 Tall 12 Across","2x6 (Horizontal): 2 Tall 6 Across" ,"3x4 (Horizontal): 3 tall 4 Across","12x1 (Vertical): 12 Tall 1 Across","6x2 (Vertical): 6 Tall 2 Across","4x3 (Vertical): 4 Tall 3 Across"},				
						get = function(info)
							local key = info[#info]						
							return Inked.db.profile[key]
						end,
						set = function(info, v)
							local key = info[#info] 
							Inked.db.profile[key] = v 
						end,
						},
						Spacer4 = {
						order = 9,
						name = "",
						fontSize  = "large",
						desc = "",
						descStyle = "inline",
						type = "description",
						width = "full",                      
						},
					MoverAB6Point = {
						order = 10,
						type = 'select',
						-- dialogControl = 'LSM30_Font', 
						name = 'Action Bar 1 Point',
						desc = 'The Referece point for Action Bar 1',
						width = "full",
						get = function(info)
						local key = info[#info]						
						return Inked.db.profile[key]
						end,
						set = function(info, v)
						local key = info[#info] 
						Inked.db.profile[key] = v 
						end,
						 values = {
							['BOTTOM'] = 'BOTTOM',
							['TOP'] = 'TOP',
							['LEFT'] = 'LEFT',
							['RIGHT'] = 'RIGHT',
							['BOTTOMLEFT'] = 'BOTTOMLEFT',
							['TOPLEFT'] = 'TOPLEFT',
							['BOTTOMRIGHT'] = 'BOTTOMRIGHT',
							['TOPRIGHT'] = 'TOPRIGHT',
							}
						},
					
					AB6Reset = {
						order = 17,
						name = "Reset",
						desc = "Resets the action bar to Default size and location",
						type = "toggle",
						width = "full",
						get = function(info)
							local key = info[#info]						
							return Inked.db.profile[key]
						end,
						set = function(info, v)
							local key = info[#info] 
							Inked.db.profile[key] = v 
							Inked.db.profile.AB6Enable = false
							Inked.db.profile.MoverAB6X = 50
							Inked.db.profile.MoverAB6Y = 155
							Inked.db.profile.AB6ButtonSize = 35
							Inked.db.profile.Bar6BarLayout = 1
							Inked.db.profile.MoverAB6Point = 'BOTTOM'
							Inked.db.profile.AB6Reset = false									
							ReloadUI()
						end,
						},
															
					}
				},
			ActionBar7 = {
				name = "Action Bar 7",
				type = "group",
				childGroups = "tab",
				order = 8,
				disabled = function() return UnitClass("player") == "Druid" or UnitClass("player") == "Rogue" end,
				args = {
					AB7Enable = {
						order = 1,
						name = "Enable Bar",
						desc = "Use This Bar",
						type = "toggle",
						width = "full",
						get = function(info)
							local key = info[#info]						
							return Inked.db.profile[key]
						end,
						set = function(info, v)
							local key = info[#info] 
							Inked.db.profile[key] = v 
							ReloadUI()
						end,
						},
					MoverAB7X = {
						order = 2,
						name = "Move Side to Side",
						desc = "Move the Action Bar Left and Right",
						type = "range",
						width = "full",
						min = -2500,
						max = 2500,
						step  = 1,
						bigStep = 5,
						isPercent = false,
						get = function(info)
							local key = info[#info]						
							return Inked.db.profile[key]
						end,
						set = function(info, v)
							local key = info[#info] 
							Inked.db.profile[key] = v 
						end,
						},
						Spacer = {
						order = 3,
						name = "",
						fontSize  = "large",
						desc = "",
						descStyle = "inline",
						type = "description",
						width = "full",                      
						},
					MoverAB7Y = {
						order = 4,
						name = "Move Up and Down",
						desc = "Move the Action Bar up and down",
						type = "range",
						width = "full",
						min = -2500,
						max = 2500,
						step  = 1,
						bigStep = 5,
						isPercent = false,
						get = function(info)
							local key = info[#info]						
							return Inked.db.profile[key]
						end,
						set = function(info, v)
							local key = info[#info] 
							Inked.db.profile[key] = v 
						end,
						},
						Spacer2 = {
						order = 5,
						name = "",
						fontSize  = "large",
						desc = "",
						descStyle = "inline",
						type = "description",
						width = "full",                      
						},
					AB7ButtonSize = {
						order = 6,
						name = "Change the size of the Buttons",
						desc = "Change the size of the Buttons",
						type = "range",
						width = "full",
						min = 25,
						max = 50,
						step  = 1,
						bigStep = 1,
						isPercent = false,
						get = function(info)
							local key = info[#info]						
							return Inked.db.profile[key]
						end,
						set = function(info, v)
							local key = info[#info] 
							Inked.db.profile[key] = v 
						end,
						},
						Spacer3 = {
						order = 7,
						name = "",
						fontSize  = "large",
						desc = "",
						descStyle = "inline",
						type = "description",
						width = "full",                      
						},
					Bar7BarLayout = {
						order = 8,
						type = 'select',
						width = "double",
						name = 'Layout for Action Bar 1',
						desc = 'Layout for Action Bar 1',
						values = {"1x12 (Horizontal): 1 Tall 12 Across","2x6 (Horizontal): 2 Tall 6 Across" ,"3x4 (Horizontal): 3 tall 4 Across","12x1 (Vertical): 12 Tall 1 Across","6x2 (Vertical): 6 Tall 2 Across","4x3 (Vertical): 4 Tall 3 Across"},				
						get = function(info)
							local key = info[#info]						
							return Inked.db.profile[key]
						end,
						set = function(info, v)
							local key = info[#info] 
							Inked.db.profile[key] = v 
						end,
						},
						Spacer4 = {
						order = 9,
						name = "",
						fontSize  = "large",
						desc = "",
						descStyle = "inline",
						type = "description",
						width = "full",                      
						},
					MoverAB7Point = {
						order = 10,
						type = 'select',
						-- dialogControl = 'LSM30_Font', 
						name = 'Action Bar 1 Point',
						desc = 'The Referece point for Action Bar 1',
						width = "full",
						get = function(info)
						local key = info[#info]						
						return Inked.db.profile[key]
						end,
						set = function(info, v)
						local key = info[#info] 
						Inked.db.profile[key] = v 
						end,
						 values = {
							['BOTTOM'] = 'BOTTOM',
							['TOP'] = 'TOP',
							['LEFT'] = 'LEFT',
							['RIGHT'] = 'RIGHT',
							['BOTTOMLEFT'] = 'BOTTOMLEFT',
							['TOPLEFT'] = 'TOPLEFT',
							['BOTTOMRIGHT'] = 'BOTTOMRIGHT',
							['TOPRIGHT'] = 'TOPRIGHT',
							}
						},
					
					AB7Reset = {
						order = 17,
						name = "Reset",
						desc = "Resets the action bar to Default size and location",
						type = "toggle",
						width = "full",
						get = function(info)
							local key = info[#info]						
							return Inked.db.profile[key]
						end,
						set = function(info, v)
							local key = info[#info] 
							Inked.db.profile[key] = v 
							Inked.db.profile.AB7Enable = false
							Inked.db.profile.MoverAB7X = 50
							Inked.db.profile.MoverAB7Y = 195
							Inked.db.profile.AB7ButtonSize = 35
							Inked.db.profile.Bar7BarLayout = 1
							Inked.db.profile.MoverAB7Point = 'BOTTOM'
							Inked.db.profile.AB7Reset = false									
							ReloadUI()
						end,
						},
															
					}
				},
			ActionBar8 = {
				name = "Action Bar 8",
				type = "group",
				childGroups = "tab",
				order = 9,
				--disabled = function() return UnitClass("player") == "Druid" end,
				args = {
					AB8Enable = {
						order = 1,
						name = "Enable Bar",
						desc = "Use This Bar",
						type = "toggle",
						width = "full",
						get = function(info)
							local key = info[#info]						
							return Inked.db.profile[key]
						end,
						set = function(info, v)
							local key = info[#info] 
							Inked.db.profile[key] = v 
							ReloadUI()
						end,
						},
					MoverAB8X = {
						order = 2,
						name = "Move Side to Side",
						desc = "Move the Action Bar Left and Right",
						type = "range",
						width = "full",
						min = -2500,
						max = 2500,
						step  = 1,
						bigStep = 5,
						isPercent = false,
						get = function(info)
							local key = info[#info]						
							return Inked.db.profile[key]
						end,
						set = function(info, v)
							local key = info[#info] 
							Inked.db.profile[key] = v 
						end,
						},
						Spacer = {
						order = 3,
						name = "",
						fontSize  = "large",
						desc = "",
						descStyle = "inline",
						type = "description",
						width = "full",                      
						},
					MoverAB8Y = {
						order = 4,
						name = "Move Up and Down",
						desc = "Move the Action Bar up and down",
						type = "range",
						width = "full",
						min = -2500,
						max = 2500,
						step  = 1,
						bigStep = 5,
						isPercent = false,
						get = function(info)
							local key = info[#info]						
							return Inked.db.profile[key]
						end,
						set = function(info, v)
							local key = info[#info] 
							Inked.db.profile[key] = v 
						end,
						},
						Spacer2 = {
						order = 5,
						name = "",
						fontSize  = "large",
						desc = "",
						descStyle = "inline",
						type = "description",
						width = "full",                      
						},
					AB8ButtonSize = {
						order = 6,
						name = "Change the size of the Buttons",
						desc = "Change the size of the Buttons",
						type = "range",
						width = "full",
						min = 25,
						max = 50,
						step  = 1,
						bigStep = 1,
						isPercent = false,
						get = function(info)
							local key = info[#info]						
							return Inked.db.profile[key]
						end,
						set = function(info, v)
							local key = info[#info] 
							Inked.db.profile[key] = v 
						end,
						},
						Spacer3 = {
						order = 7,
						name = "",
						fontSize  = "large",
						desc = "",
						descStyle = "inline",
						type = "description",
						width = "full",                      
						},
					Bar8BarLayout = {
						order = 8,
						type = 'select',
						width = "double",
						name = 'Layout for Action Bar 1',
						desc = 'Layout for Action Bar 1',
						values = {"1x12 (Horizontal): 1 Tall 12 Across","2x6 (Horizontal): 2 Tall 6 Across" ,"3x4 (Horizontal): 3 tall 4 Across","12x1 (Vertical): 12 Tall 1 Across","6x2 (Vertical): 6 Tall 2 Across","4x3 (Vertical): 4 Tall 3 Across"},				
						get = function(info)
							local key = info[#info]						
							return Inked.db.profile[key]
						end,
						set = function(info, v)
							local key = info[#info] 
							Inked.db.profile[key] = v 
						end,
						},
						Spacer4 = {
						order = 9,
						name = "",
						fontSize  = "large",
						desc = "",
						descStyle = "inline",
						type = "description",
						width = "full",                      
						},
					MoverAB8Point = {
						order = 10,
						type = 'select',
						-- dialogControl = 'LSM30_Font', 
						name = 'Action Bar 1 Point',
						desc = 'The Referece point for Action Bar 1',
						width = "full",
						get = function(info)
						local key = info[#info]						
						return Inked.db.profile[key]
						end,
						set = function(info, v)
						local key = info[#info] 
						Inked.db.profile[key] = v 
						end,
						 values = {
							['BOTTOM'] = 'BOTTOM',
							['TOP'] = 'TOP',
							['LEFT'] = 'LEFT',
							['RIGHT'] = 'RIGHT',
							['BOTTOMLEFT'] = 'BOTTOMLEFT',
							['TOPLEFT'] = 'TOPLEFT',
							['BOTTOMRIGHT'] = 'BOTTOMRIGHT',
							['TOPRIGHT'] = 'TOPRIGHT',
							}
						},
					
					AB8Reset = {
						order = 17,
						name = "Reset",
						desc = "Resets the action bar to Default size and location",
						type = "toggle",
						width = "full",
						get = function(info)
							local key = info[#info]						
							return Inked.db.profile[key]
						end,
						set = function(info, v)
							local key = info[#info] 
							Inked.db.profile[key] = v 
							Inked.db.profile.AB8Enable = false
							Inked.db.profile.MoverAB8X = 50
							Inked.db.profile.MoverAB8Y = 235
							Inked.db.profile.AB8ButtonSize = 35
							Inked.db.profile.Bar8BarLayout = 1
							Inked.db.profile.MoverAB8Point = 'BOTTOM'
							Inked.db.profile.AB8Reset = false									
							ReloadUI()
						end,
						},
															
					}
				},
			ActionBar9 = {
				name = "Action Bar 9",
				type = "group",
				childGroups = "tab",
				order = 10,
				disabled = function() return UnitClass("player") == "Druid" end,
				args = {
					AB9Enable = {
						order = 1,
						name = "Enable Bar",
						desc = "Use This Bar",
						type = "toggle",
						width = "full",
						get = function(info)
							local key = info[#info]						
							return Inked.db.profile[key]
						end,
						set = function(info, v)
							local key = info[#info] 
							Inked.db.profile[key] = v 
							ReloadUI()
						end,
						},
					MoverAB9X = {
						order = 2,
						name = "Move Side to Side",
						desc = "Move the Action Bar Left and Right",
						type = "range",
						width = "full",
						min = -2500,
						max = 2500,
						step  = 1,
						bigStep = 5,
						isPercent = false,
						get = function(info)
							local key = info[#info]						
							return Inked.db.profile[key]
						end,
						set = function(info, v)
							local key = info[#info] 
							Inked.db.profile[key] = v 
						end,
						},
						Spacer = {
						order = 3,
						name = "",
						fontSize  = "large",
						desc = "",
						descStyle = "inline",
						type = "description",
						width = "full",                      
						},
					MoverAB9Y = {
						order = 4,
						name = "Move Up and Down",
						desc = "Move the Action Bar up and down",
						type = "range",
						width = "full",
						min = -2500,
						max = 2500,
						step  = 1,
						bigStep = 5,
						isPercent = false,
						get = function(info)
							local key = info[#info]						
							return Inked.db.profile[key]
						end,
						set = function(info, v)
							local key = info[#info] 
							Inked.db.profile[key] = v 
						end,
						},
						Spacer2 = {
						order = 5,
						name = "",
						fontSize  = "large",
						desc = "",
						descStyle = "inline",
						type = "description",
						width = "full",                      
						},
					AB9ButtonSize = {
						order = 6,
						name = "Change the size of the Buttons",
						desc = "Change the size of the Buttons",
						type = "range",
						width = "full",
						min = 25,
						max = 50,
						step  = 1,
						bigStep = 1,
						isPercent = false,
						get = function(info)
							local key = info[#info]						
							return Inked.db.profile[key]
						end,
						set = function(info, v)
							local key = info[#info] 
							Inked.db.profile[key] = v 
						end,
						},
						Spacer3 = {
						order = 7,
						name = "",
						fontSize  = "large",
						desc = "",
						descStyle = "inline",
						type = "description",
						width = "full",                      
						},
					Bar9BarLayout = {
						order = 8,
						type = 'select',
						width = "double",
						name = 'Layout for Action Bar 1',
						desc = 'Layout for Action Bar 1',
						values = {"1x12 (Horizontal): 1 Tall 12 Across","2x6 (Horizontal): 2 Tall 6 Across" ,"3x4 (Horizontal): 3 tall 4 Across","12x1 (Vertical): 12 Tall 1 Across","6x2 (Vertical): 6 Tall 2 Across","4x3 (Vertical): 4 Tall 3 Across"},				
						get = function(info)
							local key = info[#info]						
							return Inked.db.profile[key]
						end,
						set = function(info, v)
							local key = info[#info] 
							Inked.db.profile[key] = v 
						end,
						},
						Spacer4 = {
						order = 9,
						name = "",
						fontSize  = "large",
						desc = "",
						descStyle = "inline",
						type = "description",
						width = "full",                      
						},
					MoverAB9Point = {
						order = 10,
						type = 'select',
						-- dialogControl = 'LSM30_Font', 
						name = 'Action Bar 1 Point',
						desc = 'The Referece point for Action Bar 1',
						width = "full",
						get = function(info)
						local key = info[#info]						
						return Inked.db.profile[key]
						end,
						set = function(info, v)
						local key = info[#info] 
						Inked.db.profile[key] = v 
						end,
						 values = {
							['BOTTOM'] = 'BOTTOM',
							['TOP'] = 'TOP',
							['LEFT'] = 'LEFT',
							['RIGHT'] = 'RIGHT',
							['BOTTOMLEFT'] = 'BOTTOMLEFT',
							['TOPLEFT'] = 'TOPLEFT',
							['BOTTOMRIGHT'] = 'BOTTOMRIGHT',
							['TOPRIGHT'] = 'TOPRIGHT',
							}
						},
					
					AB9Reset = {
						order = 17,
						name = "Reset",
						desc = "Resets the action bar to Default size and location",
						type = "toggle",
						width = "full",
						get = function(info)
							local key = info[#info]						
							return Inked.db.profile[key]
						end,
						set = function(info, v)
							local key = info[#info] 
							Inked.db.profile[key] = v 
							Inked.db.profile.AB9Enable = false
							Inked.db.profile.MoverAB9X = 50
							Inked.db.profile.MoverAB9Y = 275
							Inked.db.profile.AB9ButtonSize = 35
							Inked.db.profile.Bar9BarLayout = 1
							Inked.db.profile.MoverAB9Point = 'BOTTOM'
							Inked.db.profile.AB9Reset = false									
							ReloadUI()
						end,
						},
															
					}
				},
			ActionBar10 = {
				name = "Action Bar 10",
				type = "group",
				childGroups = "tab",
				order = 11,
				disabled = function() return UnitClass("player") == "Druid" end,
				args = {
					AB10Enable = {
						order = 1,
						name = "Enable Bar",
						desc = "Use This Bar",
						type = "toggle",
						width = "full",
						get = function(info)
							local key = info[#info]						
							return Inked.db.profile[key]
						end,
						set = function(info, v)
							local key = info[#info] 
							Inked.db.profile[key] = v 
							ReloadUI()
						end,
						},
					MoverAB10X = {
						order = 2,
						name = "Move Side to Side",
						desc = "Move the Action Bar Left and Right",
						type = "range",
						width = "full",
						min = -2500,
						max = 2500,
						step  = 1,
						bigStep = 5,
						isPercent = false,
						get = function(info)
							local key = info[#info]						
							return Inked.db.profile[key]
						end,
						set = function(info, v)
							local key = info[#info] 
							Inked.db.profile[key] = v 
						end,
						},
						Spacer = {
						order = 3,
						name = "",
						fontSize  = "large",
						desc = "",
						descStyle = "inline",
						type = "description",
						width = "full",                      
						},
					MoverAB10Y = {
						order = 4,
						name = "Move Up and Down",
						desc = "Move the Action Bar up and down",
						type = "range",
						width = "full",
						min = -2500,
						max = 2500,
						step  = 1,
						bigStep = 5,
						isPercent = false,
						get = function(info)
							local key = info[#info]						
							return Inked.db.profile[key]
						end,
						set = function(info, v)
							local key = info[#info] 
							Inked.db.profile[key] = v 
						end,
						},
						Spacer2 = {
						order = 5,
						name = "",
						fontSize  = "large",
						desc = "",
						descStyle = "inline",
						type = "description",
						width = "full",                      
						},
					AB10ButtonSize = {
						order = 6,
						name = "Change the size of the Buttons",
						desc = "Change the size of the Buttons",
						type = "range",
						width = "full",
						min = 25,
						max = 50,
						step  = 1,
						bigStep = 1,
						isPercent = false,
						get = function(info)
							local key = info[#info]						
							return Inked.db.profile[key]
						end,
						set = function(info, v)
							local key = info[#info] 
							Inked.db.profile[key] = v 
						end,
						},
						Spacer3 = {
						order = 7,
						name = "",
						fontSize  = "large",
						desc = "",
						descStyle = "inline",
						type = "description",
						width = "full",                      
						},
					Bar10BarLayout = {
						order = 8,
						type = 'select',
						width = "double",
						name = 'Layout for Action Bar 1',
						desc = 'Layout for Action Bar 1',
						values = {"1x12 (Horizontal): 1 Tall 12 Across","2x6 (Horizontal): 2 Tall 6 Across" ,"3x4 (Horizontal): 3 tall 4 Across","12x1 (Vertical): 12 Tall 1 Across","6x2 (Vertical): 6 Tall 2 Across","4x3 (Vertical): 4 Tall 3 Across"},				
						get = function(info)
							local key = info[#info]						
							return Inked.db.profile[key]
						end,
						set = function(info, v)
							local key = info[#info] 
							Inked.db.profile[key] = v 
						end,
						},
						Spacer4 = {
						order = 9,
						name = "",
						fontSize  = "large",
						desc = "",
						descStyle = "inline",
						type = "description",
						width = "full",                      
						},
					MoverAB10Point = {
						order = 10,
						type = 'select',
						-- dialogControl = 'LSM30_Font', 
						name = 'Action Bar 1 Point',
						desc = 'The Referece point for Action Bar 1',
						width = "full",
						get = function(info)
						local key = info[#info]						
						return Inked.db.profile[key]
						end,
						set = function(info, v)
						local key = info[#info] 
						Inked.db.profile[key] = v 
						end,
						 values = {
							['BOTTOM'] = 'BOTTOM',
							['TOP'] = 'TOP',
							['LEFT'] = 'LEFT',
							['RIGHT'] = 'RIGHT',
							['BOTTOMLEFT'] = 'BOTTOMLEFT',
							['TOPLEFT'] = 'TOPLEFT',
							['BOTTOMRIGHT'] = 'BOTTOMRIGHT',
							['TOPRIGHT'] = 'TOPRIGHT',
							}
						},
					AB10Reset = {
						order = 17,
						name = "Reset",
						desc = "Resets the action bar to Default size and location",
						type = "toggle",
						width = "full",
						get = function(info)
							local key = info[#info]						
							return Inked.db.profile[key]
						end,
						set = function(info, v)
							local key = info[#info] 
							Inked.db.profile[key] = v 
							Inked.db.profile.AB10Enable = false
							Inked.db.profile.MoverAB10X = 50
							Inked.db.profile.MoverAB10Y = 315
							Inked.db.profile.AB10ButtonSize = 35
							Inked.db.profile.Bar10BarLayout = 1
							Inked.db.profile.MoverAB10Point = 'BOTTOM'
							Inked.db.profile.AB10Reset = false									
							ReloadUI()
						end,
						},
															
					}
				},
			StanceDance = {
				name = "Stance Bar",
				type = "group",
				childGroups = "tab",
				order = 12,
				args = {
					MoverStanceX = {
						order = 1,
						name = "Move Side to Side",
						desc = "Move the Stance Bar Left and Right",
						type = "range",
						width = "full",
						min = -2500,
						max = 2500,
						step  = 1,
						bigStep = 5,
						isPercent = false,
						get = function(info)
						local key = info[#info]						
						return Inked.db.profile[key]
						end,
						set = function(info, v)
						local key = info[#info] 
						Inked.db.profile[key] = v 
						end,
						},
						Spacer = {
						order = 2,
						name = "",
						fontSize  = "large",
						desc = "",
						descStyle = "inline",
						type = "description",
						width = "full",                      
						},
					MoverStanceY = {
						order = 3,
						name = "Move Up and Down",
						desc = "Move the Stance Bar up and down",
						type = "range",
						width = "full",
						min = -2500,
						max = 2500,
						step  = 1,
						bigStep = 5,
						isPercent = false,
						get = function(info)
						local key = info[#info]						
						return Inked.db.profile[key]
						end,
						set = function(info, v)
						local key = info[#info] 
						Inked.db.profile[key] = v 
						end,
						},
						Spacer2 = {
						order = 4,
						name = "",
						fontSize  = "large",
						desc = "",
						descStyle = "inline",
						type = "description",
						width = "full",                      
						},
					StanceButtonSize = {
						order = 5,
						name = "Change the size of the Buttons",
						desc = "Change the size of the Buttons",
						type = "range",
						width = "full",
						min = 25,
						max = 50,
						step  = 1,
						bigStep = 1,
						isPercent = false,
						get = function(info)
						local key = info[#info]						
						return Inked.db.profile[key]
						end,
						set = function(info, v)
						local key = info[#info] 
						Inked.db.profile[key] = v 
						end,
						},
						Spacer3 = {
						order = 6,
						name = "",
						fontSize  = "large",
						desc = "",
						descStyle = "inline",
						type = "description",
						width = "full",                      
						},
					
					StanceReset = {
						order = 13,
						name = "Reset",
						desc = "Resets the action bar to Default size and location",
						type = "toggle",
						width = "full",
						get = function(info)
						local key = info[#info]						
						return Inked.db.profile[key]
						end,
						set = function(info, v)
						local key = info[#info] 
						Inked.db.profile[key] = v 
						
							Inked.db.profile.MoverStanceX = -122
							Inked.db.profile.MoverStanceY = 142
							Inked.db.profile.StanceButtonSize = 35
							Inked.db.profile.MoverStancePoint = BOTTOM
							Inked.db.profile.StanceReset = false	
							ReloadUI()
						end,
						},
														
					}
				},
			PetActionBar = {
				name = "Pet Action Bar",
				type = "group",
				childGroups = "tab",
				order = 13,
				args = {
					MoverPetX = {
						order = 1,
						name = "Move Side to Side",
						desc = "Move the Stance Bar Left and Right",
						type = "range",
						width = "full",
						min = -2500,
						max = 2500,
						step  = 1,
						bigStep = 5,
						isPercent = false,
						get = function(info)
						local key = info[#info]						
						return Inked.db.profile[key]
						end,
						set = function(info, v)
						local key = info[#info] 
						Inked.db.profile[key] = v 
						end,
						},
						Spacer = {
						order = 2,
						name = "",
						fontSize  = "large",
						desc = "",
						descStyle = "inline",
						type = "description",
						width = "full",                      
						},
					MoverPetY = {
						order = 3,
						name = "Move Up and Down",
						desc = "Move the Stance Bar up and down",
						type = "range",
						width = "full",
						min = -2500,
						max = 2500,
						step  = 1,
						bigStep = 5,
						isPercent = false,
						get = function(info)
						local key = info[#info]						
						return Inked.db.profile[key]
						end,
						set = function(info, v)
						local key = info[#info] 
						Inked.db.profile[key] = v 
						end,
						},
						Spacer2 = {
						order = 4,
						name = "",
						fontSize  = "large",
						desc = "",
						descStyle = "inline",
						type = "description",
						width = "full",                      
						},
					PetButtonSize = {
						order = 5,
						name = "Change the size of the Buttons",
						desc = "Change the size of the Buttons",
						type = "range",
						width = "full",
						min = 25,
						max = 50,
						step  = 1,
						bigStep = 1,
						isPercent = false,
						get = function(info)
						local key = info[#info]						
						return Inked.db.profile[key]
						end,
						set = function(info, v)
						local key = info[#info] 
						Inked.db.profile[key] = v 
						end,
						},
						Spacer3 = {
						order = 6,
						name = "",
						fontSize  = "large",
						desc = "",
						descStyle = "inline",
						type = "description",
						width = "full",                      
						},
					
					PetReset = {
						order = 13,
						name = "Reset",
						desc = "Resets the action bar to Default size and location",
						type = "toggle",
						width = "full",
						get = function(info)
						local key = info[#info]						
						return Inked.db.profile[key]
						end,
						set = function(info, v)
						local key = info[#info] 
						Inked.db.profile[key] = v 
						
							Inked.db.profile.MoverPetX = -80
							Inked.db.profile.MoverPetY = 142
							Inked.db.profile.PetButtonSize = 35
							Inked.db.profile.MoverPetPoint = BOTTOM
							Inked.db.profile.PetReset = false	
							ReloadUI()
						end,
						},
														
					}
				},

               }---ActionBars args
           },--ActionBars bar
			Inventory = {
                order = 5,
                name = "Bag Bar",
                type = "group",
                args = {
				UseBagBar = {
						type = "toggle",	
						order	= 0,
						name	= "Use the Bag Bar",
						desc	= "Turn this off to hide the Bag Bar",						
						get = function(info)
							local key = info[#info]						
							return Inked.db.profile[key]
						end,
						set = function(info, v)
							local key = info[#info] 
							Inked.db.profile[key] = v 
						end,
					},
				BagBarShow = {
						type = "toggle",	
						order	= 1,
						name	= "Show the Bag Bar",
						desc	= "Turn this off to hide the Bag Bar",						
						get = function(info)
							local key = info[#info]						
							return Inked.db.profile[key]
						end,
						set = function(info, v)
							local key = info[#info] 
							Inked.db.profile[key] = v 
						end,
					},
				BagBarShowOnlyMainBag = {
						type = "toggle",	
						order	= 2,
						name	= "Show Only BackPack",
						desc	= "Show Only the Backpack",						
						get = function(info)
							local key = info[#info]						
							return Inked.db.profile[key]
						end,
						set = function(info, v)
							local key = info[#info] 
							Inked.db.profile[key] = v 
						end,
					},
				BagBarX = {
						order = 3,
						name = "Move Side to Side",
						desc = "Move the Stance Bar Left and Right",
						type = "range",
						width = "full",
						min = -2500,
						max = 2500,
						step  = 1,
						bigStep = 5,
						isPercent = false,
						get = function(info)
						local key = info[#info]						
						return Inked.db.profile[key]
						end,
						set = function(info, v)
						local key = info[#info] 
						Inked.db.profile[key] = v 
						end,
						},
					Spacer = {
						order = 4,
						name = "",
						fontSize  = "large",
						desc = "",
						descStyle = "inline",
						type = "description",
						width = "full",                      
						},
					BagBarY = {
						order = 5,
						name = "Move Up and Down",
						desc = "Move the Stance Bar up and down",
						type = "range",
						width = "full",
						min = -2500,
						max = 2500,
						step  = 1,
						bigStep = 5,
						isPercent = false,
						get = function(info)
						local key = info[#info]						
						return Inked.db.profile[key]
						end,
						set = function(info, v)
						local key = info[#info] 
						Inked.db.profile[key] = v 
						end,
						},
					Spacer2 = {
						order = 6,
						name = "",
						fontSize  = "large",
						desc = "",
						descStyle = "inline",
						type = "description",
						width = "full",                      
						},
					Bagfont = {
						order = 7,
						type = 'select',
						dialogControl = 'LSM30_Font', 
						name = 'Font Name',
						desc = 'The type of Font you want to use',
						width = "full",
						values = LSM:HashTable("font"),				
						get = function(info)
						local key = info[#info]						
						return Inked.db.profile[key]
						end,
						set = function(info, v)
						local key = info[#info] 
						Inked.db.profile[key] = v 
						end,
						},
					BagOutline = {
						order = 8,
						type = 'select',
						dialogControl = 'LSM30_Font', 
						name = 'Font Outline',
						desc = 'Outlines for the fonts',
						width = "full",
						get = function(info)
						local key = info[#info]						
						return Inked.db.profile[key]
						end,
						set = function(info, v)
						local key = info[#info] 
						Inked.db.profile[key] = v 
						end,
						values = {
							['NONE'] = NONE,
							['MONOCHROME'] = 'MonoChrome',
							['THINOUTLINE'] = 'Thin',
							['THICKOUTLINE'] = 'Thick',
							}
						},
					Spacer3 = {
							order = 9,
							name = "",
							fontSize  = "large",
							desc = "",
							descStyle = "inline",
							type = "description",
							width = "full",                      
							},
					BagFontSize = {
							order = 10,
							name = "Font Size",
							desc = "Size of the font",
							type = "range",
							width = "double",
							min = 6,
							max = 50,
							step  = 1,
							bigStep = 1,
							isPercent = false,
							get = function(info)
							local key = info[#info]						
							return Inked.db.profile[key]
							end,
							set = function(info, v)
							local key = info[#info] 
							Inked.db.profile[key] = v 
							end,
							},
					ClassBagBarColor = {
						order = 11,
						name = "Class Colored",
						desc = "Use the Class Colors",
						type = "toggle",
						width = "full",
						get = function(info)
							local key = info[#info]						
							return Inked.db.profile[key]
						end,
						set = function(info, v)
							local key = info[#info] 
							Inked.db.profile[key] = v 
							Inked.db.profile.CustomBagBarColor = false
						end,
						},	
					CustomBagBarColor = {
						order = 12,
						name = "Custom Colored",
						desc = "Use Custom Colors",
						type = "toggle",
						width = "full",
						get = function(info)
							local key = info[#info]						
							return Inked.db.profile[key]
						end,
						set = function(info, v)
							local key = info[#info] 
							Inked.db.profile[key] = v 
							Inked.db.profile.ClassBagBarColor = false
						end,
						},
					BagBarColorR = {
						order = 13,
						name = "Action Bar 1 Border Color Red",
						desc = "Changes the amount of RED applied",
						type = "range",
						width = "double",
						min = 0.01,
						max = 1,
						step  = 0.01,
						isPercent = false,
						get = function(info)
						local key = info[#info]						
						return Inked.db.profile[key]
						end,
						set = function(info, v)
						local key = info[#info] 
						Inked.db.profile[key] = v 
						end,
						},
					BagBarColorG = {
						order = 14,
						name = "Action Bar 1 Border Color Green",
						desc = "Changes the amount of Green applied",
						type = "range",
						width = "double",
						min = 0.01,
						max = 1,
						step  = 0.01,
						isPercent = false,
						get = function(info)
						local key = info[#info]						
						return Inked.db.profile[key]
						end,
						set = function(info, v)
						local key = info[#info] 
						Inked.db.profile[key] = v 
						end,
						},
					BagBarColorB = {
						order = 15,
						name = "Action Bar 1 Border Color Blue",
						desc = "Changes the amount of Blue applied",
						type = "range",
						width = "double",
						min = 0.01,
						max = 1,
						step  = 0.01,
						isPercent = false,
						get = function(info)
						local key = info[#info]						
						return Inked.db.profile[key]
						end,
						set = function(info, v)
						local key = info[#info] 
						Inked.db.profile[key] = v 
						end,
						},
					BagBarColorA = {
						order = 16,
						name = "Action Bar 1 Border Alpha",
						desc = "Changes the amount of Opacity applied",
						type = "range",
						width = "double",
						min = 0.01,
						max = 1,
						step  = 0.01,
						isPercent = false,
						get = function(info)
						local key = info[#info]						
						return Inked.db.profile[key]
						end,
						set = function(info, v)
						local key = info[#info] 
						Inked.db.profile[key] = v 
						end,
						},
						Spacer4 = {
						order = 17,
						name = "",
						fontSize  = "large",
						desc = "",
						descStyle = "inline",
						type = "description",
						width = "full",                      
						},
					BagBarReset = {
						order = 18,
						name = "Reset",
						desc = "Resets the action bar to Default size and location",
						type = "toggle",
						width = "full",
						get = function(info)
						local key = info[#info]						
						return Inked.db.profile[key]
						end,
						set = function(info, v)
						local key = info[#info] 
						Inked.db.profile[key] = v 
							Inked.db.profile.BagBarShow = true
							Inked.db.profile.BagBarX = -10
							Inked.db.profile.BagBarY = 10
							Inked.db.profile.BagBarPoint = BOTTOM
							Inked.db.profile.Bagfont = "Roboto"
							Inked.db.profile.BagOutline = "THINOUTLINE"
							Inked.db.profile.BagFontSize = 15
							Inked.db.profile.ClassBagBarColor = true
							Inked.db.profile.CustomBagBarColor = false
							Inked.db.profile.BagBarColorR = 1
							Inked.db.profile.BagBarColorG = 1
							Inked.db.profile.BagBarColorB = 1
							Inked.db.profile.BagBarColorA = 1
							Inked.db.profile.BagBarReset = false	
							ReloadUI()
						end,
						},
                }--inventoryargs
            },--inventory end
			MicroMenu = {
                order = 6,
                name = "Micro Menu",
                type = "group",
                args = {
				MicroMenuEnabled= {
						type = "toggle",	
						order	= 0,
						name	= "Micro Menu Enable",
						desc	= "Turn this off to Disable the Micro Menu",						
						get = function(info)
							local key = info[#info]						
							return Inked.db.profile[key]
						end,
						set = function(info, v)
							local key = info[#info] 
							Inked.db.profile[key] = v 
						end,
					},
				MicroMenuShow = {
						type = "toggle",	
						order	= 1,
						name	= "Show the Micro Menu",
						desc	= "Turn this off to hide the Micro Menu",						
						get = function(info)
							local key = info[#info]						
							return Inked.db.profile[key]
						end,
						set = function(info, v)
							local key = info[#info] 
							Inked.db.profile[key] = v 
						end,
					},
				MicroMenuX = {
						order = 2,
						name = "Move Side to Side",
						desc = "Move the Stance Bar Left and Right",
						type = "range",
						width = "full",
						min = -2500,
						max = 2500,
						step  = 1,
						bigStep = 5,
						isPercent = false,
						get = function(info)
						local key = info[#info]						
						return Inked.db.profile[key]
						end,
						set = function(info, v)
						local key = info[#info] 
						Inked.db.profile[key] = v 
						end,
						},
					Spacer = {
						order = 3,
						name = "",
						fontSize  = "large",
						desc = "",
						descStyle = "inline",
						type = "description",
						width = "full",                      
						},
					MicroMenuY = {
						order = 4,
						name = "Move Up and Down",
						desc = "Move the Stance Bar up and down",
						type = "range",
						width = "full",
						min = -2500,
						max = 2500,
						step  = 1,
						bigStep = 5,
						isPercent = false,
						get = function(info)
						local key = info[#info]						
						return Inked.db.profile[key]
						end,
						set = function(info, v)
						local key = info[#info] 
						Inked.db.profile[key] = v 
						end,
						},
					Spacer2 = {
						order = 5,
						name = "",
						fontSize  = "large",
						desc = "",
						descStyle = "inline",
						type = "description",
						width = "full",                      
						},
					
					ClassMicroMenuColor = {
						order = 10,
						name = "Class Colored",
						desc = "Use the Class Colors",
						type = "toggle",
						width = "full",
						get = function(info)
							local key = info[#info]						
							return Inked.db.profile[key]
						end,
						set = function(info, v)
							local key = info[#info] 
							Inked.db.profile[key] = v 
							Inked.db.profile.CustomMicroMenuColor = false
						end,
						},	
					CustomMicroMenuColor = {
						order = 11,
						name = "Custom Colored",
						desc = "Use Custom Colors",
						type = "toggle",
						width = "full",
						get = function(info)
							local key = info[#info]						
							return Inked.db.profile[key]
						end,
						set = function(info, v)
							local key = info[#info] 
							Inked.db.profile[key] = v 
							Inked.db.profile.ClassMicroMenuColor = false
						end,
						},
					MicroMenuColorR = {
						order = 12,
						name = "Action Bar 1 Border Color Red",
						desc = "Changes the amount of RED applied",
						type = "range",
						width = "double",
						min = 0.01,
						max = 1,
						step  = 0.01,
						isPercent = false,
						get = function(info)
						local key = info[#info]						
						return Inked.db.profile[key]
						end,
						set = function(info, v)
						local key = info[#info] 
						Inked.db.profile[key] = v 
						end,
						},
					MicroMenuColorG = {
						order = 13,
						name = "Action Bar 1 Border Color Green",
						desc = "Changes the amount of Green applied",
						type = "range",
						width = "double",
						min = 0.01,
						max = 1,
						step  = 0.01,
						isPercent = false,
						get = function(info)
						local key = info[#info]						
						return Inked.db.profile[key]
						end,
						set = function(info, v)
						local key = info[#info] 
						Inked.db.profile[key] = v 
						end,
						},
					MicroMenuColorB = {
						order = 14,
						name = "Action Bar 1 Border Color Blue",
						desc = "Changes the amount of Blue applied",
						type = "range",
						width = "double",
						min = 0.01,
						max = 1,
						step  = 0.01,
						isPercent = false,
						get = function(info)
						local key = info[#info]						
						return Inked.db.profile[key]
						end,
						set = function(info, v)
						local key = info[#info] 
						Inked.db.profile[key] = v 
						end,
						},
					MicroMenuColorA = {
						order = 15,
						name = "Action Bar 1 Border Alpha",
						desc = "Changes the amount of Opacity applied",
						type = "range",
						width = "double",
						min = 0.01,
						max = 1,
						step  = 0.01,
						isPercent = false,
						get = function(info)
						local key = info[#info]						
						return Inked.db.profile[key]
						end,
						set = function(info, v)
						local key = info[#info] 
						Inked.db.profile[key] = v 
						end,
						},
						Spacer4 = {
						order = 16,
						name = "",
						fontSize  = "large",
						desc = "",
						descStyle = "inline",
						type = "description",
						width = "full",                      
						},
					MicroMenuReset = {
						order = 17,
						name = "Reset",
						desc = "Resets the action bar to Default size and location",
						type = "toggle",
						width = "full",
						get = function(info)
						local key = info[#info]						
						return Inked.db.profile[key]
						end,
						set = function(info, v)
						local key = info[#info] 
						Inked.db.profile[key] = v 
							Inked.db.profile.MicroMenuShow = true
							Inked.db.profile.MicroMenuX = 10
							Inked.db.profile.MicroMenuY = -10
							Inked.db.profile.MicroMenuPoint = TOPLEFT
							Inked.db.profile.ClassMicroMenuColor = true
							Inked.db.profile.CustomMicroMenuColor = false
							Inked.db.profile.MicroMenuColorR = 1
							Inked.db.profile.MicroMenuColorG = 1
							Inked.db.profile.MicroMenuColorB = 1
							Inked.db.profile.MicroMenuColorA = 1
							Inked.db.profile.MicroMenuReset = false	
							ReloadUI()
						end,
						},
                }--Micro Menu args
            },--Micro Menu end
			XPBar = {
                order = 7,
                name = "XP Bar",
                type = "group",
                args = {
				XPEnable = {
						type = "toggle",	
						order	= 1,
						name	= "Enable the XP Bar",
						desc	= "Turn this off to hide the XP Bar",						
						get = function(info)
							local key = info[#info]						
							return Inked.db.profile[key]
						end,
						set = function(info, v)
							local key = info[#info] 
							Inked.db.profile[key] = v 
						end,
					},
				XPX = {
						order = 2,
						name = "Move Side to Side",
						desc = "Move the Stance Bar Left and Right",
						type = "range",
						width = "full",
						min = -2500,
						max = 2500,
						step  = 1,
						bigStep = 5,
						isPercent = false,
						get = function(info)
						local key = info[#info]						
						return Inked.db.profile[key]
						end,
						set = function(info, v)
						local key = info[#info] 
						Inked.db.profile[key] = v 
						end,
						},
				Spacer = {
						order = 3,
						name = "",
						fontSize  = "large",
						desc = "",
						descStyle = "inline",
						type = "description",
						width = "full",                      
						},
				XPY = {
						order = 4,
						name = "Move Up and Down",
						desc = "Move the Stance Bar up and down",
						type = "range",
						width = "full",
						min = -2500,
						max = 2500,
						step  = 1,
						bigStep = 5,
						isPercent = false,
						get = function(info)
						local key = info[#info]						
						return Inked.db.profile[key]
						end,
						set = function(info, v)
						local key = info[#info] 
						Inked.db.profile[key] = v 
						end,
						},
					Spacer2 = {
						order = 5,
						name = "",
						fontSize  = "large",
						desc = "",
						descStyle = "inline",
						type = "description",
						width = "full",                      
						},
					XPWidth = {
						order = 6,
						name = "XP Bar Width",
						desc = "XP Bar Width",
						type = "range",
						width = "full",
						min = 150,
						max = 1920,
						step  = 1,
						isPercent = false,
						get = function(info)
						local key = info[#info]						
						return Inked.db.profile[key]
						end,
						set = function(info, v)
						local key = info[#info] 
						Inked.db.profile[key] = v 
						end,
						},
					XPHeight = {
						order = 7,
						name = "XP Bar Height",
						desc = "XP Bar Height",
						type = "range",
						width = "full",
						min = 8,
						max = 150,
						step  = 1,
						isPercent = false,
						get = function(info)
						local key = info[#info]						
						return Inked.db.profile[key]
						end,
						set = function(info, v)
						local key = info[#info] 
						Inked.db.profile[key] = v 
						end,
						},
					XPfont = {
						order = 8,
						type = 'select',
						dialogControl = 'LSM30_Font', 
						name = 'Font Name',
						desc = 'The type of Font you want to use',
						width = "full",
						values = LSM:HashTable("font"),				
						get = function(info)
						local key = info[#info]						
						return Inked.db.profile[key]
						end,
						set = function(info, v)
						local key = info[#info] 
						Inked.db.profile[key] = v 
						end,
						},
					XPFontOutline = {
						order = 9,
						type = 'select',
						dialogControl = 'LSM30_Font', 
						name = 'Font Outline',
						desc = 'Outlines for the fonts',
						width = "full",
						get = function(info)
						local key = info[#info]						
						return Inked.db.profile[key]
						end,
						set = function(info, v)
						local key = info[#info] 
						Inked.db.profile[key] = v 
						end,
						values = {
							['NONE'] = NONE,
							['MONOCHROME'] = 'MonoChrome',
							['THINOUTLINE'] = 'Thin',
							['THICKOUTLINE'] = 'Thick',
							}
						},
					Spacer3 = {
							order = 10,
							name = "",
							fontSize  = "large",
							desc = "",
							descStyle = "inline",
							type = "description",
							width = "full",                      
							},
					XPFontSize = {
							order = 11,
							name = "Font Size",
							desc = "Size of the font",
							type = "range",
							width = "double",
							min = 6,
							max = 50,
							step  = 1,
							bigStep = 1,
							isPercent = false,
							get = function(info)
							local key = info[#info]						
							return Inked.db.profile[key]
							end,
							set = function(info, v)
							local key = info[#info] 
							Inked.db.profile[key] = v 
							end,
							},
					XPStatusBar = {
						order = 12,
						name = "Status Bar",
						desc = "Change the Status Bar",
						type = 'select',
						dialogControl = 'LSM30_Statusbar', 
						width = "full",
						values = LSM:HashTable("statusbar"),
						get = function(info)
							local key = info[#info]						
							return Inked.db.profile[key]
						end,
						set = function(info, v)
							local key = info[#info] 
							Inked.db.profile[key] = v 
						end,
						},	
					XPReset = {
						order = 13,
						name = "Reset",
						desc = "Resets the bar to Default size and location",
						type = "toggle",
						width = "full",
						get = function(info)
						local key = info[#info]						
						return Inked.db.profile[key]
						end,
						set = function(info, v)
						local key = info[#info] 
						Inked.db.profile[key] = v 
							Inked.db.profile.XPEnable = true
							Inked.db.profile.XPX = -250
							Inked.db.profile.XPY = -10
							Inked.db.profile.XPPoint = TOP
							Inked.db.profile.XPWidth = 350
							Inked.db.profile.XPHeight = 24
							Inked.db.profile.XPfont = "Roboto"
							Inked.db.profile.XPFontSize = 14
							Inked.db.profile.XPFontOutline = "NONE"
							Inked.db.profile.XPStatusBar = "CellShade"
							Inked.db.profile.XPReset = false	
							ReloadUI()
						end,
						},
                }--XP args
            },--XP end
			RepBar = {
                order = 8,
                name = "Rep Bar",
                type = "group",
                args = {
				RepEnable = {
						type = "toggle",	
						order	= 1,
						name	= "Enable the Rep Bar",
						desc	= "Turn this off to hide the Rep Bar",						
						get = function(info)
							local key = info[#info]						
							return Inked.db.profile[key]
						end,
						set = function(info, v)
							local key = info[#info] 
							Inked.db.profile[key] = v 
						end,
					},
				RepX = {
						order = 2,
						name = "Move Side to Side",
						desc = "Move the Stance Bar Left and Right",
						type = "range",
						width = "full",
						min = -2500,
						max = 2500,
						step  = 1,
						bigStep = 5,
						isPercent = false,
						get = function(info)
						local key = info[#info]						
						return Inked.db.profile[key]
						end,
						set = function(info, v)
						local key = info[#info] 
						Inked.db.profile[key] = v 
						end,
						},
				Spacer = {
						order = 3,
						name = "",
						fontSize  = "large",
						desc = "",
						descStyle = "inline",
						type = "description",
						width = "full",                      
						},
				RepY = {
						order = 4,
						name = "Move Up and Down",
						desc = "Move the Stance Bar up and down",
						type = "range",
						width = "full",
						min = -2500,
						max = 2500,
						step  = 1,
						bigStep = 5,
						isPercent = false,
						get = function(info)
						local key = info[#info]						
						return Inked.db.profile[key]
						end,
						set = function(info, v)
						local key = info[#info] 
						Inked.db.profile[key] = v 
						end,
						},
					Spacer2 = {
						order = 5,
						name = "",
						fontSize  = "large",
						desc = "",
						descStyle = "inline",
						type = "description",
						width = "full",                      
						},
					RepWidth = {
						order = 6,
						name = "XP Bar Width",
						desc = "XP Bar Width",
						type = "range",
						width = "full",
						min = 150,
						max = 1920,
						step  = 1,
						isPercent = false,
						get = function(info)
						local key = info[#info]						
						return Inked.db.profile[key]
						end,
						set = function(info, v)
						local key = info[#info] 
						Inked.db.profile[key] = v 
						end,
						},
					RepHeight = {
						order = 7,
						name = "XP Bar Height",
						desc = "XP Bar Height",
						type = "range",
						width = "full",
						min = 8,
						max = 150,
						step  = 1,
						isPercent = false,
						get = function(info)
						local key = info[#info]						
						return Inked.db.profile[key]
						end,
						set = function(info, v)
						local key = info[#info] 
						Inked.db.profile[key] = v 
						end,
						},
					Repfont = {
						order = 8,
						type = 'select',
						dialogControl = 'LSM30_Font', 
						name = 'Font Name',
						desc = 'The type of Font you want to use',
						width = "full",
						values = LSM:HashTable("font"),				
						get = function(info)
						local key = info[#info]						
						return Inked.db.profile[key]
						end,
						set = function(info, v)
						local key = info[#info] 
						Inked.db.profile[key] = v 
						end,
						},
					RepFontOutline = {
						order = 9,
						type = 'select',
						dialogControl = 'LSM30_Font', 
						name = 'Font Outline',
						desc = 'Outlines for the fonts',
						width = "full",
						get = function(info)
						local key = info[#info]						
						return Inked.db.profile[key]
						end,
						set = function(info, v)
						local key = info[#info] 
						Inked.db.profile[key] = v 
						end,
						values = {
							['NONE'] = NONE,
							['MONOCHROME'] = 'MonoChrome',
							['THINOUTLINE'] = 'Thin',
							['THICKOUTLINE'] = 'Thick',
							}
						},
					Spacer3 = {
							order = 10,
							name = "",
							fontSize  = "large",
							desc = "",
							descStyle = "inline",
							type = "description",
							width = "full",                      
							},
					RepFontSize = {
							order = 11,
							name = "Font Size",
							desc = "Size of the font",
							type = "range",
							width = "double",
							min = 6,
							max = 50,
							step  = 1,
							bigStep = 1,
							isPercent = false,
							get = function(info)
							local key = info[#info]						
							return Inked.db.profile[key]
							end,
							set = function(info, v)
							local key = info[#info] 
							Inked.db.profile[key] = v 
							end,
							},
					RepStatusBar = {
						order = 12,
						name = "Status Bar",
						desc = "Change the Status Bar",
						type = 'select',
						dialogControl = 'LSM30_Statusbar', 
						width = "full",
						values = LSM:HashTable("statusbar"),
						get = function(info)
							local key = info[#info]						
							return Inked.db.profile[key]
						end,
						set = function(info, v)
							local key = info[#info] 
							Inked.db.profile[key] = v 
						end,
						},	
					RepReset = {
						order = 13,
						name = "Reset",
						desc = "Resets the bar to Default size and location",
						type = "toggle",
						width = "full",
						get = function(info)
						local key = info[#info]						
						return Inked.db.profile[key]
						end,
						set = function(info, v)
						local key = info[#info] 
						Inked.db.profile[key] = v 
							Inked.db.profile.RepEnable = true
							Inked.db.profile.RepX = 250
							Inked.db.profile.RepY = -10
							Inked.db.profile.RepPoint = TOP
							Inked.db.profile.RepWidth = 350
							Inked.db.profile.RepHeight = 24
							Inked.db.profile.Repfont = "Roboto"
							Inked.db.profile.RepFontSize = 14
							Inked.db.profile.RepFontOutline = "NONE"
							Inked.db.profile.RepStatusBar = "CellShade"
							Inked.db.profile.RepReset = false	
							ReloadUI()
						end,
						},
                }--Rep args
            },--Rep end
			DurabilityBar = {
                order = 9,
                name = "Durability Bar",
                type = "group",
                args = {
				DuraEnable = {
						type = "toggle",	
						order	= 1,
						name	= "Enable the Durability Bar",
						desc	= "Turn this off to hide the Durability Bar",						
						get = function(info)
							local key = info[#info]						
							return Inked.db.profile[key]
						end,
						set = function(info, v)
							local key = info[#info] 
							Inked.db.profile[key] = v 
						end,
					},
				DuraX = {
						order = 2,
						name = "Move Side to Side",
						desc = "Move the Stance Bar Left and Right",
						type = "range",
						width = "full",
						min = -2500,
						max = 2500,
						step  = 1,
						bigStep = 5,
						isPercent = false,
						get = function(info)
						local key = info[#info]						
						return Inked.db.profile[key]
						end,
						set = function(info, v)
						local key = info[#info] 
						Inked.db.profile[key] = v 
						end,
						},
				Spacer = {
						order = 3,
						name = "",
						fontSize  = "large",
						desc = "",
						descStyle = "inline",
						type = "description",
						width = "full",                      
						},
				DuraY = {
						order = 4,
						name = "Move Up and Down",
						desc = "Move the Stance Bar up and down",
						type = "range",
						width = "full",
						min = -2500,
						max = 2500,
						step  = 1,
						bigStep = 5,
						isPercent = false,
						get = function(info)
						local key = info[#info]						
						return Inked.db.profile[key]
						end,
						set = function(info, v)
						local key = info[#info] 
						Inked.db.profile[key] = v 
						end,
						},
					Spacer2 = {
						order = 5,
						name = "",
						fontSize  = "large",
						desc = "",
						descStyle = "inline",
						type = "description",
						width = "full",                      
						},
					DuraWidth = {
						order = 6,
						name = "XP Bar Width",
						desc = "XP Bar Width",
						type = "range",
						width = "full",
						min = 150,
						max = 1920,
						step  = 1,
						isPercent = false,
						get = function(info)
						local key = info[#info]						
						return Inked.db.profile[key]
						end,
						set = function(info, v)
						local key = info[#info] 
						Inked.db.profile[key] = v 
						end,
						},
					DuraHeight = {
						order = 7,
						name = "XP Bar Height",
						desc = "XP Bar Height",
						type = "range",
						width = "full",
						min = 8,
						max = 150,
						step  = 1,
						isPercent = false,
						get = function(info)
						local key = info[#info]						
						return Inked.db.profile[key]
						end,
						set = function(info, v)
						local key = info[#info] 
						Inked.db.profile[key] = v 
						end,
						},
					Durafont = {
						order = 8,
						type = 'select',
						dialogControl = 'LSM30_Font', 
						name = 'Font Name',
						desc = 'The type of Font you want to use',
						width = "full",
						values = LSM:HashTable("font"),				
						get = function(info)
						local key = info[#info]						
						return Inked.db.profile[key]
						end,
						set = function(info, v)
						local key = info[#info] 
						Inked.db.profile[key] = v 
						end,
						},
					DuraFontOutline = {
						order = 9,
						type = 'select',
						dialogControl = 'LSM30_Font', 
						name = 'Font Outline',
						desc = 'Outlines for the fonts',
						width = "full",
						get = function(info)
						local key = info[#info]						
						return Inked.db.profile[key]
						end,
						set = function(info, v)
						local key = info[#info] 
						Inked.db.profile[key] = v 
						end,
						values = {
							['NONE'] = NONE,
							['MONOCHROME'] = 'MonoChrome',
							['THINOUTLINE'] = 'Thin',
							['THICKOUTLINE'] = 'Thick',
							}
						},
					Spacer3 = {
							order = 10,
							name = "",
							fontSize  = "large",
							desc = "",
							descStyle = "inline",
							type = "description",
							width = "full",                      
							},
					DuraFontSize = {
							order = 11,
							name = "Font Size",
							desc = "Size of the font",
							type = "range",
							width = "double",
							min = 6,
							max = 50,
							step  = 1,
							bigStep = 1,
							isPercent = false,
							get = function(info)
							local key = info[#info]						
							return Inked.db.profile[key]
							end,
							set = function(info, v)
							local key = info[#info] 
							Inked.db.profile[key] = v 
							end,
							},
					DuraStatusBar = {
						order = 12,
						name = "Status Bar",
						desc = "Change the Status Bar",
						type = 'select',
						dialogControl = 'LSM30_Statusbar', 
						width = "full",
						values = LSM:HashTable("statusbar"),
						get = function(info)
							local key = info[#info]						
							return Inked.db.profile[key]
						end,
						set = function(info, v)
							local key = info[#info] 
							Inked.db.profile[key] = v 
						end,
						},	
					DuraReset = {
						order = 13,
						name = "Reset",
						desc = "Resets the bar to Default size and location",
						type = "toggle",
						width = "full",
						get = function(info)
						local key = info[#info]						
						return Inked.db.profile[key]
						end,
						set = function(info, v)
						local key = info[#info] 
						Inked.db.profile[key] = v 
							Inked.db.profile.DuraEnable = true
							Inked.db.profile.DuraX = 525
							Inked.db.profile.DuraY = -10
							Inked.db.profile.DuraPoint = TOP
							Inked.db.profile.DuraWidth = 130
							Inked.db.profile.DuraHeight = 24
							Inked.db.profile.Durafont = "Roboto"
							Inked.db.profile.DuraFontSize = 14
							Inked.db.profile.DuraFontOutline = "NONE"
							Inked.db.profile.DuraStatusBar = "CellShade"
							Inked.db.profile.DuraReset = false	
							ReloadUI()
						end,
						},
                }--Dura args
            },--Dura end
			GoldBar = {
                order = 10,
                name = "Gold Text",
                type = "group",
                args = {
				GoldEnable = {
						type = "toggle",	
						order	= 1,
						name	= "Enable the Gold Text",
						desc	= "Turn this off to hide the Gold Text",						
						get = function(info)
							local key = info[#info]						
							return Inked.db.profile[key]
						end,
						set = function(info, v)
							local key = info[#info] 
							Inked.db.profile[key] = v 
						end,
					},
				GoldX = {
						order = 2,
						name = "Move Side to Side",
						desc = "Move the Stance Bar Left and Right",
						type = "range",
						width = "full",
						min = -2500,
						max = 2500,
						step  = 1,
						bigStep = 5,
						isPercent = false,
						get = function(info)
						local key = info[#info]						
						return Inked.db.profile[key]
						end,
						set = function(info, v)
						local key = info[#info] 
						Inked.db.profile[key] = v 
						end,
						},
				Spacer = {
						order = 3,
						name = "",
						fontSize  = "large",
						desc = "",
						descStyle = "inline",
						type = "description",
						width = "full",                      
						},
				GoldY = {
						order = 4,
						name = "Move Up and Down",
						desc = "Move the Stance Bar up and down",
						type = "range",
						width = "full",
						min = -2500,
						max = 2500,
						step  = 1,
						bigStep = 5,
						isPercent = false,
						get = function(info)
						local key = info[#info]						
						return Inked.db.profile[key]
						end,
						set = function(info, v)
						local key = info[#info] 
						Inked.db.profile[key] = v 
						end,
						},
				Spacer2 = {
						order = 5,
						name = "",
						fontSize  = "large",
						desc = "",
						descStyle = "inline",
						type = "description",
						width = "full",                      
						},
				Goldfont = {
						order = 8,
						type = 'select',
						dialogControl = 'LSM30_Font', 
						name = 'Font Name',
						desc = 'The type of Font you want to use',
						width = "full",
						values = LSM:HashTable("font"),				
						get = function(info)
						local key = info[#info]						
						return Inked.db.profile[key]
						end,
						set = function(info, v)
						local key = info[#info] 
						Inked.db.profile[key] = v 
						end,
						},
				GoldFontOutline = {
						order = 9,
						type = 'select',
						dialogControl = 'LSM30_Font', 
						name = 'Font Outline',
						desc = 'Outlines for the fonts',
						width = "full",
						get = function(info)
						local key = info[#info]						
						return Inked.db.profile[key]
						end,
						set = function(info, v)
						local key = info[#info] 
						Inked.db.profile[key] = v 
						end,
						values = {
							['NONE'] = NONE,
							['MONOCHROME'] = 'MonoChrome',
							['THINOUTLINE'] = 'Thin',
							['THICKOUTLINE'] = 'Thick',
							}
						},
					Spacer3 = {
							order = 10,
							name = "",
							fontSize  = "large",
							desc = "",
							descStyle = "inline",
							type = "description",
							width = "full",                      
							},
					GoldFontSize = {
							order = 11,
							name = "Font Size",
							desc = "Size of the font",
							type = "range",
							width = "double",
							min = 6,
							max = 50,
							step  = 1,
							bigStep = 1,
							isPercent = false,
							get = function(info)
							local key = info[#info]						
							return Inked.db.profile[key]
							end,
							set = function(info, v)
							local key = info[#info] 
							Inked.db.profile[key] = v 
							end,
							},

					GoldReset = {
						order = 13,
						name = "Reset",
						desc = "Resets the bar to Default size and location",
						type = "toggle",
						width = "full",
						get = function(info)
						local key = info[#info]						
						return Inked.db.profile[key]
						end,
						set = function(info, v)
						local key = info[#info] 
						Inked.db.profile[key] = v 
							Inked.db.profile.GoldEnable = true
							Inked.db.profile.GoldX = -250
							Inked.db.profile.GoldY = 10
							Inked.db.profile.GoldPoint = BOTTOMRIGHT
							Inked.db.profile.Goldfont = "Roboto"
							Inked.db.profile.GoldFontSize = 18
							Inked.db.profile.GoldFontOutline = "THINOUTLINE"
							Inked.db.profile.GoldReset = false	
							ReloadUI()
						end,
						},
                }--Gold args
            },--Gold end
			Nameplates = {
                order = 11,
                name = "Nameplates",
                type = "group",
                args = {
				NamePlatefont = {
						order = 1,
						type = 'select',
						dialogControl = 'LSM30_Font', 
						name = 'Font Name',
						desc = 'The type of Font you want to use',
						width = "full",
						values = LSM:HashTable("font"),				
						get = function(info)
						local key = info[#info]						
						return Inked.db.profile[key]
						end,
						set = function(info, v)
						local key = info[#info] 
						Inked.db.profile[key] = v 
						end,
						},
				NamePlateStatusBar = {
						order = 2,
						name = "Status Bar",
						desc = "Change the Status Bar",
						type = 'select',
						dialogControl = 'LSM30_Statusbar', 
						width = "full",
						values = LSM:HashTable("statusbar"),
						get = function(info)
							local key = info[#info]						
							return Inked.db.profile[key]
						end,
						set = function(info, v)
							local key = info[#info] 
							Inked.db.profile[key] = v 
						end,
						},
					NamePlateReset = {
						order = 3,
						name = "Reset",
						desc = "Resets the bar to Default size and location",
						type = "toggle",
						width = "full",
						get = function(info)
						local key = info[#info]						
						return Inked.db.profile[key]
						end,
						set = function(info, v)
						local key = info[#info] 
						Inked.db.profile[key] = v 							
							Inked.db.profile.NamePlatefont = "Roboto"
							Inked.db.profile.NamePlateStatusBar = "LightGrey"
							Inked.db.profile.GoldReset = false	
							ReloadUI()
						end,
						},
                }--Nameplate args
            },--Nameplate end
			Chat = {
                order = 12,
                name = "Chat",
                type = "group",
                args = {
				ChatEnable = {
						type = "toggle",	
						order	= 1,
						name	= "Enable Inked Chat",
						desc	= "Turn this off to hide Inked Chat",						
						get = function(info)
							local key = info[#info]						
							return Inked.db.profile[key]
						end,
						set = function(info, v)
							local key = info[#info] 
							Inked.db.profile[key] = v 
						end,
					},
				Chatfont = {
						order = 2,
						type = 'select',
						dialogControl = 'LSM30_Font', 
						name = 'Chat Font Name',
						desc = 'The type of Font you want to use',
						width = "full",
						values = LSM:HashTable("font"),				
						get = function(info)
						local key = info[#info]						
						return Inked.db.profile[key]
						end,
						set = function(info, v)
						local key = info[#info] 
						Inked.db.profile[key] = v 
						end,
						},
					ChatFontOutline = {
						order = 3,
						type = 'select',
						dialogControl = 'LSM30_Font', 
						name = 'Chat Font Outline',
						desc = 'Outlines for the fonts',
						width = "full",
						get = function(info)
						local key = info[#info]						
						return Inked.db.profile[key]
						end,
						set = function(info, v)
						local key = info[#info] 
						Inked.db.profile[key] = v 
						end,
						values = {
							['NONE'] = NONE,
							['MONOCHROME'] = 'MonoChrome',
							['THINOUTLINE'] = 'Thin',
							['THICKOUTLINE'] = 'Thick',
							}
						},

					ChatFontSize = {
						order = 4,
						name = "Chat Font Size",
						desc = "Size of the font",
						type = "range",
						width = "double",
						min = 6,
						max = 50,
						step  = 1,
						bigStep = 1,
						isPercent = false,
						get = function(info)
						local key = info[#info]						
						return Inked.db.profile[key]
						end,
						set = function(info, v)
						local key = info[#info] 
						Inked.db.profile[key] = v 
						end,
						},
					ChatEditBoxfont = {
						order = 5,
						type = 'select',
						dialogControl = 'LSM30_Font', 
						name = 'Chat Edit Box Font Name',
						desc = 'The type of Font you want to use',
						width = "full",
						values = LSM:HashTable("font"),				
						get = function(info)
						local key = info[#info]						
						return Inked.db.profile[key]
						end,
						set = function(info, v)
						local key = info[#info] 
						Inked.db.profile[key] = v 
						end,
						},
					ChatEditBoxFontOutline = {
						order = 6,
						type = 'select',
						dialogControl = 'LSM30_Font', 
						name = 'Chat Edit Box Font Outline',
						desc = 'Outlines for the fonts',
						width = "full",
						get = function(info)
						local key = info[#info]						
						return Inked.db.profile[key]
						end,
						set = function(info, v)
						local key = info[#info] 
						Inked.db.profile[key] = v 
						end,
						values = {
							['NONE'] = NONE,
							['MONOCHROME'] = 'MonoChrome',
							['THINOUTLINE'] = 'Thin',
							['THICKOUTLINE'] = 'Thick',
							}
						},

					ChatEditBoxFontSize = {
						order = 7,
						name = "Chat Edit Box Font Size",
						desc = "Size of the font",
						type = "range",
						width = "double",
						min = 6,
						max = 50,
						step  = 1,
						bigStep = 1,
						isPercent = false,
						get = function(info)
						local key = info[#info]						
						return Inked.db.profile[key]
						end,
						set = function(info, v)
						local key = info[#info] 
						Inked.db.profile[key] = v 
						end,
						},
					ChatTabfont = {
						order = 8,
						type = 'select',
						dialogControl = 'LSM30_Font', 
						name = 'Chat Tab Font Name',
						desc = 'The type of Font you want to use',
						width = "full",
						values = LSM:HashTable("font"),				
						get = function(info)
						local key = info[#info]						
						return Inked.db.profile[key]
						end,
						set = function(info, v)
						local key = info[#info] 
						Inked.db.profile[key] = v 
						end,
						},
					ChatTabFontOutline = {
						order = 9,
						type = 'select',
						dialogControl = 'LSM30_Font', 
						name = 'Chat Tab Font Outline',
						desc = 'Outlines for the fonts',
						width = "full",
						get = function(info)
						local key = info[#info]						
						return Inked.db.profile[key]
						end,
						set = function(info, v)
						local key = info[#info] 
						Inked.db.profile[key] = v 
						end,
						values = {
							['NONE'] = NONE,
							['MONOCHROME'] = 'MonoChrome',
							['THINOUTLINE'] = 'Thin',
							['THICKOUTLINE'] = 'Thick',
							}
						},

					ChatTabFontSize = {
						order = 10,
						name = "Chat Tab Font Size",
						desc = "Size of the font",
						type = "range",
						width = "double",
						min = 6,
						max = 50,
						step  = 1,
						bigStep = 1,
						isPercent = false,
						get = function(info)
						local key = info[#info]						
						return Inked.db.profile[key]
						end,
						set = function(info, v)
						local key = info[#info] 
						Inked.db.profile[key] = v 
						end,
						},
	
					ChatReset = {
						order = 13,
						name = "Reset",
						desc = "Resets the bar to Default size and location",
						type = "toggle",
						width = "full",
						get = function(info)
						local key = info[#info]						
						return Inked.db.profile[key]
						end,
						set = function(info, v)
						local key = info[#info] 
						Inked.db.profile[key] = v 
							Inked.db.profile.ChatEnable = true
							Inked.db.profile.Chatfont = "Roboto"
							Inked.db.profile.ChatFontSize = 14
							Inked.db.profile.ChatFontOutline = "THINOUTLINE"
							Inked.db.profile.ChatEditBoxfont = "Roboto"
							Inked.db.profile.ChatEditBoxFontSize = 14
							Inked.db.profile.ChatEditBoxFontOutline = "THINOUTLINE"
							Inked.db.profile.ChatTabfont = "Roboto"
							Inked.db.profile.ChatTabFontSize = 14
							Inked.db.profile.ChatTabFontOutline = "THINOUTLINE"
							Inked.db.profile.ChatReset = false	
							ReloadUI()
						end,
						},
                }--Chat args
            },--Chat end
			UnitFrames = {
                order = 13,
                name = "Unit Frames",
                type = "group",
				childGroups = "tab",
                args = {
								
				Player = {
					name = "Player",
					type = "group",
					childGroups = "tab",
					order = 2,
					args = {
						PlayerFrameEnable = {
									order = 1,
									name = "Player Frame Enable",
									desc = "",
									type = "toggle",
									width = "single",
									get = function(info)
										local key = info[#info]						
										return Inked.db.profile[key]
									end,
									set = function(info, v)
										local key = info[#info] 
										Inked.db.profile[key] = v 
										ReloadUI()
									end,
									},
						General = {
							name = "General",
							order = 1,
							type = "group",
							childGroups = "tab",
							args = {
									PlayerPortrait = {
										order = 0,
										name = "Player Frame Portrait",
										desc = "Enable or Disable the Portrait",
										type = "toggle",
										width = "full",
										get = function(info)
											local key = info[#info]						
											return Inked.db.profile[key]
										end,
										set = function(info, v)
											local key = info[#info] 
											Inked.db.profile[key] = v 
										end,
										},
									PlayerScale = {
										order = 1,
										name = "Player Frame Scale",
										desc = "Change the overall size of the Player Frame",
										type = "range",
										width = "full",
										min = 0.35,
										max = 2,
										step  = 0.01,
										isPercent = false,
										get = function(info)
											local key = info[#info]						
											return Inked.db.profile[key]
										end,
										set = function(info, v)
											local key = info[#info] 
											Inked.db.profile[key] = v 
										end,
										},
									Spacer = {
										order = 2,
										name = "",
										fontSize  = "large",
										desc = "",
										descStyle = "inline",
										type = "description",
										width = "full",                      
										},
									PlayerClassColor = {
										order = 3,
										name = "Class Colored",
										desc = "Use the Class Colors",
										type = "toggle",
										width = "single",
										get = function(info)
											local key = info[#info]						
											return Inked.db.profile[key]
										end,
										set = function(info, v)
											local key = info[#info] 
											Inked.db.profile[key] = v 
											Inked.db.profile.PlayerCustomColor = false
										end,
										},	
									PlayerCustomColor = {
										order = 4,
										name = "Custom Colored",
										desc = "Use Custom Colors",
										type = "toggle",
										width = "single",
										get = function(info)
											local key = info[#info]						
											return Inked.db.profile[key]
										end,
										set = function(info, v)
											local key = info[#info] 
											Inked.db.profile[key] = v 
											Inked.db.profile.PlayerClassColor = false
										end,
										},
									PlayerColorR = {
										order = 5,
										name = "Player Frame Color Red",
										desc = "Changes the amount of RED applied",
										type = "range",
										width = "double",
										min = 0.00,
										max = 1,
										step  = 0.01,
										isPercent = false,
										get = function(info)
										local key = info[#info]						
										return Inked.db.profile[key]
										end,
										set = function(info, v)
										local key = info[#info] 
										Inked.db.profile[key] = v 
										end,
										},
									PlayerColorG = {
										order = 6,
										name = "Player Frame Color Green",
										desc = "Changes the amount of Green applied",
										type = "range",
										width = "double",
										min = 0.00,
										max = 1,
										step  = 0.01,
										isPercent = false,
										get = function(info)
										local key = info[#info]						
										return Inked.db.profile[key]
										end,
										set = function(info, v)
										local key = info[#info] 
										Inked.db.profile[key] = v 
										end,
										},
									PlayerColorB = {
										order = 7,
										name = "Player Frame Color Blue",
										desc = "Changes the amount of Blue applied",
										type = "range",
										width = "double",
										min = 0.00,
										max = 1,
										step  = 0.01,
										isPercent = false,
										get = function(info)
										local key = info[#info]						
										return Inked.db.profile[key]
										end,
										set = function(info, v)
										local key = info[#info] 
										Inked.db.profile[key] = v 
										end,
										},
									PlayerColorA = {
										order = 8,
										name = "Player Frame Alpha",
										desc = "Changes the amount of Opacity applied",
										type = "range",
										width = "double",
										min = 0.00,
										max = 1,
										step  = 0.01,
										isPercent = false,
										get = function(info)
										local key = info[#info]						
										return Inked.db.profile[key]
										end,
										set = function(info, v)
										local key = info[#info] 
										Inked.db.profile[key] = v 
										end,
										},
									PlayerShowLevel = {
										order = 9,
										name = "Show Level",
										desc = "",
										type = "toggle",
										width = "single",
										get = function(info)
											local key = info[#info]						
											return Inked.db.profile[key]
										end,
										set = function(info, v)
											local key = info[#info] 
											Inked.db.profile[key] = v 
										end,
										},
									PlayerShowName = {
										order = 10,
										name = "Show Name",
										desc = "",
										type = "toggle",
										width = "single",
										get = function(info)
											local key = info[#info]						
											return Inked.db.profile[key]
										end,
										set = function(info, v)
											local key = info[#info] 
											Inked.db.profile[key] = v 
										end,
										},
									PlayerShowHealthPercent = {
										order = 11,
										name = "Show Health Percent",
										desc = "",
										type = "toggle",
										width = "single",
										get = function(info)
											local key = info[#info]						
											return Inked.db.profile[key]
										end,
										set = function(info, v)
											local key = info[#info] 
											Inked.db.profile[key] = v 
											Inked.db.profile.PlayerShowBothNumberandPercent = false
											Inked.db.profile.PlayerShowHealthNumbers = false
										end,
										},
									PlayerShowHealthNumbers = {
										order = 12,
										name = "Show Health Numbers",
										desc = "",
										type = "toggle",
										width = "single",
										get = function(info)
											local key = info[#info]						
											return Inked.db.profile[key]
										end,
										set = function(info, v)
											local key = info[#info] 
											Inked.db.profile[key] = v 
											Inked.db.profile.PlayerShowBothNumberandPercent = false
											Inked.db.profile.PlayerShowHealthPercent = false
										end,
										},
									PlayerShowBothNumberandPercent = {
										order = 13,
										name = "Show Numbers and Percent",
										desc = "",
										type = "toggle",
										width = "double",
										get = function(info)
											local key = info[#info]						
											return Inked.db.profile[key]
										end,
										set = function(info, v)
											local key = info[#info] 
											Inked.db.profile[key] = v 
											Inked.db.profile.PlayerShowHealthNumbers = false
											Inked.db.profile.PlayerShowHealthPercent = false
										end,
										},
									PlayerShowPowerPercent = {
										order = 13,
										name = "Show Power Percent",
										desc = "",
										type = "toggle",
										width = "single",
										get = function(info)
											local key = info[#info]						
											return Inked.db.profile[key]
										end,
										set = function(info, v)
											local key = info[#info] 
											Inked.db.profile[key] = v 
											Inked.db.profile.PlayerShowBothPowerNumberandPercent = false
											Inked.db.profile.PlayerShowPowerNumbers = false
										end,
										},
									PlayerShowPowerNumbers = {
										order = 14,
										name = "Show Power Numbers",
										desc = "",
										type = "toggle",
										width = "single",
										get = function(info)
											local key = info[#info]						
											return Inked.db.profile[key]
										end,
										set = function(info, v)
											local key = info[#info] 
											Inked.db.profile[key] = v 
											Inked.db.profile.PlayerShowBothPowerNumberandPercent = false
											Inked.db.profile.PlayerShowPowerPercent = false
										end,
										},
									PlayerShowBothPowerNumberandPercent = {
										order = 15,
										name = "Show Numbers and Percent",
										desc = "",
										type = "toggle",
										width = "double",
										get = function(info)
											local key = info[#info]						
											return Inked.db.profile[key]
										end,
										set = function(info, v)
											local key = info[#info] 
											Inked.db.profile[key] = v 
											Inked.db.profile.PlayerShowHealthNumbers = false
											Inked.db.profile.PlayerShowHealthPercent = false
										end,
										},
									PlayerCastBar = {
										order = 16,
										name = "Player Cast Bar",
										desc = "",
										type = "toggle",
										width = "full",
										get = function(info)
											local key = info[#info]						
											return Inked.db.profile[key]
										end,
										set = function(info, v)
											local key = info[#info] 
											Inked.db.profile[key] = v 
										end,
										},
									PlayerAuras = {
										order = 16,
										name = "Player Auras (Buffs/Debuffs)",
										desc = "",
										type = "toggle",
										width = "full",
										get = function(info)
											local key = info[#info]						
											return Inked.db.profile[key]
										end,
										set = function(info, v)
											local key = info[#info] 
											Inked.db.profile[key] = v 
										end,
										},
									PlayerFCF = {
										order = 16,
										name = "Player Floating Combat Text",
										desc = "",
										type = "toggle",
										width = "full",
										get = function(info)
											local key = info[#info]						
											return Inked.db.profile[key]
										end,
										set = function(info, v)
											local key = info[#info] 
											Inked.db.profile[key] = v 
										end,
										},
									PlayerHealthPrediction = {
										order = 16,
										name = "Player Health Prediction",
										desc = "",
										type = "toggle",
										width = "full",
										get = function(info)
											local key = info[#info]						
											return Inked.db.profile[key]
										end,
										set = function(info, v)
											local key = info[#info] 
											Inked.db.profile[key] = v 
										end,
										},
																	
								}--player general tab args
							},--player general tab
						PlayerFonts = {
							name = "Font Options",
							order = 2,
							type = "group",
							childGroups = "tab",
							args = {
									PlayerLevelfont = {
										order = 1,
										type = 'select',
										dialogControl = 'LSM30_Font', 
										name = 'Player Level Font',
										desc = 'The type of Font you want to use',
										width = "full",
										values = LSM:HashTable("font"),				
										get = function(info)
										local key = info[#info]						
										return Inked.db.profile[key]
										end,
										set = function(info, v)
										local key = info[#info] 
										Inked.db.profile[key] = v 
										end,
										},
									PlayerLevelOutline = {
										order = 2,
										type = 'select',
										dialogControl = 'LSM30_Font', 
										name = 'Player Level Font Outline',
										desc = 'Outlines for the fonts',
										width = "full",
										get = function(info)
										local key = info[#info]						
										return Inked.db.profile[key]
										end,
										set = function(info, v)
										local key = info[#info] 
										Inked.db.profile[key] = v 
										end,
										values = {
											['NONE'] = NONE,
											['MONOCHROME'] = 'MonoChrome',
											['THINOUTLINE'] = 'Thin',
											['THICKOUTLINE'] = 'Thick',
											}
										},
									
									PlayerLevelFontSize = {
										order = 3,
										name = "Player Level Font Size",
										desc = "Size of the font",
										type = "range",
										width = "double",
										min = 10,
										max = 30,
										step  = 1,
										isPercent = false,
										get = function(info)
										local key = info[#info]						
										return Inked.db.profile[key]
										end,
										set = function(info, v)
										local key = info[#info] 
										Inked.db.profile[key] = v 
										end,
										},
									Spacer = {
										order = 4,
										name = "",
										fontSize  = "large",
										desc = "",
										descStyle = "inline",
										type = "description",
										width = "full",                      
										},
									PlayerNamefont = {
										order = 5,
										type = 'select',
										dialogControl = 'LSM30_Font', 
										name = 'Player Name Font Name',
										desc = 'The type of Font you want to use',
										width = "full",
										values = LSM:HashTable("font"),				
										get = function(info)
										local key = info[#info]						
										return Inked.db.profile[key]
										end,
										set = function(info, v)
										local key = info[#info] 
										Inked.db.profile[key] = v 
										end,
										},
									PlayerNameOutline = {
										order = 6,
										type = 'select',
										dialogControl = 'LSM30_Font', 
										name = 'Player Name Font Outline',
										desc = 'Outlines for the fonts',
										width = "full",
										get = function(info)
										local key = info[#info]						
										return Inked.db.profile[key]
										end,
										set = function(info, v)
										local key = info[#info] 
										Inked.db.profile[key] = v 
										end,
										values = {
											['NONE'] = NONE,
											['MONOCHROME'] = 'MonoChrome',
											['THINOUTLINE'] = 'Thin',
											['THICKOUTLINE'] = 'Thick',
											}
										},
									
									PlayerNameFontSize = {
										order = 7,
										name = "Player Name Font Size",
										desc = "Size of the font",
										type = "range",
										width = "double",
										min = 10,
										max = 30,
										step  = 1,
										isPercent = false,
										get = function(info)
										local key = info[#info]						
										return Inked.db.profile[key]
										end,
										set = function(info, v)
										local key = info[#info] 
										Inked.db.profile[key] = v 
										end,
										},
									Spacer2 = {
										order = 8,
										name = "",
										fontSize  = "large",
										desc = "",
										descStyle = "inline",
										type = "description",
										width = "full",                      
										},
									PlayerHealthfont = {
										order = 9,
										type = 'select',
										dialogControl = 'LSM30_Font', 
										name = 'Player Health Font Name',
										desc = 'The type of Font you want to use',
										width = "full",
										values = LSM:HashTable("font"),				
										get = function(info)
										local key = info[#info]						
										return Inked.db.profile[key]
										end,
										set = function(info, v)
										local key = info[#info] 
										Inked.db.profile[key] = v 
										end,
										},
									PlayerHealthOutline = {
										order = 10,
										type = 'select',
										dialogControl = 'LSM30_Font', 
										name = 'Player Health Font Outline',
										desc = 'Outlines for the fonts',
										width = "full",
										get = function(info)
										local key = info[#info]						
										return Inked.db.profile[key]
										end,
										set = function(info, v)
										local key = info[#info] 
										Inked.db.profile[key] = v 
										end,
										values = {
											['NONE'] = NONE,
											['MONOCHROME'] = 'MonoChrome',
											['THINOUTLINE'] = 'Thin',
											['THICKOUTLINE'] = 'Thick',
											}
										},
									
									PlayerHealthFontSize = {
										order = 11,
										name = "Player Health Font Size",
										desc = "Size of the font",
										type = "range",
										width = "double",
										min = 10,
										max = 30,
										step  = 1,
										isPercent = false,
										get = function(info)
										local key = info[#info]						
										return Inked.db.profile[key]
										end,
										set = function(info, v)
										local key = info[#info] 
										Inked.db.profile[key] = v 
										end,
										},
									Spacer3 = {
										order = 12,
										name = "",
										fontSize  = "large",
										desc = "",
										descStyle = "inline",
										type = "description",
										width = "full",                      
										},
									PlayerPowerfont = {
										order = 13,
										type = 'select',
										dialogControl = 'LSM30_Font', 
										name = 'Player Power Font Name',
										desc = 'The type of Font you want to use',
										width = "full",
										values = LSM:HashTable("font"),				
										get = function(info)
										local key = info[#info]						
										return Inked.db.profile[key]
										end,
										set = function(info, v)
										local key = info[#info] 
										Inked.db.profile[key] = v 
										end,
										},
									PlayerPowerOutline = {
										order = 14,
										type = 'select',
										dialogControl = 'LSM30_Font', 
										name = 'Player Power Font Outline',
										desc = 'Outlines for the fonts',
										width = "full",
										get = function(info)
										local key = info[#info]						
										return Inked.db.profile[key]
										end,
										set = function(info, v)
										local key = info[#info] 
										Inked.db.profile[key] = v 
										end,
										values = {
											['NONE'] = NONE,
											['MONOCHROME'] = 'MonoChrome',
											['THINOUTLINE'] = 'Thin',
											['THICKOUTLINE'] = 'Thick',
											}
										},
									
									PlayerPowerFontSize = {
										order = 15,
										name = "Player Power Font Size",
										desc = "Size of the font",
										type = "range",
										width = "double",
										min = 10,
										max = 30,
										step  = 1,
										isPercent = false,
										get = function(info)
										local key = info[#info]						
										return Inked.db.profile[key]
										end,
										set = function(info, v)
										local key = info[#info] 
										Inked.db.profile[key] = v 
										end,
										},
									Spacer4 = {
										order = 16,
										name = "",
										fontSize  = "large",
										desc = "",
										descStyle = "inline",
										type = "description",
										width = "full",                      
										},
									PlayerPVPfont = {
										order = 17,
										type = 'select',
										dialogControl = 'LSM30_Font', 
										name = 'Player PVP Font Name',
										desc = 'The type of Font you want to use',
										width = "full",
										values = LSM:HashTable("font"),				
										get = function(info)
										local key = info[#info]						
										return Inked.db.profile[key]
										end,
										set = function(info, v)
										local key = info[#info] 
										Inked.db.profile[key] = v 
										end,
										},
									PlayerPVPOutline = {
										order = 18,
										type = 'select',
										dialogControl = 'LSM30_Font', 
										name = 'Player PVP Font Outline',
										desc = 'Outlines for the fonts',
										width = "full",
										get = function(info)
										local key = info[#info]						
										return Inked.db.profile[key]
										end,
										set = function(info, v)
										local key = info[#info] 
										Inked.db.profile[key] = v 
										end,
										values = {
											['NONE'] = NONE,
											['MONOCHROME'] = 'MonoChrome',
											['THINOUTLINE'] = 'Thin',
											['THICKOUTLINE'] = 'Thick',
											}
										},
									
									PlayerPVPFontSize = {
										order = 19,
										name = "Player PVP Font Size",
										desc = "Size of the font",
										type = "range",
										width = "double",
										min = 10,
										max = 30,
										step  = 1,
										isPercent = false,
										get = function(info)
										local key = info[#info]						
										return Inked.db.profile[key]
										end,
										set = function(info, v)
										local key = info[#info] 
										Inked.db.profile[key] = v 
										end,
										},
									Spacer5 = {
										order = 20,
										name = "",
										fontSize  = "large",
										desc = "",
										descStyle = "inline",
										type = "description",
										width = "full",                      
										},
									PlayerFloatingCombatTextfont = {
										order = 21,
										type = 'select',
										dialogControl = 'LSM30_Font', 
										name = 'Player Floating Combat Text Font Name',
										desc = 'The type of Font you want to use',
										width = "full",
										values = LSM:HashTable("font"),				
										get = function(info)
										local key = info[#info]						
										return Inked.db.profile[key]
										end,
										set = function(info, v)
										local key = info[#info] 
										Inked.db.profile[key] = v 
										end,
										},
									PlayerFloatingCombatTextOutline = {
										order = 22,
										type = 'select',
										dialogControl = 'LSM30_Font', 
										name = 'Player Floating Combat Text Font Outline',
										desc = 'Outlines for the fonts',
										width = "full",
										get = function(info)
										local key = info[#info]						
										return Inked.db.profile[key]
										end,
										set = function(info, v)
										local key = info[#info] 
										Inked.db.profile[key] = v 
										end,
										values = {
											['NONE'] = NONE,
											['MONOCHROME'] = 'MonoChrome',
											['THINOUTLINE'] = 'Thin',
											['THICKOUTLINE'] = 'Thick',
											}
										},
									
									PlayerFloatingCombatTextFontSize = {
										order = 23,
										name = "Player Floating Combat Text Font Size",
										desc = "Size of the font",
										type = "range",
										width = "double",
										min = 10,
										max = 30,
										step  = 1,
										isPercent = false,
										get = function(info)
										local key = info[#info]						
										return Inked.db.profile[key]
										end,
										set = function(info, v)
										local key = info[#info] 
										Inked.db.profile[key] = v 
										end,
										},
									Spacer6 = {
										order = 24,
										name = "",
										fontSize  = "large",
										desc = "",
										descStyle = "inline",
										type = "description",
										width = "full",                      
										},
									PlayerCastBarfont = {
										order = 25,
										type = 'select',
										dialogControl = 'LSM30_Font', 
										name = 'Player Cast Bar Font Name',
										desc = 'The type of Font you want to use',
										width = "full",
										values = LSM:HashTable("font"),				
										get = function(info)
										local key = info[#info]						
										return Inked.db.profile[key]
										end,
										set = function(info, v)
										local key = info[#info] 
										Inked.db.profile[key] = v 
										end,
										},
									PlayerCastBarOutline = {
										order = 26,
										type = 'select',
										dialogControl = 'LSM30_Font', 
										name = 'Player Cast Bar Font Outline',
										desc = 'Outlines for the fonts',
										width = "full",
										get = function(info)
										local key = info[#info]						
										return Inked.db.profile[key]
										end,
										set = function(info, v)
										local key = info[#info] 
										Inked.db.profile[key] = v 
										end,
										values = {
											['NONE'] = NONE,
											['MONOCHROME'] = 'MonoChrome',
											['THINOUTLINE'] = 'Thin',
											['THICKOUTLINE'] = 'Thick',
											}
										},
									
									PlayerCastBarFontSize = {
										order = 27,
										name = "Player Cast Bar Font Size",
										desc = "Size of the font",
										type = "range",
										width = "double",
										min = 10,
										max = 30,
										step  = 1,
										isPercent = false,
										get = function(info)
										local key = info[#info]						
										return Inked.db.profile[key]
										end,
										set = function(info, v)
										local key = info[#info] 
										Inked.db.profile[key] = v 
										end,
										},
									
																	
								}--player font tab args
							},--player font tab
						PlayerStatusBars = {
							name = "Status Bar Options",
							order = 3,
							type = "group",
							childGroups = "tab",
							args = {
								PlayerHealthStatusBarClassClored= {
									order = 1,
									name = "Class Colored Health Status Bar",
									desc = "",
									type = "toggle",
									width = "full",
									get = function(info)
										local key = info[#info]						
										return Inked.db.profile[key]
									end,
									set = function(info, v)
										local key = info[#info] 
										Inked.db.profile[key] = v 
									end,
									},
								Spacer = {
										order = 2,
										name = "",
										fontSize  = "large",
										desc = "",
										descStyle = "inline",
										type = "description",
										width = "full",                      
										},
								PlayerHealthStatusBar = {
									order = 3,
									name = "Health Status Bar",
									desc = "Change the Status Bar",
									type = 'select',
									dialogControl = 'LSM30_Statusbar', 
									width = "full",
									values = LSM:HashTable("statusbar"),
									get = function(info)
										local key = info[#info]						
										return Inked.db.profile[key]
									end,
									set = function(info, v)
										local key = info[#info] 
										Inked.db.profile[key] = v 
									end,
									},	
								Spacer2 = {
										order = 4,
										name = "",
										fontSize  = "large",
										desc = "",
										descStyle = "inline",
										type = "description",
										width = "full",                      
										},
								PlayerPowerStatusBar = {
									order = 5,
									name = "Power Status Bar",
									desc = "Change the Status Bar",
									type = 'select',
									dialogControl = 'LSM30_Statusbar', 
									width = "full",
									values = LSM:HashTable("statusbar"),
									get = function(info)
										local key = info[#info]						
										return Inked.db.profile[key]
									end,
									set = function(info, v)
										local key = info[#info] 
										Inked.db.profile[key] = v 
									end,
									},	
								Spacer3 = {
										order = 6,
										name = "",
										fontSize  = "large",
										desc = "",
										descStyle = "inline",
										type = "description",
										width = "full",                      
										},
								PlayerCastBarStatusBar = {
									order = 7,
									name = "Cast Bar Status Bar",
									desc = "Change the Status Bar",
									type = 'select',
									dialogControl = 'LSM30_Statusbar', 
									width = "full",
									values = LSM:HashTable("statusbar"),
									get = function(info)
										local key = info[#info]						
										return Inked.db.profile[key]
									end,
									set = function(info, v)
										local key = info[#info] 
										Inked.db.profile[key] = v 
									end,
									},								
								}--player Status bars tab args
							},--player status bars tab
													
					}--player tab args
				},--player tab
				Target = {
					name = "Target",
					type = "group",
					childGroups = "tab",
					order = 3,
					args = {
					TargetFrameEnable = {
									order = 1,
									name = "Target Frame Enable",
									desc = "",
									type = "toggle",
									width = "single",
									get = function(info)
										local key = info[#info]						
										return Inked.db.profile[key]
									end,
									set = function(info, v)
										local key = info[#info] 
										Inked.db.profile[key] = v 
										ReloadUI()
									end,
									},
						General = {
							name = "General",
							order = 1,
							type = "group",
							childGroups = "tab",
							args = {
									TargetPortrait = {
										order = 0,
										name = "Target Frame Portrait",
										desc = "Enable or Disable the Portrait",
										type = "toggle",
										width = "full",
										get = function(info)
											local key = info[#info]						
											return Inked.db.profile[key]
										end,
										set = function(info, v)
											local key = info[#info] 
											Inked.db.profile[key] = v 
										end,
										},
									TargetScale = {
										order = 1,
										name = "Target Frame Scale",
										desc = "Change the overall size of the Target Frame",
										type = "range",
										width = "full",
										min = 0.35,
										max = 2,
										step  = 0.01,
										isPercent = false,
										get = function(info)
											local key = info[#info]						
											return Inked.db.profile[key]
										end,
										set = function(info, v)
											local key = info[#info] 
											Inked.db.profile[key] = v 
										end,
										},
									Spacer = {
										order = 2,
										name = "",
										fontSize  = "large",
										desc = "",
										descStyle = "inline",
										type = "description",
										width = "full",                      
										},
									
									TargetShowLevel = {
										order = 9,
										name = "Show Level",
										desc = "",
										type = "toggle",
										width = "single",
										get = function(info)
											local key = info[#info]						
											return Inked.db.profile[key]
										end,
										set = function(info, v)
											local key = info[#info] 
											Inked.db.profile[key] = v 
										end,
										},
									TargetShowName = {
										order = 10,
										name = "Show Name",
										desc = "",
										type = "toggle",
										width = "single",
										get = function(info)
											local key = info[#info]						
											return Inked.db.profile[key]
										end,
										set = function(info, v)
											local key = info[#info] 
											Inked.db.profile[key] = v 
										end,
										},
									TargetShowHealthPercent = {
										order = 11,
										name = "Show Health Percent",
										desc = "",
										type = "toggle",
										width = "single",
										get = function(info)
											local key = info[#info]						
											return Inked.db.profile[key]
										end,
										set = function(info, v)
											local key = info[#info] 
											Inked.db.profile[key] = v 
											Inked.db.profile.TargetShowBothNumberandPercent = false
											Inked.db.profile.TargetShowHealthNumbers = false
										end,
										},
									TargetShowHealthNumbers = {
										order = 12,
										name = "Show Health Numbers",
										desc = "",
										type = "toggle",
										width = "single",
										get = function(info)
											local key = info[#info]						
											return Inked.db.profile[key]
										end,
										set = function(info, v)
											local key = info[#info] 
											Inked.db.profile[key] = v 
											Inked.db.profile.TargetShowBothNumberandPercent = false
											Inked.db.profile.TargetShowHealthPercent = false
										end,
										},
									TargetShowBothNumberandPercent = {
										order = 13,
										name = "Show Health Numbers and Percent",
										desc = "",
										type = "toggle",
										width = "double",
										get = function(info)
											local key = info[#info]						
											return Inked.db.profile[key]
										end,
										set = function(info, v)
											local key = info[#info] 
											Inked.db.profile[key] = v 
											Inked.db.profile.TargetShowHealthNumbers = false
											Inked.db.profile.TargetShowHealthPercent = false
										end,
										},
									TargetShowPowerPercent = {
										order = 13,
										name = "Show Power Percent",
										desc = "",
										type = "toggle",
										width = "single",
										get = function(info)
											local key = info[#info]						
											return Inked.db.profile[key]
										end,
										set = function(info, v)
											local key = info[#info] 
											Inked.db.profile[key] = v 
											Inked.db.profile.TargetShowBothPowerNumberandPercent = false
											Inked.db.profile.TargetShowPowerNumbers = false
										end,
										},
									TargetShowPowerNumbers = {
										order = 14,
										name = "Show Power Numbers",
										desc = "",
										type = "toggle",
										width = "single",
										get = function(info)
											local key = info[#info]						
											return Inked.db.profile[key]
										end,
										set = function(info, v)
											local key = info[#info] 
											Inked.db.profile[key] = v 
											Inked.db.profile.TargetShowBothPowerNumberandPercent = false
											Inked.db.profile.TargetShowPowerPercent = false
										end,
										},
									TargetShowBothPowerNumberandPercent = {
										order = 15,
										name = "Show Power Numbers and Percent",
										desc = "",
										type = "toggle",
										width = "double",
										get = function(info)
											local key = info[#info]						
											return Inked.db.profile[key]
										end,
										set = function(info, v)
											local key = info[#info] 
											Inked.db.profile[key] = v 
											Inked.db.profile.TargetShowPowerNumbers = false
											Inked.db.profile.TargetShowPowerPercent = false
										end,
										},
									TargetCastBar = {
										order = 16,
										name = "Target Cast Bar",
										desc = "",
										type = "toggle",
										width = "full",
										get = function(info)
											local key = info[#info]						
											return Inked.db.profile[key]
										end,
										set = function(info, v)
											local key = info[#info] 
											Inked.db.profile[key] = v 
										end,
										},
									TargetAuras = {
										order = 16,
										name = "Target Auras (Buffs/Debuffs)",
										desc = "",
										type = "toggle",
										width = "full",
										get = function(info)
											local key = info[#info]						
											return Inked.db.profile[key]
										end,
										set = function(info, v)
											local key = info[#info] 
											Inked.db.profile[key] = v 
										end,
										},
									TargetFCF = {
										order = 16,
										name = "Target Floating Combat Text",
										desc = "",
										type = "toggle",
										width = "full",
										get = function(info)
											local key = info[#info]						
											return Inked.db.profile[key]
										end,
										set = function(info, v)
											local key = info[#info] 
											Inked.db.profile[key] = v 
										end,
										},
									
																	
								}--Target general tab args
							},--Target general tab
						TargetFonts = {
							name = "Font Options",
							order = 2,
							type = "group",
							childGroups = "tab",
							args = {
									TargetLevelfont = {
										order = 1,
										type = 'select',
										dialogControl = 'LSM30_Font', 
										name = 'Target Level Font',
										desc = 'The type of Font you want to use',
										width = "full",
										values = LSM:HashTable("font"),				
										get = function(info)
										local key = info[#info]						
										return Inked.db.profile[key]
										end,
										set = function(info, v)
										local key = info[#info] 
										Inked.db.profile[key] = v 
										end,
										},
									TargetLevelOutline = {
										order = 2,
										type = 'select',
										dialogControl = 'LSM30_Font', 
										name = 'Target Level Font Outline',
										desc = 'Outlines for the fonts',
										width = "full",
										get = function(info)
										local key = info[#info]						
										return Inked.db.profile[key]
										end,
										set = function(info, v)
										local key = info[#info] 
										Inked.db.profile[key] = v 
										end,
										values = {
											['NONE'] = NONE,
											['MONOCHROME'] = 'MonoChrome',
											['THINOUTLINE'] = 'Thin',
											['THICKOUTLINE'] = 'Thick',
											}
										},
									
									TargetLevelFontSize = {
										order = 3,
										name = "Target Level Font Size",
										desc = "Size of the font",
										type = "range",
										width = "double",
										min = 10,
										max = 30,
										step  = 1,
										isPercent = false,
										get = function(info)
										local key = info[#info]						
										return Inked.db.profile[key]
										end,
										set = function(info, v)
										local key = info[#info] 
										Inked.db.profile[key] = v 
										end,
										},
									Spacer = {
										order = 4,
										name = "",
										fontSize  = "large",
										desc = "",
										descStyle = "inline",
										type = "description",
										width = "full",                      
										},
									TargetNamefont = {
										order = 5,
										type = 'select',
										dialogControl = 'LSM30_Font', 
										name = 'Target Name Font Name',
										desc = 'The type of Font you want to use',
										width = "full",
										values = LSM:HashTable("font"),				
										get = function(info)
										local key = info[#info]						
										return Inked.db.profile[key]
										end,
										set = function(info, v)
										local key = info[#info] 
										Inked.db.profile[key] = v 
										end,
										},
									TargetNameOutline = {
										order = 6,
										type = 'select',
										dialogControl = 'LSM30_Font', 
										name = 'Target Name Font Outline',
										desc = 'Outlines for the fonts',
										width = "full",
										get = function(info)
										local key = info[#info]						
										return Inked.db.profile[key]
										end,
										set = function(info, v)
										local key = info[#info] 
										Inked.db.profile[key] = v 
										end,
										values = {
											['NONE'] = NONE,
											['MONOCHROME'] = 'MonoChrome',
											['THINOUTLINE'] = 'Thin',
											['THICKOUTLINE'] = 'Thick',
											}
										},
									
									TargetNameFontSize = {
										order = 7,
										name = "Target Name Font Size",
										desc = "Size of the font",
										type = "range",
										width = "double",
										min = 10,
										max = 30,
										step  = 1,
										isPercent = false,
										get = function(info)
										local key = info[#info]						
										return Inked.db.profile[key]
										end,
										set = function(info, v)
										local key = info[#info] 
										Inked.db.profile[key] = v 
										end,
										},
									Spacer2 = {
										order = 8,
										name = "",
										fontSize  = "large",
										desc = "",
										descStyle = "inline",
										type = "description",
										width = "full",                      
										},
									TargetHealthfont = {
										order = 9,
										type = 'select',
										dialogControl = 'LSM30_Font', 
										name = 'Target Health Font Name',
										desc = 'The type of Font you want to use',
										width = "full",
										values = LSM:HashTable("font"),				
										get = function(info)
										local key = info[#info]						
										return Inked.db.profile[key]
										end,
										set = function(info, v)
										local key = info[#info] 
										Inked.db.profile[key] = v 
										end,
										},
									TargetHealthOutline = {
										order = 10,
										type = 'select',
										dialogControl = 'LSM30_Font', 
										name = 'Target Health Font Outline',
										desc = 'Outlines for the fonts',
										width = "full",
										get = function(info)
										local key = info[#info]						
										return Inked.db.profile[key]
										end,
										set = function(info, v)
										local key = info[#info] 
										Inked.db.profile[key] = v 
										end,
										values = {
											['NONE'] = NONE,
											['MONOCHROME'] = 'MonoChrome',
											['THINOUTLINE'] = 'Thin',
											['THICKOUTLINE'] = 'Thick',
											}
										},
									
									TargetHealthFontSize = {
										order = 11,
										name = "Target Health Font Size",
										desc = "Size of the font",
										type = "range",
										width = "double",
										min = 10,
										max = 30,
										step  = 1,
										isPercent = false,
										get = function(info)
										local key = info[#info]						
										return Inked.db.profile[key]
										end,
										set = function(info, v)
										local key = info[#info] 
										Inked.db.profile[key] = v 
										end,
										},
									Spacer3 = {
										order = 12,
										name = "",
										fontSize  = "large",
										desc = "",
										descStyle = "inline",
										type = "description",
										width = "full",                      
										},
									TargetPowerfont = {
										order = 13,
										type = 'select',
										dialogControl = 'LSM30_Font', 
										name = 'Target Power Font Name',
										desc = 'The type of Font you want to use',
										width = "full",
										values = LSM:HashTable("font"),				
										get = function(info)
										local key = info[#info]						
										return Inked.db.profile[key]
										end,
										set = function(info, v)
										local key = info[#info] 
										Inked.db.profile[key] = v 
										end,
										},
									TargetPowerOutline = {
										order = 14,
										type = 'select',
										dialogControl = 'LSM30_Font', 
										name = 'Target Power Font Outline',
										desc = 'Outlines for the fonts',
										width = "full",
										get = function(info)
										local key = info[#info]						
										return Inked.db.profile[key]
										end,
										set = function(info, v)
										local key = info[#info] 
										Inked.db.profile[key] = v 
										end,
										values = {
											['NONE'] = NONE,
											['MONOCHROME'] = 'MonoChrome',
											['THINOUTLINE'] = 'Thin',
											['THICKOUTLINE'] = 'Thick',
											}
										},
									
									TargetPowerFontSize = {
										order = 15,
										name = "Target Power Font Size",
										desc = "Size of the font",
										type = "range",
										width = "double",
										min = 10,
										max = 30,
										step  = 1,
										isPercent = false,
										get = function(info)
										local key = info[#info]						
										return Inked.db.profile[key]
										end,
										set = function(info, v)
										local key = info[#info] 
										Inked.db.profile[key] = v 
										end,
										},
									Spacer4 = {
										order = 16,
										name = "",
										fontSize  = "large",
										desc = "",
										descStyle = "inline",
										type = "description",
										width = "full",                      
										},
									
									Spacer5 = {
										order = 20,
										name = "",
										fontSize  = "large",
										desc = "",
										descStyle = "inline",
										type = "description",
										width = "full",                      
										},
									TargetFloatingCombatTextfont = {
										order = 21,
										type = 'select',
										dialogControl = 'LSM30_Font', 
										name = 'Target Floating Combat Text Font Name',
										desc = 'The type of Font you want to use',
										width = "full",
										values = LSM:HashTable("font"),				
										get = function(info)
										local key = info[#info]						
										return Inked.db.profile[key]
										end,
										set = function(info, v)
										local key = info[#info] 
										Inked.db.profile[key] = v 
										end,
										},
									TargetFloatingCombatTextOutline = {
										order = 22,
										type = 'select',
										dialogControl = 'LSM30_Font', 
										name = 'Target Floating Combat Text Font Outline',
										desc = 'Outlines for the fonts',
										width = "full",
										get = function(info)
										local key = info[#info]						
										return Inked.db.profile[key]
										end,
										set = function(info, v)
										local key = info[#info] 
										Inked.db.profile[key] = v 
										end,
										values = {
											['NONE'] = NONE,
											['MONOCHROME'] = 'MonoChrome',
											['THINOUTLINE'] = 'Thin',
											['THICKOUTLINE'] = 'Thick',
											}
										},
									
									TargetFloatingCombatTextFontSize = {
										order = 23,
										name = "Target Floating Combat Text Font Size",
										desc = "Size of the font",
										type = "range",
										width = "double",
										min = 10,
										max = 30,
										step  = 1,
										isPercent = false,
										get = function(info)
										local key = info[#info]						
										return Inked.db.profile[key]
										end,
										set = function(info, v)
										local key = info[#info] 
										Inked.db.profile[key] = v 
										end,
										},
									Spacer6 = {
										order = 24,
										name = "",
										fontSize  = "large",
										desc = "",
										descStyle = "inline",
										type = "description",
										width = "full",                      
										},
									TargetCastBarfont = {
										order = 25,
										type = 'select',
										dialogControl = 'LSM30_Font', 
										name = 'Target Cast Bar Font Name',
										desc = 'The type of Font you want to use',
										width = "full",
										values = LSM:HashTable("font"),				
										get = function(info)
										local key = info[#info]						
										return Inked.db.profile[key]
										end,
										set = function(info, v)
										local key = info[#info] 
										Inked.db.profile[key] = v 
										end,
										},
									TargetCastBarOutline = {
										order = 26,
										type = 'select',
										dialogControl = 'LSM30_Font', 
										name = 'Target Cast Bar Font Outline',
										desc = 'Outlines for the fonts',
										width = "full",
										get = function(info)
										local key = info[#info]						
										return Inked.db.profile[key]
										end,
										set = function(info, v)
										local key = info[#info] 
										Inked.db.profile[key] = v 
										end,
										values = {
											['NONE'] = NONE,
											['MONOCHROME'] = 'MonoChrome',
											['THINOUTLINE'] = 'Thin',
											['THICKOUTLINE'] = 'Thick',
											}
										},
									
									TargetCastBarFontSize = {
										order = 27,
										name = "Target Cast Bar Font Size",
										desc = "Size of the font",
										type = "range",
										width = "double",
										min = 10,
										max = 30,
										step  = 1,
										isPercent = false,
										get = function(info)
										local key = info[#info]						
										return Inked.db.profile[key]
										end,
										set = function(info, v)
										local key = info[#info] 
										Inked.db.profile[key] = v 
										end,
										},
									
																	
								}--Target font tab args
							},--Target font tab
						TargetStatusBars = {
							name = "Status Bar Options",
							order = 3,
							type = "group",
							childGroups = "tab",
							args = {
								TargetHealthStatusBarClassClored= {
									order = 1,
									name = "Class Colored Health Status Bar",
									desc = "",
									type = "toggle",
									width = "full",
									get = function(info)
										local key = info[#info]						
										return Inked.db.profile[key]
									end,
									set = function(info, v)
										local key = info[#info] 
										Inked.db.profile[key] = v 
									end,
									},
								Spacer = {
										order = 2,
										name = "",
										fontSize  = "large",
										desc = "",
										descStyle = "inline",
										type = "description",
										width = "full",                      
										},
								TargetHealthStatusBar = {
									order = 3,
									name = "Health Status Bar",
									desc = "Change the Status Bar",
									type = 'select',
									dialogControl = 'LSM30_Statusbar', 
									width = "full",
									values = LSM:HashTable("statusbar"),
									get = function(info)
										local key = info[#info]						
										return Inked.db.profile[key]
									end,
									set = function(info, v)
										local key = info[#info] 
										Inked.db.profile[key] = v 
									end,
									},	
								Spacer2 = {
										order = 4,
										name = "",
										fontSize  = "large",
										desc = "",
										descStyle = "inline",
										type = "description",
										width = "full",                      
										},
								TargetPowerStatusBar = {
									order = 5,
									name = "Power Status Bar",
									desc = "Change the Status Bar",
									type = 'select',
									dialogControl = 'LSM30_Statusbar', 
									width = "full",
									values = LSM:HashTable("statusbar"),
									get = function(info)
										local key = info[#info]						
										return Inked.db.profile[key]
									end,
									set = function(info, v)
										local key = info[#info] 
										Inked.db.profile[key] = v 
									end,
									},	
								Spacer3 = {
										order = 6,
										name = "",
										fontSize  = "large",
										desc = "",
										descStyle = "inline",
										type = "description",
										width = "full",                      
										},
								TargetCastBarStatusBar = {
									order = 7,
									name = "Cast Bar Status Bar",
									desc = "Change the Status Bar",
									type = 'select',
									dialogControl = 'LSM30_Statusbar', 
									width = "full",
									values = LSM:HashTable("statusbar"),
									get = function(info)
										local key = info[#info]						
										return Inked.db.profile[key]
									end,
									set = function(info, v)
										local key = info[#info] 
										Inked.db.profile[key] = v 
									end,
									},								
								}--Target Status bars tab args
							},--Target status bars tab
						
															
					}--target frame args
				},--target frame
				PlayerPet = {
					name = "Player Pet",
					type = "group",
					childGroups = "tab",
					order = 4,
					args = {
				PetFrameEnable = {
					order = 1,
					name = "Pet Frame Enable",
					desc = "",
					type = "toggle",
					width = "single",
					get = function(info)
						local key = info[#info]						
						return Inked.db.profile[key]
					end,
					set = function(info, v)
						local key = info[#info] 
						Inked.db.profile[key] = v 
						ReloadUI()
					end,
					},
				General = {
					name = "General",
					order = 1,
					type = "group",
					childGroups = "tab",
					args = {
							PetScale = {
								order = 1,
								name = "Pet Frame Scale",
								desc = "Change the overall size of the Pet Frame",
								type = "range",
								width = "full",
								min = 0.35,
								max = 2,
								step  = 0.01,
								isPercent = false,
								get = function(info)
									local key = info[#info]						
									return Inked.db.profile[key]
								end,
								set = function(info, v)
									local key = info[#info] 
									Inked.db.profile[key] = v 
								end,
								},
							Spacer = {
								order = 2,
								name = "",
								fontSize  = "large",
								desc = "",
								descStyle = "inline",
								type = "description",
								width = "full",                      
								},
							
							PetShowLevel = {
								order = 9,
								name = "Show Level",
								desc = "",
								type = "toggle",
								width = "single",
								get = function(info)
									local key = info[#info]						
									return Inked.db.profile[key]
								end,
								set = function(info, v)
									local key = info[#info] 
									Inked.db.profile[key] = v 
								end,
								},
							PetShowName = {
								order = 10,
								name = "Show Name",
								desc = "",
								type = "toggle",
								width = "single",
								get = function(info)
									local key = info[#info]						
									return Inked.db.profile[key]
								end,
								set = function(info, v)
									local key = info[#info] 
									Inked.db.profile[key] = v 
								end,
								},
							PetShowHealthPercent = {
								order = 11,
								name = "Show Health Percent",
								desc = "",
								type = "toggle",
								width = "single",
								get = function(info)
									local key = info[#info]						
									return Inked.db.profile[key]
								end,
								set = function(info, v)
									local key = info[#info] 
									Inked.db.profile[key] = v 
									Inked.db.profile.PetShowBothNumberandPercent = false
									Inked.db.profile.PetShowHealthNumbers = false
								end,
								},
							PetShowHealthNumbers = {
								order = 12,
								name = "Show Health Numbers",
								desc = "",
								type = "toggle",
								width = "single",
								get = function(info)
									local key = info[#info]						
									return Inked.db.profile[key]
								end,
								set = function(info, v)
									local key = info[#info] 
									Inked.db.profile[key] = v 
									Inked.db.profile.PetShowBothNumberandPercent = false
									Inked.db.profile.PetShowHealthPercent = false
								end,
								},
							PetShowBothNumberandPercent = {
								order = 13,
								name = "Show Health Numbers and Percent",
								desc = "",
								type = "toggle",
								width = "double",
								get = function(info)
									local key = info[#info]						
									return Inked.db.profile[key]
								end,
								set = function(info, v)
									local key = info[#info] 
									Inked.db.profile[key] = v 
									Inked.db.profile.PetShowHealthNumbers = false
									Inked.db.profile.PetShowHealthPercent = false
								end,
								},
							PetShowPowerPercent = {
								order = 13,
								name = "Show Power Percent",
								desc = "",
								type = "toggle",
								width = "single",
								get = function(info)
									local key = info[#info]						
									return Inked.db.profile[key]
								end,
								set = function(info, v)
									local key = info[#info] 
									Inked.db.profile[key] = v 
									Inked.db.profile.PetShowBothPowerNumberandPercent = false
									Inked.db.profile.PetShowPowerNumbers = false
								end,
								},
							PetShowPowerNumbers = {
								order = 14,
								name = "Show Power Numbers",
								desc = "",
								type = "toggle",
								width = "single",
								get = function(info)
									local key = info[#info]						
									return Inked.db.profile[key]
								end,
								set = function(info, v)
									local key = info[#info] 
									Inked.db.profile[key] = v 
									Inked.db.profile.PetShowBothPowerNumberandPercent = false
									Inked.db.profile.PetShowPowerPercent = false
								end,
								},
							PetShowBothPowerNumberandPercent = {
								order = 15,
								name = "Show Power Numbers and Percent",
								desc = "",
								type = "toggle",
								width = "double",
								get = function(info)
									local key = info[#info]						
									return Inked.db.profile[key]
								end,
								set = function(info, v)
									local key = info[#info] 
									Inked.db.profile[key] = v 
									Inked.db.profile.PetShowPowerNumbers = false
									Inked.db.profile.PetShowPowerPercent = false
								end,
								},
							PetCastBar = {
								order = 16,
								name = "Pet Cast Bar",
								desc = "",
								type = "toggle",
								width = "full",
								get = function(info)
									local key = info[#info]						
									return Inked.db.profile[key]
								end,
								set = function(info, v)
									local key = info[#info] 
									Inked.db.profile[key] = v 
								end,
								},
							PetAuras = {
								order = 16,
								name = "Pet Auras (Buffs/Debuffs)",
								desc = "",
								type = "toggle",
								width = "full",
								get = function(info)
									local key = info[#info]						
									return Inked.db.profile[key]
								end,
								set = function(info, v)
									local key = info[#info] 
									Inked.db.profile[key] = v 
								end,
								},
							
							
															
						}--Pet general tab args
					},--Pet general tab
				PetFonts = {
					name = "Font Options",
					order = 2,
					type = "group",
					childGroups = "tab",
					args = {
							PetLevelfont = {
								order = 1,
								type = 'select',
								dialogControl = 'LSM30_Font', 
								name = 'Pet Level Font',
								desc = 'The type of Font you want to use',
								width = "full",
								values = LSM:HashTable("font"),				
								get = function(info)
								local key = info[#info]						
								return Inked.db.profile[key]
								end,
								set = function(info, v)
								local key = info[#info] 
								Inked.db.profile[key] = v 
								end,
								},
							PetLevelOutline = {
								order = 2,
								type = 'select',
								dialogControl = 'LSM30_Font', 
								name = 'Pet Level Font Outline',
								desc = 'Outlines for the fonts',
								width = "full",
								get = function(info)
								local key = info[#info]						
								return Inked.db.profile[key]
								end,
								set = function(info, v)
								local key = info[#info] 
								Inked.db.profile[key] = v 
								end,
								values = {
									['NONE'] = NONE,
									['MONOCHROME'] = 'MonoChrome',
									['THINOUTLINE'] = 'Thin',
									['THICKOUTLINE'] = 'Thick',
									}
								},
							
							PetLevelFontSize = {
								order = 3,
								name = "Pet Level Font Size",
								desc = "Size of the font",
								type = "range",
								width = "double",
								min = 10,
								max = 30,
								step  = 1,
								isPercent = false,
								get = function(info)
								local key = info[#info]						
								return Inked.db.profile[key]
								end,
								set = function(info, v)
								local key = info[#info] 
								Inked.db.profile[key] = v 
								end,
								},
							Spacer = {
								order = 4,
								name = "",
								fontSize  = "large",
								desc = "",
								descStyle = "inline",
								type = "description",
								width = "full",                      
								},
							PetNamefont = {
								order = 5,
								type = 'select',
								dialogControl = 'LSM30_Font', 
								name = 'Pet Name Font Name',
								desc = 'The type of Font you want to use',
								width = "full",
								values = LSM:HashTable("font"),				
								get = function(info)
								local key = info[#info]						
								return Inked.db.profile[key]
								end,
								set = function(info, v)
								local key = info[#info] 
								Inked.db.profile[key] = v 
								end,
								},
							PetNameOutline = {
								order = 6,
								type = 'select',
								dialogControl = 'LSM30_Font', 
								name = 'Pet Name Font Outline',
								desc = 'Outlines for the fonts',
								width = "full",
								get = function(info)
								local key = info[#info]						
								return Inked.db.profile[key]
								end,
								set = function(info, v)
								local key = info[#info] 
								Inked.db.profile[key] = v 
								end,
								values = {
									['NONE'] = NONE,
									['MONOCHROME'] = 'MonoChrome',
									['THINOUTLINE'] = 'Thin',
									['THICKOUTLINE'] = 'Thick',
									}
								},
							
							PetNameFontSize = {
								order = 7,
								name = "Pet Name Font Size",
								desc = "Size of the font",
								type = "range",
								width = "double",
								min = 10,
								max = 30,
								step  = 1,
								isPercent = false,
								get = function(info)
								local key = info[#info]						
								return Inked.db.profile[key]
								end,
								set = function(info, v)
								local key = info[#info] 
								Inked.db.profile[key] = v 
								end,
								},
							Spacer2 = {
								order = 8,
								name = "",
								fontSize  = "large",
								desc = "",
								descStyle = "inline",
								type = "description",
								width = "full",                      
								},
							PetHealthfont = {
								order = 9,
								type = 'select',
								dialogControl = 'LSM30_Font', 
								name = 'Pet Health Font Name',
								desc = 'The type of Font you want to use',
								width = "full",
								values = LSM:HashTable("font"),				
								get = function(info)
								local key = info[#info]						
								return Inked.db.profile[key]
								end,
								set = function(info, v)
								local key = info[#info] 
								Inked.db.profile[key] = v 
								end,
								},
							PetHealthOutline = {
								order = 10,
								type = 'select',
								dialogControl = 'LSM30_Font', 
								name = 'Pet Health Font Outline',
								desc = 'Outlines for the fonts',
								width = "full",
								get = function(info)
								local key = info[#info]						
								return Inked.db.profile[key]
								end,
								set = function(info, v)
								local key = info[#info] 
								Inked.db.profile[key] = v 
								end,
								values = {
									['NONE'] = NONE,
									['MONOCHROME'] = 'MonoChrome',
									['THINOUTLINE'] = 'Thin',
									['THICKOUTLINE'] = 'Thick',
									}
								},
							
							PetHealthFontSize = {
								order = 11,
								name = "Pet Health Font Size",
								desc = "Size of the font",
								type = "range",
								width = "double",
								min = 10,
								max = 30,
								step  = 1,
								isPercent = false,
								get = function(info)
								local key = info[#info]						
								return Inked.db.profile[key]
								end,
								set = function(info, v)
								local key = info[#info] 
								Inked.db.profile[key] = v 
								end,
								},
							Spacer3 = {
								order = 12,
								name = "",
								fontSize  = "large",
								desc = "",
								descStyle = "inline",
								type = "description",
								width = "full",                      
								},
							PetPowerfont = {
								order = 13,
								type = 'select',
								dialogControl = 'LSM30_Font', 
								name = 'Pet Power Font Name',
								desc = 'The type of Font you want to use',
								width = "full",
								values = LSM:HashTable("font"),				
								get = function(info)
								local key = info[#info]						
								return Inked.db.profile[key]
								end,
								set = function(info, v)
								local key = info[#info] 
								Inked.db.profile[key] = v 
								end,
								},
							PetPowerOutline = {
								order = 14,
								type = 'select',
								dialogControl = 'LSM30_Font', 
								name = 'Pet Power Font Outline',
								desc = 'Outlines for the fonts',
								width = "full",
								get = function(info)
								local key = info[#info]						
								return Inked.db.profile[key]
								end,
								set = function(info, v)
								local key = info[#info] 
								Inked.db.profile[key] = v 
								end,
								values = {
									['NONE'] = NONE,
									['MONOCHROME'] = 'MonoChrome',
									['THINOUTLINE'] = 'Thin',
									['THICKOUTLINE'] = 'Thick',
									}
								},
							
							PetPowerFontSize = {
								order = 15,
								name = "Pet Power Font Size",
								desc = "Size of the font",
								type = "range",
								width = "double",
								min = 10,
								max = 30,
								step  = 1,
								isPercent = false,
								get = function(info)
								local key = info[#info]						
								return Inked.db.profile[key]
								end,
								set = function(info, v)
								local key = info[#info] 
								Inked.db.profile[key] = v 
								end,
								},
							Spacer4 = {
								order = 16,
								name = "",
								fontSize  = "large",
								desc = "",
								descStyle = "inline",
								type = "description",
								width = "full",                      
								},
							
							Spacer5 = {
								order = 20,
								name = "",
								fontSize  = "large",
								desc = "",
								descStyle = "inline",
								type = "description",
								width = "full",                      
								},
							
							
							Spacer6 = {
								order = 24,
								name = "",
								fontSize  = "large",
								desc = "",
								descStyle = "inline",
								type = "description",
								width = "full",                      
								},
							PetCastBarfont = {
								order = 25,
								type = 'select',
								dialogControl = 'LSM30_Font', 
								name = 'Pet Cast Bar Font Name',
								desc = 'The type of Font you want to use',
								width = "full",
								values = LSM:HashTable("font"),				
								get = function(info)
								local key = info[#info]						
								return Inked.db.profile[key]
								end,
								set = function(info, v)
								local key = info[#info] 
								Inked.db.profile[key] = v 
								end,
								},
							PetCastBarOutline = {
								order = 26,
								type = 'select',
								dialogControl = 'LSM30_Font', 
								name = 'Pet Cast Bar Font Outline',
								desc = 'Outlines for the fonts',
								width = "full",
								get = function(info)
								local key = info[#info]						
								return Inked.db.profile[key]
								end,
								set = function(info, v)
								local key = info[#info] 
								Inked.db.profile[key] = v 
								end,
								values = {
									['NONE'] = NONE,
									['MONOCHROME'] = 'MonoChrome',
									['THINOUTLINE'] = 'Thin',
									['THICKOUTLINE'] = 'Thick',
									}
								},
							
							PetCastBarFontSize = {
								order = 27,
								name = "Pet Cast Bar Font Size",
								desc = "Size of the font",
								type = "range",
								width = "double",
								min = 10,
								max = 30,
								step  = 1,
								isPercent = false,
								get = function(info)
								local key = info[#info]						
								return Inked.db.profile[key]
								end,
								set = function(info, v)
								local key = info[#info] 
								Inked.db.profile[key] = v 
								end,
								},
							
															
						}--Pet font tab args
					},--Pet font tab
				PetStatusBars = {
					name = "Status Bar Options",
					order = 3,
					type = "group",
					childGroups = "tab",
					args = {
						PetHealthStatusBarClassClored= {
							order = 1,
							name = "Class Colored Health Status Bar",
							desc = "",
							type = "toggle",
							width = "full",
							get = function(info)
								local key = info[#info]						
								return Inked.db.profile[key]
							end,
							set = function(info, v)
								local key = info[#info] 
								Inked.db.profile[key] = v 
							end,
							},
						Spacer = {
								order = 2,
								name = "",
								fontSize  = "large",
								desc = "",
								descStyle = "inline",
								type = "description",
								width = "full",                      
								},
						PetHealthStatusBar = {
							order = 3,
							name = "Health Status Bar",
							desc = "Change the Status Bar",
							type = 'select',
							dialogControl = 'LSM30_Statusbar', 
							width = "full",
							values = LSM:HashTable("statusbar"),
							get = function(info)
								local key = info[#info]						
								return Inked.db.profile[key]
							end,
							set = function(info, v)
								local key = info[#info] 
								Inked.db.profile[key] = v 
							end,
							},	
						Spacer2 = {
								order = 4,
								name = "",
								fontSize  = "large",
								desc = "",
								descStyle = "inline",
								type = "description",
								width = "full",                      
								},
						PetPowerStatusBar = {
							order = 5,
							name = "Power Status Bar",
							desc = "Change the Status Bar",
							type = 'select',
							dialogControl = 'LSM30_Statusbar', 
							width = "full",
							values = LSM:HashTable("statusbar"),
							get = function(info)
								local key = info[#info]						
								return Inked.db.profile[key]
							end,
							set = function(info, v)
								local key = info[#info] 
								Inked.db.profile[key] = v 
							end,
							},	
						Spacer3 = {
								order = 6,
								name = "",
								fontSize  = "large",
								desc = "",
								descStyle = "inline",
								type = "description",
								width = "full",                      
								},
						PetCastBarStatusBar = {
							order = 7,
							name = "Cast Bar Status Bar",
							desc = "Change the Status Bar",
							type = 'select',
							dialogControl = 'LSM30_Statusbar', 
							width = "full",
							values = LSM:HashTable("statusbar"),
							get = function(info)
								local key = info[#info]						
								return Inked.db.profile[key]
							end,
							set = function(info, v)
								local key = info[#info] 
								Inked.db.profile[key] = v 
							end,
							},								
						}--Pet Status bars tab args
					},--Pet status bars tab
															
					}
				},
				ToT = {
				name = "Target of Target",
				type = "group",
				childGroups = "tab",
				order = 5,
				args = {
					ToTFrameEnable = {
						order = 1,
						name = "Target of Target Frame Enable",
						desc = "",
						type = "toggle",
						width = "single",
						get = function(info)
							local key = info[#info]						
							return Inked.db.profile[key]
						end,
						set = function(info, v)
							local key = info[#info] 
							Inked.db.profile[key] = v 
							ReloadUI()
						end,
						},
					General = {
						name = "General",
						order = 1,
						type = "group",
						childGroups = "tab",
						args = {
								ToTScale = {
									order = 1,
									name = "Target of Target Frame Scale",
									desc = "Change the overall size of the Target of Target Frame",
									type = "range",
									width = "full",
									min = 0.35,
									max = 2,
									step  = 0.01,
									isPercent = false,
									get = function(info)
										local key = info[#info]						
										return Inked.db.profile[key]
									end,
									set = function(info, v)
										local key = info[#info] 
										Inked.db.profile[key] = v 
									end,
									},
								Spacer = {
									order = 2,
									name = "",
									fontSize  = "large",
									desc = "",
									descStyle = "inline",
									type = "description",
									width = "full",                      
									},
								
								
								ToTShowName = {
									order = 10,
									name = "Show Name",
									desc = "",
									type = "toggle",
									width = "single",
									get = function(info)
										local key = info[#info]						
										return Inked.db.profile[key]
									end,
									set = function(info, v)
										local key = info[#info] 
										Inked.db.profile[key] = v 
									end,
									},
								ToTShowHealthPercent = {
									order = 11,
									name = "Show Health Percent",
									desc = "",
									type = "toggle",
									width = "single",
									get = function(info)
										local key = info[#info]						
										return Inked.db.profile[key]
									end,
									set = function(info, v)
										local key = info[#info] 
										Inked.db.profile[key] = v 

									end,
									},
								
								
								ToTShowPowerPercent = {
									order = 13,
									name = "Show Power Percent",
									desc = "",
									type = "toggle",
									width = "single",
									get = function(info)
										local key = info[#info]						
										return Inked.db.profile[key]
									end,
									set = function(info, v)
										local key = info[#info] 
										Inked.db.profile[key] = v 
									end,
									},
								
								
								
								
								
																
							}--ToT general tab args
						},--ToT general tab
					ToTFonts = {
						name = "Font Options",
						order = 2,
						type = "group",
						childGroups = "tab",
						args = {
								
								ToTNamefont = {
									order = 5,
									type = 'select',
									dialogControl = 'LSM30_Font', 
									name = 'Target of Target Name Font Name',
									desc = 'The type of Font you want to use',
									width = "full",
									values = LSM:HashTable("font"),				
									get = function(info)
									local key = info[#info]						
									return Inked.db.profile[key]
									end,
									set = function(info, v)
									local key = info[#info] 
									Inked.db.profile[key] = v 
									end,
									},
								ToTNameOutline = {
									order = 6,
									type = 'select',
									dialogControl = 'LSM30_Font', 
									name = 'Target of Target Name Font Outline',
									desc = 'Outlines for the fonts',
									width = "full",
									get = function(info)
									local key = info[#info]						
									return Inked.db.profile[key]
									end,
									set = function(info, v)
									local key = info[#info] 
									Inked.db.profile[key] = v 
									end,
									values = {
										['NONE'] = NONE,
										['MONOCHROME'] = 'MonoChrome',
										['THINOUTLINE'] = 'Thin',
										['THICKOUTLINE'] = 'Thick',
										}
									},
								
								ToTNameFontSize = {
									order = 7,
									name = "Target of Target Name Font Size",
									desc = "Size of the font",
									type = "range",
									width = "double",
									min = 10,
									max = 30,
									step  = 1,
									isPercent = false,
									get = function(info)
									local key = info[#info]						
									return Inked.db.profile[key]
									end,
									set = function(info, v)
									local key = info[#info] 
									Inked.db.profile[key] = v 
									end,
									},
								Spacer2 = {
									order = 8,
									name = "",
									fontSize  = "large",
									desc = "",
									descStyle = "inline",
									type = "description",
									width = "full",                      
									},
								ToTHealthfont = {
									order = 9,
									type = 'select',
									dialogControl = 'LSM30_Font', 
									name = 'Target of Target Health Font Name',
									desc = 'The type of Font you want to use',
									width = "full",
									values = LSM:HashTable("font"),				
									get = function(info)
									local key = info[#info]						
									return Inked.db.profile[key]
									end,
									set = function(info, v)
									local key = info[#info] 
									Inked.db.profile[key] = v 
									end,
									},
								ToTHealthOutline = {
									order = 10,
									type = 'select',
									dialogControl = 'LSM30_Font', 
									name = 'Target of Target Health Font Outline',
									desc = 'Outlines for the fonts',
									width = "full",
									get = function(info)
									local key = info[#info]						
									return Inked.db.profile[key]
									end,
									set = function(info, v)
									local key = info[#info] 
									Inked.db.profile[key] = v 
									end,
									values = {
										['NONE'] = NONE,
										['MONOCHROME'] = 'MonoChrome',
										['THINOUTLINE'] = 'Thin',
										['THICKOUTLINE'] = 'Thick',
										}
									},
								
								ToTHealthFontSize = {
									order = 11,
									name = "Target of Target Health Font Size",
									desc = "Size of the font",
									type = "range",
									width = "double",
									min = 10,
									max = 30,
									step  = 1,
									isPercent = false,
									get = function(info)
									local key = info[#info]						
									return Inked.db.profile[key]
									end,
									set = function(info, v)
									local key = info[#info] 
									Inked.db.profile[key] = v 
									end,
									},
								Spacer3 = {
									order = 12,
									name = "",
									fontSize  = "large",
									desc = "",
									descStyle = "inline",
									type = "description",
									width = "full",                      
									},
								ToTPowerfont = {
									order = 13,
									type = 'select',
									dialogControl = 'LSM30_Font', 
									name = 'Target of Target Power Font Name',
									desc = 'The type of Font you want to use',
									width = "full",
									values = LSM:HashTable("font"),				
									get = function(info)
									local key = info[#info]						
									return Inked.db.profile[key]
									end,
									set = function(info, v)
									local key = info[#info] 
									Inked.db.profile[key] = v 
									end,
									},
								ToTPowerOutline = {
									order = 14,
									type = 'select',
									dialogControl = 'LSM30_Font', 
									name = 'Target of Target Power Font Outline',
									desc = 'Outlines for the fonts',
									width = "full",
									get = function(info)
									local key = info[#info]						
									return Inked.db.profile[key]
									end,
									set = function(info, v)
									local key = info[#info] 
									Inked.db.profile[key] = v 
									end,
									values = {
										['NONE'] = NONE,
										['MONOCHROME'] = 'MonoChrome',
										['THINOUTLINE'] = 'Thin',
										['THICKOUTLINE'] = 'Thick',
										}
									},
								
								ToTPowerFontSize = {
									order = 15,
									name = "Target of Target Power Font Size",
									desc = "Size of the font",
									type = "range",
									width = "double",
									min = 10,
									max = 30,
									step  = 1,
									isPercent = false,
									get = function(info)
									local key = info[#info]						
									return Inked.db.profile[key]
									end,
									set = function(info, v)
									local key = info[#info] 
									Inked.db.profile[key] = v 
									end,
									},
								
								
							}--ToT font tab args
						},--ToT font tab
					ToTStatusBars = {
						name = "Status Bar Options",
						order = 3,
						type = "group",
						childGroups = "tab",
						args = {
							
							ToTHealthStatusBar = {
								order = 3,
								name = "Health Status Bar",
								desc = "Change the Status Bar",
								type = 'select',
								dialogControl = 'LSM30_Statusbar', 
								width = "full",
								values = LSM:HashTable("statusbar"),
								get = function(info)
									local key = info[#info]						
									return Inked.db.profile[key]
								end,
								set = function(info, v)
									local key = info[#info] 
									Inked.db.profile[key] = v 
								end,
								},	
							Spacer2 = {
									order = 4,
									name = "",
									fontSize  = "large",
									desc = "",
									descStyle = "inline",
									type = "description",
									width = "full",                      
									},
							ToTPowerStatusBar = {
								order = 5,
								name = "Power Status Bar",
								desc = "Change the Status Bar",
								type = 'select',
								dialogControl = 'LSM30_Statusbar', 
								width = "full",
								values = LSM:HashTable("statusbar"),
								get = function(info)
									local key = info[#info]						
									return Inked.db.profile[key]
								end,
								set = function(info, v)
									local key = info[#info] 
									Inked.db.profile[key] = v 
								end,
								},	
														
							}--ToT Status bars tab args
						},--ToT status bars tab
															
					}
				},
				Focus = {
				name = "Focus",
				type = "group",
				childGroups = "tab",
				order = 6,
				args = {
					FocusFrameEnable = {
							order = 1,
							name = "Focus Frame Enable",
							desc = "",
							type = "toggle",
							width = "single",
							get = function(info)
								local key = info[#info]						
								return Inked.db.profile[key]
							end,
							set = function(info, v)
								local key = info[#info] 
								Inked.db.profile[key] = v 
								ReloadUI()
							end,
							},
						General = {
							name = "General",
							order = 1,
							type = "group",
							childGroups = "tab",
							args = {
									FocusPortrait = {
										order = 0,
										name = "Focus Frame Portrait",
										desc = "Enable or Disable the Portrait",
										type = "toggle",
										width = "full",
										get = function(info)
											local key = info[#info]						
											return Inked.db.profile[key]
										end,
										set = function(info, v)
											local key = info[#info] 
											Inked.db.profile[key] = v 
										end,
										},
									FocusScale = {
										order = 1,
										name = "Focus Frame Scale",
										desc = "Change the overall size of the Focus Frame",
										type = "range",
										width = "full",
										min = 0.35,
										max = 2,
										step  = 0.01,
										isPercent = false,
										get = function(info)
											local key = info[#info]						
											return Inked.db.profile[key]
										end,
										set = function(info, v)
											local key = info[#info] 
											Inked.db.profile[key] = v 
										end,
										},
									Spacer = {
										order = 2,
										name = "",
										fontSize  = "large",
										desc = "",
										descStyle = "inline",
										type = "description",
										width = "full",                      
										},
									
									FocusShowLevel = {
										order = 9,
										name = "Show Level",
										desc = "",
										type = "toggle",
										width = "single",
										get = function(info)
											local key = info[#info]						
											return Inked.db.profile[key]
										end,
										set = function(info, v)
											local key = info[#info] 
											Inked.db.profile[key] = v 
										end,
										},
									FocusShowName = {
										order = 10,
										name = "Show Name",
										desc = "",
										type = "toggle",
										width = "single",
										get = function(info)
											local key = info[#info]						
											return Inked.db.profile[key]
										end,
										set = function(info, v)
											local key = info[#info] 
											Inked.db.profile[key] = v 
										end,
										},
									FocusShowHealthPercent = {
										order = 11,
										name = "Show Health Percent",
										desc = "",
										type = "toggle",
										width = "single",
										get = function(info)
											local key = info[#info]						
											return Inked.db.profile[key]
										end,
										set = function(info, v)
											local key = info[#info] 
											Inked.db.profile[key] = v 
											Inked.db.profile.FocusShowBothNumberandPercent = false
											Inked.db.profile.FocusShowHealthNumbers = false
										end,
										},
									FocusShowHealthNumbers = {
										order = 12,
										name = "Show Health Numbers",
										desc = "",
										type = "toggle",
										width = "single",
										get = function(info)
											local key = info[#info]						
											return Inked.db.profile[key]
										end,
										set = function(info, v)
											local key = info[#info] 
											Inked.db.profile[key] = v 
											Inked.db.profile.FocusShowBothNumberandPercent = false
											Inked.db.profile.FocusShowHealthPercent = false
										end,
										},
									FocusShowBothNumberandPercent = {
										order = 13,
										name = "Show Health Numbers and Percent",
										desc = "",
										type = "toggle",
										width = "double",
										get = function(info)
											local key = info[#info]						
											return Inked.db.profile[key]
										end,
										set = function(info, v)
											local key = info[#info] 
											Inked.db.profile[key] = v 
											Inked.db.profile.FocusShowHealthNumbers = false
											Inked.db.profile.FocusShowHealthPercent = false
										end,
										},
									FocusShowPowerPercent = {
										order = 13,
										name = "Show Power Percent",
										desc = "",
										type = "toggle",
										width = "single",
										get = function(info)
											local key = info[#info]						
											return Inked.db.profile[key]
										end,
										set = function(info, v)
											local key = info[#info] 
											Inked.db.profile[key] = v 
											Inked.db.profile.FocusShowBothPowerNumberandPercent = false
											Inked.db.profile.FocusShowPowerNumbers = false
										end,
										},
									FocusShowPowerNumbers = {
										order = 14,
										name = "Show Power Numbers",
										desc = "",
										type = "toggle",
										width = "single",
										get = function(info)
											local key = info[#info]						
											return Inked.db.profile[key]
										end,
										set = function(info, v)
											local key = info[#info] 
											Inked.db.profile[key] = v 
											Inked.db.profile.FocusShowBothPowerNumberandPercent = false
											Inked.db.profile.FocusShowPowerPercent = false
										end,
										},
									FocusShowBothPowerNumberandPercent = {
										order = 15,
										name = "Show Power Numbers and Percent",
										desc = "",
										type = "toggle",
										width = "double",
										get = function(info)
											local key = info[#info]						
											return Inked.db.profile[key]
										end,
										set = function(info, v)
											local key = info[#info] 
											Inked.db.profile[key] = v 
											Inked.db.profile.FocusShowPowerNumbers = false
											Inked.db.profile.FocusShowPowerPercent = false
										end,
										},
									FocusCastBar = {
										order = 16,
										name = "Focus Cast Bar",
										desc = "",
										type = "toggle",
										width = "full",
										get = function(info)
											local key = info[#info]						
											return Inked.db.profile[key]
										end,
										set = function(info, v)
											local key = info[#info] 
											Inked.db.profile[key] = v 
										end,
										},
									FocusAuras = {
										order = 16,
										name = "Focus Auras (Buffs/Debuffs)",
										desc = "",
										type = "toggle",
										width = "full",
										get = function(info)
											local key = info[#info]						
											return Inked.db.profile[key]
										end,
										set = function(info, v)
											local key = info[#info] 
											Inked.db.profile[key] = v 
										end,
										},
									
									
																	
								}--Focus general tab args
							},--Focus general tab
						FocusFonts = {
							name = "Font Options",
							order = 2,
							type = "group",
							childGroups = "tab",
							args = {
									FocusLevelfont = {
										order = 1,
										type = 'select',
										dialogControl = 'LSM30_Font', 
										name = 'Focus Level Font',
										desc = 'The type of Font you want to use',
										width = "full",
										values = LSM:HashTable("font"),				
										get = function(info)
										local key = info[#info]						
										return Inked.db.profile[key]
										end,
										set = function(info, v)
										local key = info[#info] 
										Inked.db.profile[key] = v 
										end,
										},
									FocusLevelOutline = {
										order = 2,
										type = 'select',
										dialogControl = 'LSM30_Font', 
										name = 'Focus Level Font Outline',
										desc = 'Outlines for the fonts',
										width = "full",
										get = function(info)
										local key = info[#info]						
										return Inked.db.profile[key]
										end,
										set = function(info, v)
										local key = info[#info] 
										Inked.db.profile[key] = v 
										end,
										values = {
											['NONE'] = NONE,
											['MONOCHROME'] = 'MonoChrome',
											['THINOUTLINE'] = 'Thin',
											['THICKOUTLINE'] = 'Thick',
											}
										},
									
									FocusLevelFontSize = {
										order = 3,
										name = "Focus Level Font Size",
										desc = "Size of the font",
										type = "range",
										width = "double",
										min = 10,
										max = 30,
										step  = 1,
										isPercent = false,
										get = function(info)
										local key = info[#info]						
										return Inked.db.profile[key]
										end,
										set = function(info, v)
										local key = info[#info] 
										Inked.db.profile[key] = v 
										end,
										},
									Spacer = {
										order = 4,
										name = "",
										fontSize  = "large",
										desc = "",
										descStyle = "inline",
										type = "description",
										width = "full",                      
										},
									FocusNamefont = {
										order = 5,
										type = 'select',
										dialogControl = 'LSM30_Font', 
										name = 'Focus Name Font Name',
										desc = 'The type of Font you want to use',
										width = "full",
										values = LSM:HashTable("font"),				
										get = function(info)
										local key = info[#info]						
										return Inked.db.profile[key]
										end,
										set = function(info, v)
										local key = info[#info] 
										Inked.db.profile[key] = v 
										end,
										},
									FocusNameOutline = {
										order = 6,
										type = 'select',
										dialogControl = 'LSM30_Font', 
										name = 'Focus Name Font Outline',
										desc = 'Outlines for the fonts',
										width = "full",
										get = function(info)
										local key = info[#info]						
										return Inked.db.profile[key]
										end,
										set = function(info, v)
										local key = info[#info] 
										Inked.db.profile[key] = v 
										end,
										values = {
											['NONE'] = NONE,
											['MONOCHROME'] = 'MonoChrome',
											['THINOUTLINE'] = 'Thin',
											['THICKOUTLINE'] = 'Thick',
											}
										},
									
									FocusNameFontSize = {
										order = 7,
										name = "Focus Name Font Size",
										desc = "Size of the font",
										type = "range",
										width = "double",
										min = 10,
										max = 30,
										step  = 1,
										isPercent = false,
										get = function(info)
										local key = info[#info]						
										return Inked.db.profile[key]
										end,
										set = function(info, v)
										local key = info[#info] 
										Inked.db.profile[key] = v 
										end,
										},
									Spacer2 = {
										order = 8,
										name = "",
										fontSize  = "large",
										desc = "",
										descStyle = "inline",
										type = "description",
										width = "full",                      
										},
									FocusHealthfont = {
										order = 9,
										type = 'select',
										dialogControl = 'LSM30_Font', 
										name = 'Focus Health Font Name',
										desc = 'The type of Font you want to use',
										width = "full",
										values = LSM:HashTable("font"),				
										get = function(info)
										local key = info[#info]						
										return Inked.db.profile[key]
										end,
										set = function(info, v)
										local key = info[#info] 
										Inked.db.profile[key] = v 
										end,
										},
									FocusHealthOutline = {
										order = 10,
										type = 'select',
										dialogControl = 'LSM30_Font', 
										name = 'Focus Health Font Outline',
										desc = 'Outlines for the fonts',
										width = "full",
										get = function(info)
										local key = info[#info]						
										return Inked.db.profile[key]
										end,
										set = function(info, v)
										local key = info[#info] 
										Inked.db.profile[key] = v 
										end,
										values = {
											['NONE'] = NONE,
											['MONOCHROME'] = 'MonoChrome',
											['THINOUTLINE'] = 'Thin',
											['THICKOUTLINE'] = 'Thick',
											}
										},
									
									FocusHealthFontSize = {
										order = 11,
										name = "Focus Health Font Size",
										desc = "Size of the font",
										type = "range",
										width = "double",
										min = 10,
										max = 30,
										step  = 1,
										isPercent = false,
										get = function(info)
										local key = info[#info]						
										return Inked.db.profile[key]
										end,
										set = function(info, v)
										local key = info[#info] 
										Inked.db.profile[key] = v 
										end,
										},
									Spacer3 = {
										order = 12,
										name = "",
										fontSize  = "large",
										desc = "",
										descStyle = "inline",
										type = "description",
										width = "full",                      
										},
									FocusPowerfont = {
										order = 13,
										type = 'select',
										dialogControl = 'LSM30_Font', 
										name = 'Focus Power Font Name',
										desc = 'The type of Font you want to use',
										width = "full",
										values = LSM:HashTable("font"),				
										get = function(info)
										local key = info[#info]						
										return Inked.db.profile[key]
										end,
										set = function(info, v)
										local key = info[#info] 
										Inked.db.profile[key] = v 
										end,
										},
									FocusPowerOutline = {
										order = 14,
										type = 'select',
										dialogControl = 'LSM30_Font', 
										name = 'Focus Power Font Outline',
										desc = 'Outlines for the fonts',
										width = "full",
										get = function(info)
										local key = info[#info]						
										return Inked.db.profile[key]
										end,
										set = function(info, v)
										local key = info[#info] 
										Inked.db.profile[key] = v 
										end,
										values = {
											['NONE'] = NONE,
											['MONOCHROME'] = 'MonoChrome',
											['THINOUTLINE'] = 'Thin',
											['THICKOUTLINE'] = 'Thick',
											}
										},
									
									FocusPowerFontSize = {
										order = 15,
										name = "Focus Power Font Size",
										desc = "Size of the font",
										type = "range",
										width = "double",
										min = 10,
										max = 30,
										step  = 1,
										isPercent = false,
										get = function(info)
										local key = info[#info]						
										return Inked.db.profile[key]
										end,
										set = function(info, v)
										local key = info[#info] 
										Inked.db.profile[key] = v 
										end,
										},
									Spacer4 = {
										order = 16,
										name = "",
										fontSize  = "large",
										desc = "",
										descStyle = "inline",
										type = "description",
										width = "full",                      
										},
									
									Spacer5 = {
										order = 20,
										name = "",
										fontSize  = "large",
										desc = "",
										descStyle = "inline",
										type = "description",
										width = "full",                      
										},
									
									
									Spacer6 = {
										order = 24,
										name = "",
										fontSize  = "large",
										desc = "",
										descStyle = "inline",
										type = "description",
										width = "full",                      
										},
									FocusCastBarfont = {
										order = 25,
										type = 'select',
										dialogControl = 'LSM30_Font', 
										name = 'Focus Cast Bar Font Name',
										desc = 'The type of Font you want to use',
										width = "full",
										values = LSM:HashTable("font"),				
										get = function(info)
										local key = info[#info]						
										return Inked.db.profile[key]
										end,
										set = function(info, v)
										local key = info[#info] 
										Inked.db.profile[key] = v 
										end,
										},
									FocusCastBarOutline = {
										order = 26,
										type = 'select',
										dialogControl = 'LSM30_Font', 
										name = 'Focus Cast Bar Font Outline',
										desc = 'Outlines for the fonts',
										width = "full",
										get = function(info)
										local key = info[#info]						
										return Inked.db.profile[key]
										end,
										set = function(info, v)
										local key = info[#info] 
										Inked.db.profile[key] = v 
										end,
										values = {
											['NONE'] = NONE,
											['MONOCHROME'] = 'MonoChrome',
											['THINOUTLINE'] = 'Thin',
											['THICKOUTLINE'] = 'Thick',
											}
										},
									
									FocusCastBarFontSize = {
										order = 27,
										name = "Focus Cast Bar Font Size",
										desc = "Size of the font",
										type = "range",
										width = "double",
										min = 10,
										max = 30,
										step  = 1,
										isPercent = false,
										get = function(info)
										local key = info[#info]						
										return Inked.db.profile[key]
										end,
										set = function(info, v)
										local key = info[#info] 
										Inked.db.profile[key] = v 
										end,
										},
									
																	
								}--Focus font tab args
							},--Focus font tab
						FocusStatusBars = {
							name = "Status Bar Options",
							order = 3,
							type = "group",
							childGroups = "tab",
							args = {
								FocusHealthStatusBarClassClored= {
									order = 1,
									name = "Class Colored Health Status Bar",
									desc = "",
									type = "toggle",
									width = "full",
									get = function(info)
										local key = info[#info]						
										return Inked.db.profile[key]
									end,
									set = function(info, v)
										local key = info[#info] 
										Inked.db.profile[key] = v 
									end,
									},
								Spacer = {
										order = 2,
										name = "",
										fontSize  = "large",
										desc = "",
										descStyle = "inline",
										type = "description",
										width = "full",                      
										},
								FocusHealthStatusBar = {
									order = 3,
									name = "Health Status Bar",
									desc = "Change the Status Bar",
									type = 'select',
									dialogControl = 'LSM30_Statusbar', 
									width = "full",
									values = LSM:HashTable("statusbar"),
									get = function(info)
										local key = info[#info]						
										return Inked.db.profile[key]
									end,
									set = function(info, v)
										local key = info[#info] 
										Inked.db.profile[key] = v 
									end,
									},	
								Spacer2 = {
										order = 4,
										name = "",
										fontSize  = "large",
										desc = "",
										descStyle = "inline",
										type = "description",
										width = "full",                      
										},
								FocusPowerStatusBar = {
									order = 5,
									name = "Power Status Bar",
									desc = "Change the Status Bar",
									type = 'select',
									dialogControl = 'LSM30_Statusbar', 
									width = "full",
									values = LSM:HashTable("statusbar"),
									get = function(info)
										local key = info[#info]						
										return Inked.db.profile[key]
									end,
									set = function(info, v)
										local key = info[#info] 
										Inked.db.profile[key] = v 
									end,
									},	
								Spacer3 = {
										order = 6,
										name = "",
										fontSize  = "large",
										desc = "",
										descStyle = "inline",
										type = "description",
										width = "full",                      
										},
								FocusCastBarStatusBar = {
									order = 7,
									name = "Cast Bar Status Bar",
									desc = "Change the Status Bar",
									type = 'select',
									dialogControl = 'LSM30_Statusbar', 
									width = "full",
									values = LSM:HashTable("statusbar"),
									get = function(info)
										local key = info[#info]						
										return Inked.db.profile[key]
									end,
									set = function(info, v)
										local key = info[#info] 
										Inked.db.profile[key] = v 
									end,
									},								
								}--Focus Status bars tab args
							},--Focus status bars tab
															
					}
				},
				FocusTarget = {
				name = "Focus Target",
				type = "group",
				childGroups = "tab",
				order = 7,
				args = {
					FTFrameEnable = {
						order = 1,
						name = "Focus Target Frame Enable",
						desc = "",
						type = "toggle",
						width = "single",
						get = function(info)
							local key = info[#info]						
							return Inked.db.profile[key]
						end,
						set = function(info, v)
							local key = info[#info] 
							Inked.db.profile[key] = v 
							ReloadUI()
						end,
						},
					General = {
						name = "General",
						order = 1,
						type = "group",
						childGroups = "tab",
						args = {
								FTScale = {
									order = 1,
									name = "Focus Target Frame Scale",
									desc = "Change the overall size of the Focus Target Frame",
									type = "range",
									width = "full",
									min = 0.35,
									max = 2,
									step  = 0.01,
									isPercent = false,
									get = function(info)
										local key = info[#info]						
										return Inked.db.profile[key]
									end,
									set = function(info, v)
										local key = info[#info] 
										Inked.db.profile[key] = v 
									end,
									},
								Spacer = {
									order = 2,
									name = "",
									fontSize  = "large",
									desc = "",
									descStyle = "inline",
									type = "description",
									width = "full",                      
									},
								
								
								FTShowName = {
									order = 10,
									name = "Show Name",
									desc = "",
									type = "toggle",
									width = "single",
									get = function(info)
										local key = info[#info]						
										return Inked.db.profile[key]
									end,
									set = function(info, v)
										local key = info[#info] 
										Inked.db.profile[key] = v 
									end,
									},
								FTShowHealthPercent = {
									order = 11,
									name = "Show Health Percent",
									desc = "",
									type = "toggle",
									width = "single",
									get = function(info)
										local key = info[#info]						
										return Inked.db.profile[key]
									end,
									set = function(info, v)
										local key = info[#info] 
										Inked.db.profile[key] = v 

									end,
									},
								
								
								FTShowPowerPercent = {
									order = 13,
									name = "Show Power Percent",
									desc = "",
									type = "toggle",
									width = "single",
									get = function(info)
										local key = info[#info]						
										return Inked.db.profile[key]
									end,
									set = function(info, v)
										local key = info[#info] 
										Inked.db.profile[key] = v 
									end,
									},
								
								
								
								
								
																
							}--FT general tab args
						},--FT general tab
					FTFonts = {
						name = "Font Options",
						order = 2,
						type = "group",
						childGroups = "tab",
						args = {
								
								FTNamefont = {
									order = 5,
									type = 'select',
									dialogControl = 'LSM30_Font', 
									name = 'Focus Target Name Font Name',
									desc = 'The type of Font you want to use',
									width = "full",
									values = LSM:HashTable("font"),				
									get = function(info)
									local key = info[#info]						
									return Inked.db.profile[key]
									end,
									set = function(info, v)
									local key = info[#info] 
									Inked.db.profile[key] = v 
									end,
									},
								FTNameOutline = {
									order = 6,
									type = 'select',
									dialogControl = 'LSM30_Font', 
									name = 'Focus Target Name Font Outline',
									desc = 'Outlines for the fonts',
									width = "full",
									get = function(info)
									local key = info[#info]						
									return Inked.db.profile[key]
									end,
									set = function(info, v)
									local key = info[#info] 
									Inked.db.profile[key] = v 
									end,
									values = {
										['NONE'] = NONE,
										['MONOCHROME'] = 'MonoChrome',
										['THINOUTLINE'] = 'Thin',
										['THICKOUTLINE'] = 'Thick',
										}
									},
								
								FTNameFontSize = {
									order = 7,
									name = "Focus Target Name Font Size",
									desc = "Size of the font",
									type = "range",
									width = "double",
									min = 10,
									max = 30,
									step  = 1,
									isPercent = false,
									get = function(info)
									local key = info[#info]						
									return Inked.db.profile[key]
									end,
									set = function(info, v)
									local key = info[#info] 
									Inked.db.profile[key] = v 
									end,
									},
								Spacer2 = {
									order = 8,
									name = "",
									fontSize  = "large",
									desc = "",
									descStyle = "inline",
									type = "description",
									width = "full",                      
									},
								FTHealthfont = {
									order = 9,
									type = 'select',
									dialogControl = 'LSM30_Font', 
									name = 'Focus Target Health Font Name',
									desc = 'The type of Font you want to use',
									width = "full",
									values = LSM:HashTable("font"),				
									get = function(info)
									local key = info[#info]						
									return Inked.db.profile[key]
									end,
									set = function(info, v)
									local key = info[#info] 
									Inked.db.profile[key] = v 
									end,
									},
								FTHealthOutline = {
									order = 10,
									type = 'select',
									dialogControl = 'LSM30_Font', 
									name = 'Focus Target Health Font Outline',
									desc = 'Outlines for the fonts',
									width = "full",
									get = function(info)
									local key = info[#info]						
									return Inked.db.profile[key]
									end,
									set = function(info, v)
									local key = info[#info] 
									Inked.db.profile[key] = v 
									end,
									values = {
										['NONE'] = NONE,
										['MONOCHROME'] = 'MonoChrome',
										['THINOUTLINE'] = 'Thin',
										['THICKOUTLINE'] = 'Thick',
										}
									},
								
								FTHealthFontSize = {
									order = 11,
									name = "Focus Target Health Font Size",
									desc = "Size of the font",
									type = "range",
									width = "double",
									min = 10,
									max = 30,
									step  = 1,
									isPercent = false,
									get = function(info)
									local key = info[#info]						
									return Inked.db.profile[key]
									end,
									set = function(info, v)
									local key = info[#info] 
									Inked.db.profile[key] = v 
									end,
									},
								Spacer3 = {
									order = 12,
									name = "",
									fontSize  = "large",
									desc = "",
									descStyle = "inline",
									type = "description",
									width = "full",                      
									},
								FTPowerfont = {
									order = 13,
									type = 'select',
									dialogControl = 'LSM30_Font', 
									name = 'Focus Target Power Font Name',
									desc = 'The type of Font you want to use',
									width = "full",
									values = LSM:HashTable("font"),				
									get = function(info)
									local key = info[#info]						
									return Inked.db.profile[key]
									end,
									set = function(info, v)
									local key = info[#info] 
									Inked.db.profile[key] = v 
									end,
									},
								FTPowerOutline = {
									order = 14,
									type = 'select',
									dialogControl = 'LSM30_Font', 
									name = 'Focus Target Power Font Outline',
									desc = 'Outlines for the fonts',
									width = "full",
									get = function(info)
									local key = info[#info]						
									return Inked.db.profile[key]
									end,
									set = function(info, v)
									local key = info[#info] 
									Inked.db.profile[key] = v 
									end,
									values = {
										['NONE'] = NONE,
										['MONOCHROME'] = 'MonoChrome',
										['THINOUTLINE'] = 'Thin',
										['THICKOUTLINE'] = 'Thick',
										}
									},
								
								FTPowerFontSize = {
									order = 15,
									name = "Focus Target Power Font Size",
									desc = "Size of the font",
									type = "range",
									width = "double",
									min = 10,
									max = 30,
									step  = 1,
									isPercent = false,
									get = function(info)
									local key = info[#info]						
									return Inked.db.profile[key]
									end,
									set = function(info, v)
									local key = info[#info] 
									Inked.db.profile[key] = v 
									end,
									},
								
								
							}--FT font tab args
						},--FT font tab
					FTStatusBars = {
						name = "Status Bar Options",
						order = 3,
						type = "group",
						childGroups = "tab",
						args = {
							
							
							FTHealthStatusBar = {
								order = 3,
								name = "Health Status Bar",
								desc = "Change the Status Bar",
								type = 'select',
								dialogControl = 'LSM30_Statusbar', 
								width = "full",
								values = LSM:HashTable("statusbar"),
								get = function(info)
									local key = info[#info]						
									return Inked.db.profile[key]
								end,
								set = function(info, v)
									local key = info[#info] 
									Inked.db.profile[key] = v 
								end,
								},	
							Spacer2 = {
									order = 4,
									name = "",
									fontSize  = "large",
									desc = "",
									descStyle = "inline",
									type = "description",
									width = "full",                      
									},
							FTPowerStatusBar = {
								order = 5,
								name = "Power Status Bar",
								desc = "Change the Status Bar",
								type = 'select',
								dialogControl = 'LSM30_Statusbar', 
								width = "full",
								values = LSM:HashTable("statusbar"),
								get = function(info)
									local key = info[#info]						
									return Inked.db.profile[key]
								end,
								set = function(info, v)
									local key = info[#info] 
									Inked.db.profile[key] = v 
								end,
								},	
														
							}--FT Status bars tab args
						},--FT status bars tab
															
					}
				},
				Party = {
				name = "Party settings",
				type = "group",
				childGroups = "tab",
				order = 8,
				args = {
					EnableParty = {
						order = 1,
						name = "Enable Party",
						desc = "Disable to use another Party Mod",
						type = "toggle",
						width = "full",
						get = function(info)
							local key = info[#info]						
							return Inked.db.profile[key]
						end,
						set = function(info, v)
							local key = info[#info] 
							Inked.db.profile[key] = v 
							ReloadUI()
						end,
						},
					
					Spacer = {
						order = 2,
						name = "",
						fontSize  = "large",
						desc = "",
						descStyle = "inline",
						type = "description",
						width = "full",                      
						},
						
					ShowSolo = {
						order = 3,
						name = "Show Solo",
						desc = "Shows your party frame while not in a group",
						type = "toggle",
						width = "full",
						get = function(info)
							local key = info[#info]						
							return Inked.db.profile[key]
						end,
						set = function(info, v)
							local key = info[#info] 
							Inked.db.profile[key] = v 
							ReloadUI()
						end,
						},
					Spacer2 = {
						order = 4,
						name = "",
						fontSize  = "large",
						desc = "",
						descStyle = "inline",
						type = "description",
						width = "full",                      
						},
						
					PartyAuras = {
						order = 5,
						name = "Party Auras",
						desc = "",
						type = "toggle",
						width = "full",
						get = function(info)
							local key = info[#info]						
							return Inked.db.profile[key]
						end,
						set = function(info, v)
							local key = info[#info] 
							Inked.db.profile[key] = v 
						end,
						},
					Spacer3 = {
						order = 6,
						name = "",
						fontSize  = "large",
						desc = "",
						descStyle = "inline",
						type = "description",
						width = "full",                      
						},
					PartyNamefont = {
						order = 7,
						type = 'select',
						dialogControl = 'LSM30_Font', 
						name = 'Party Name Font Name',
						desc = 'The type of Font you want to use',
						width = "full",
						values = LSM:HashTable("font"),				
						get = function(info)
						local key = info[#info]						
						return Inked.db.profile[key]
						end,
						set = function(info, v)
						local key = info[#info] 
						Inked.db.profile[key] = v 
						end,
						},
					PartyNameOutline = {
						order = 8,
						type = 'select',
						dialogControl = 'LSM30_Font', 
						name = 'Party Name Font Outline',
						desc = 'Outlines for the fonts',
						width = "full",
						get = function(info)
						local key = info[#info]						
						return Inked.db.profile[key]
						end,
						set = function(info, v)
						local key = info[#info] 
						Inked.db.profile[key] = v 
						end,
						values = {
							['NONE'] = NONE,
							['MONOCHROME'] = 'MonoChrome',
							['THINOUTLINE'] = 'Thin',
							['THICKOUTLINE'] = 'Thick',
							}
						},
					
					PartyNameFontSize = {
						order = 9,
						name = "Party Name Font Size",
						desc = "Size of the font",
						type = "range",
						width = "double",
						min = 10,
						max = 30,
						step  = 1,
						isPercent = false,
						get = function(info)
						local key = info[#info]						
						return Inked.db.profile[key]
						end,
						set = function(info, v)
						local key = info[#info] 
						Inked.db.profile[key] = v 
						end,
						},
					Spacer4 = {
						order = 10,
						name = "",
						fontSize  = "large",
						desc = "",
						descStyle = "inline",
						type = "description",
						width = "full",                      
						},
					PartyHealthfont = {
						order = 11,
						type = 'select',
						dialogControl = 'LSM30_Font', 
						name = 'Party Health Font Name',
						desc = 'The type of Font you want to use',
						width = "full",
						values = LSM:HashTable("font"),				
						get = function(info)
						local key = info[#info]						
						return Inked.db.profile[key]
						end,
						set = function(info, v)
						local key = info[#info] 
						Inked.db.profile[key] = v 
						end,
						},
					PartyHealthOutline = {
						order = 12,
						type = 'select',
						dialogControl = 'LSM30_Font', 
						name = 'Party Health Font Outline',
						desc = 'Outlines for the fonts',
						width = "full",
						get = function(info)
						local key = info[#info]						
						return Inked.db.profile[key]
						end,
						set = function(info, v)
						local key = info[#info] 
						Inked.db.profile[key] = v 
						end,
						values = {
							['NONE'] = NONE,
							['MONOCHROME'] = 'MonoChrome',
							['THINOUTLINE'] = 'Thin',
							['THICKOUTLINE'] = 'Thick',
							}
						},
					
					PartyHealthFontSize = {
						order = 13,
						name = "Party Health Font Size",
						desc = "Size of the font",
						type = "range",
						width = "double",
						min = 10,
						max = 30,
						step  = 1,
						isPercent = false,
						get = function(info)
						local key = info[#info]						
						return Inked.db.profile[key]
						end,
						set = function(info, v)
						local key = info[#info] 
						Inked.db.profile[key] = v 
						end,
						},
					Spacer5 = {
						order = 14,
						name = "",
						fontSize  = "large",
						desc = "",
						descStyle = "inline",
						type = "description",
						width = "full",                      
						},
					PartyPowerfont = {
						order = 15,
						type = 'select',
						dialogControl = 'LSM30_Font', 
						name = 'Party Power Font Name',
						desc = 'The type of Font you want to use',
						width = "full",
						values = LSM:HashTable("font"),				
						get = function(info)
						local key = info[#info]						
						return Inked.db.profile[key]
						end,
						set = function(info, v)
						local key = info[#info] 
						Inked.db.profile[key] = v 
						end,
						},
					PartyPowerOutline = {
						order = 16,
						type = 'select',
						dialogControl = 'LSM30_Font', 
						name = 'Party Power Font Outline',
						desc = 'Outlines for the fonts',
						width = "full",
						get = function(info)
						local key = info[#info]						
						return Inked.db.profile[key]
						end,
						set = function(info, v)
						local key = info[#info] 
						Inked.db.profile[key] = v 
						end,
						values = {
							['NONE'] = NONE,
							['MONOCHROME'] = 'MonoChrome',
							['THINOUTLINE'] = 'Thin',
							['THICKOUTLINE'] = 'Thick',
							}
						},
					
					PartyPowerFontSize = {
						order = 17,
						name = "Party Power Font Size",
						desc = "Size of the font",
						type = "range",
						width = "double",
						min = 10,
						max = 30,
						step  = 1,
						isPercent = false,
						get = function(info)
						local key = info[#info]						
						return Inked.db.profile[key]
						end,
						set = function(info, v)
						local key = info[#info] 
						Inked.db.profile[key] = v 
						end,
						},
					Spacer6 = {
						order = 18,
						name = "",
						fontSize  = "large",
						desc = "",
						descStyle = "inline",
						type = "description",
						width = "full",                      
						},
					PartyLevelfont = {
						order = 19,
						type = 'select',
						dialogControl = 'LSM30_Font', 
						name = 'Party Level Font Name',
						desc = 'The type of Font you want to use',
						width = "full",
						values = LSM:HashTable("font"),				
						get = function(info)
						local key = info[#info]						
						return Inked.db.profile[key]
						end,
						set = function(info, v)
						local key = info[#info] 
						Inked.db.profile[key] = v 
						end,
						},
					PartyLevelOutline = {
						order = 20,
						type = 'select',
						dialogControl = 'LSM30_Font', 
						name = 'Party Level Font Outline',
						desc = 'Outlines for the fonts',
						width = "full",
						get = function(info)
						local key = info[#info]						
						return Inked.db.profile[key]
						end,
						set = function(info, v)
						local key = info[#info] 
						Inked.db.profile[key] = v 
						end,
						values = {
							['NONE'] = NONE,
							['MONOCHROME'] = 'MonoChrome',
							['THINOUTLINE'] = 'Thin',
							['THICKOUTLINE'] = 'Thick',
							}
						},
					
					PartyLevelFontSize = {
						order = 21,
						name = "Party Level Font Size",
						desc = "Size of the font",
						type = "range",
						width = "double",
						min = 10,
						max = 30,
						step  = 1,
						isPercent = false,
						get = function(info)
						local key = info[#info]						
						return Inked.db.profile[key]
						end,
						set = function(info, v)
						local key = info[#info] 
						Inked.db.profile[key] = v 
						end,
						},
				PartyHealthStatusBar = {
						order = 25,
						name = "Health Status Bar",
						desc = "Change the Status Bar",
						type = 'select',
						dialogControl = 'LSM30_Statusbar', 
						width = "full",
						values = LSM:HashTable("statusbar"),
						get = function(info)
							local key = info[#info]						
							return Inked.db.profile[key]
						end,
						set = function(info, v)
							local key = info[#info] 
							Inked.db.profile[key] = v 
						end,
						},	
				PartyPowerStatusBar = {
						order = 25,
						name = "Power Status Bar",
						desc = "Change the Status Bar",
						type = 'select',
						dialogControl = 'LSM30_Statusbar', 
						width = "full",
						values = LSM:HashTable("statusbar"),
						get = function(info)
							local key = info[#info]						
							return Inked.db.profile[key]
						end,
						set = function(info, v)
							local key = info[#info] 
							Inked.db.profile[key] = v 
						end,
						},
					
															
					}--Party Args
				}, -- Party
				-- Raid = {
				-- name = "Raid Settings",
				-- type = "group",
				-- childGroups = "tab",
				-- order = 9,
				-- args = {
					-- RaidEnable = {
						-- order = 1,
						-- name = "Enable Bar",
						-- desc = "Use This Bar",
						-- type = "toggle",
						-- width = "full",
						-- get = function(info)
							-- local key = info[#info]						
							-- return Inked.db.profile[key]
						-- end,
						-- set = function(info, v)
							-- local key = info[#info] 
							-- Inked.db.profile[key] = v 
							-- ReloadUI()
						-- end,
						-- },
					
						-- Spacer3 = {
						-- order = 7,
						-- name = "",
						-- fontSize  = "large",
						-- desc = "",
						-- descStyle = "inline",
						-- type = "description",
						-- width = "full",                      
						-- },
				
						-- Spacer4 = {
						-- order = 9,
						-- name = "",
						-- fontSize  = "large",
						-- desc = "",
						-- descStyle = "inline",
						-- type = "description",
						-- width = "full",                      
						-- },														
					-- }-- Raid args
				-- },--Raid

               }---UnitFrames args
           },--UnitFrames
       
        }--Options Args
    }--Options
    return options
end